/// <reference types="react" />
declare module '@tabler/icons-react'

// Create interface extending SVGProps
export interface TablerIconsProps extends Partial<Omit<React.SVGProps<SVGSVGElement>, 'stroke'>> {
    size?: number,
    stroke?: number
}

export type TablerIcon = (props: TablerIconsProps) => JSX.Element;

// Generated icons 
export declare const Icon12Hours: TablerIcon;
export declare const Icon123: TablerIcon;
export declare const Icon24Hours: TablerIcon;
export declare const Icon2fa: TablerIcon;
export declare const Icon360View: TablerIcon;
export declare const Icon360: TablerIcon;
export declare const Icon3dCubeSphereOff: TablerIcon;
export declare const Icon3dCubeSphere: TablerIcon;
export declare const Icon3dRotate: TablerIcon;
export declare const IconAB2: TablerIcon;
export declare const IconABOff: TablerIcon;
export declare const IconAB: TablerIcon;
export declare const IconAbacusOff: TablerIcon;
export declare const IconAbacus: TablerIcon;
export declare const IconAbc: TablerIcon;
export declare const IconAccessPointOff: TablerIcon;
export declare const IconAccessPoint: TablerIcon;
export declare const IconAccessibleOffFilled: TablerIcon;
export declare const IconAccessibleOff: TablerIcon;
export declare const IconAccessible: TablerIcon;
export declare const IconActivityHeartbeat: TablerIcon;
export declare const IconActivity: TablerIcon;
export declare const IconAd2: TablerIcon;
export declare const IconAdCircleFilled: TablerIcon;
export declare const IconAdCircleOff: TablerIcon;
export declare const IconAdCircle: TablerIcon;
export declare const IconAdFilled: TablerIcon;
export declare const IconAdOff: TablerIcon;
export declare const IconAd: TablerIcon;
export declare const IconAddressBookOff: TablerIcon;
export declare const IconAddressBook: TablerIcon;
export declare const IconAdjustmentsAlt: TablerIcon;
export declare const IconAdjustmentsBolt: TablerIcon;
export declare const IconAdjustmentsCancel: TablerIcon;
export declare const IconAdjustmentsCheck: TablerIcon;
export declare const IconAdjustmentsCode: TablerIcon;
export declare const IconAdjustmentsCog: TablerIcon;
export declare const IconAdjustmentsDollar: TablerIcon;
export declare const IconAdjustmentsDown: TablerIcon;
export declare const IconAdjustmentsExclamation: TablerIcon;
export declare const IconAdjustmentsFilled: TablerIcon;
export declare const IconAdjustmentsHeart: TablerIcon;
export declare const IconAdjustmentsHorizontal: TablerIcon;
export declare const IconAdjustmentsMinus: TablerIcon;
export declare const IconAdjustmentsOff: TablerIcon;
export declare const IconAdjustmentsPause: TablerIcon;
export declare const IconAdjustmentsPin: TablerIcon;
export declare const IconAdjustmentsPlus: TablerIcon;
export declare const IconAdjustmentsQuestion: TablerIcon;
export declare const IconAdjustmentsSearch: TablerIcon;
export declare const IconAdjustmentsShare: TablerIcon;
export declare const IconAdjustmentsStar: TablerIcon;
export declare const IconAdjustmentsUp: TablerIcon;
export declare const IconAdjustmentsX: TablerIcon;
export declare const IconAdjustments: TablerIcon;
export declare const IconAerialLift: TablerIcon;
export declare const IconAffiliateFilled: TablerIcon;
export declare const IconAffiliate: TablerIcon;
export declare const IconAirBalloon: TablerIcon;
export declare const IconAirConditioningDisabled: TablerIcon;
export declare const IconAirConditioning: TablerIcon;
export declare const IconAirTrafficControl: TablerIcon;
export declare const IconAlarmAverage: TablerIcon;
export declare const IconAlarmFilled: TablerIcon;
export declare const IconAlarmMinusFilled: TablerIcon;
export declare const IconAlarmMinus: TablerIcon;
export declare const IconAlarmOff: TablerIcon;
export declare const IconAlarmPlusFilled: TablerIcon;
export declare const IconAlarmPlus: TablerIcon;
export declare const IconAlarmSnoozeFilled: TablerIcon;
export declare const IconAlarmSnooze: TablerIcon;
export declare const IconAlarm: TablerIcon;
export declare const IconAlbumOff: TablerIcon;
export declare const IconAlbum: TablerIcon;
export declare const IconAlertCircleFilled: TablerIcon;
export declare const IconAlertCircleOff: TablerIcon;
export declare const IconAlertCircle: TablerIcon;
export declare const IconAlertHexagonFilled: TablerIcon;
export declare const IconAlertHexagonOff: TablerIcon;
export declare const IconAlertHexagon: TablerIcon;
export declare const IconAlertOctagonFilled: TablerIcon;
export declare const IconAlertOctagon: TablerIcon;
export declare const IconAlertSmallOff: TablerIcon;
export declare const IconAlertSmall: TablerIcon;
export declare const IconAlertSquareFilled: TablerIcon;
export declare const IconAlertSquareRoundedFilled: TablerIcon;
export declare const IconAlertSquareRoundedOff: TablerIcon;
export declare const IconAlertSquareRounded: TablerIcon;
export declare const IconAlertSquare: TablerIcon;
export declare const IconAlertTriangleFilled: TablerIcon;
export declare const IconAlertTriangleOff: TablerIcon;
export declare const IconAlertTriangle: TablerIcon;
export declare const IconAlienFilled: TablerIcon;
export declare const IconAlien: TablerIcon;
export declare const IconAlignBoxBottomCenterFilled: TablerIcon;
export declare const IconAlignBoxBottomCenter: TablerIcon;
export declare const IconAlignBoxBottomLeftFilled: TablerIcon;
export declare const IconAlignBoxBottomLeft: TablerIcon;
export declare const IconAlignBoxBottomRightFilled: TablerIcon;
export declare const IconAlignBoxBottomRight: TablerIcon;
export declare const IconAlignBoxCenterBottom: TablerIcon;
export declare const IconAlignBoxCenterMiddleFilled: TablerIcon;
export declare const IconAlignBoxCenterMiddle: TablerIcon;
export declare const IconAlignBoxCenterStretch: TablerIcon;
export declare const IconAlignBoxCenterTop: TablerIcon;
export declare const IconAlignBoxLeftBottomFilled: TablerIcon;
export declare const IconAlignBoxLeftBottom: TablerIcon;
export declare const IconAlignBoxLeftMiddleFilled: TablerIcon;
export declare const IconAlignBoxLeftMiddle: TablerIcon;
export declare const IconAlignBoxLeftStretch: TablerIcon;
export declare const IconAlignBoxLeftTopFilled: TablerIcon;
export declare const IconAlignBoxLeftTop: TablerIcon;
export declare const IconAlignBoxRightBottomFilled: TablerIcon;
export declare const IconAlignBoxRightBottom: TablerIcon;
export declare const IconAlignBoxRightMiddleFilled: TablerIcon;
export declare const IconAlignBoxRightMiddle: TablerIcon;
export declare const IconAlignBoxRightStretch: TablerIcon;
export declare const IconAlignBoxRightTopFilled: TablerIcon;
export declare const IconAlignBoxRightTop: TablerIcon;
export declare const IconAlignBoxTopCenterFilled: TablerIcon;
export declare const IconAlignBoxTopCenter: TablerIcon;
export declare const IconAlignBoxTopLeftFilled: TablerIcon;
export declare const IconAlignBoxTopLeft: TablerIcon;
export declare const IconAlignBoxTopRightFilled: TablerIcon;
export declare const IconAlignBoxTopRight: TablerIcon;
export declare const IconAlignCenter: TablerIcon;
export declare const IconAlignJustified: TablerIcon;
export declare const IconAlignLeft: TablerIcon;
export declare const IconAlignRight: TablerIcon;
export declare const IconAlpha: TablerIcon;
export declare const IconAlphabetCyrillic: TablerIcon;
export declare const IconAlphabetGreek: TablerIcon;
export declare const IconAlphabetLatin: TablerIcon;
export declare const IconAlt: TablerIcon;
export declare const IconAmbulance: TablerIcon;
export declare const IconAmpersand: TablerIcon;
export declare const IconAnalyzeFilled: TablerIcon;
export declare const IconAnalyzeOff: TablerIcon;
export declare const IconAnalyze: TablerIcon;
export declare const IconAnchorOff: TablerIcon;
export declare const IconAnchor: TablerIcon;
export declare const IconAngle: TablerIcon;
export declare const IconAnkh: TablerIcon;
export declare const IconAntennaBars1: TablerIcon;
export declare const IconAntennaBars2: TablerIcon;
export declare const IconAntennaBars3: TablerIcon;
export declare const IconAntennaBars4: TablerIcon;
export declare const IconAntennaBars5: TablerIcon;
export declare const IconAntennaBarsOff: TablerIcon;
export declare const IconAntennaOff: TablerIcon;
export declare const IconAntenna: TablerIcon;
export declare const IconApertureOff: TablerIcon;
export declare const IconAperture: TablerIcon;
export declare const IconApiAppOff: TablerIcon;
export declare const IconApiApp: TablerIcon;
export declare const IconApiOff: TablerIcon;
export declare const IconApi: TablerIcon;
export declare const IconAppWindowFilled: TablerIcon;
export declare const IconAppWindow: TablerIcon;
export declare const IconApple: TablerIcon;
export declare const IconAppsFilled: TablerIcon;
export declare const IconAppsOff: TablerIcon;
export declare const IconApps: TablerIcon;
export declare const IconArcheryArrow: TablerIcon;
export declare const IconArchiveFilled: TablerIcon;
export declare const IconArchiveOff: TablerIcon;
export declare const IconArchive: TablerIcon;
export declare const IconArmchair2Off: TablerIcon;
export declare const IconArmchair2: TablerIcon;
export declare const IconArmchairOff: TablerIcon;
export declare const IconArmchair: TablerIcon;
export declare const IconArrowAutofitContentFilled: TablerIcon;
export declare const IconArrowAutofitContent: TablerIcon;
export declare const IconArrowAutofitDown: TablerIcon;
export declare const IconArrowAutofitHeight: TablerIcon;
export declare const IconArrowAutofitLeft: TablerIcon;
export declare const IconArrowAutofitRight: TablerIcon;
export declare const IconArrowAutofitUp: TablerIcon;
export declare const IconArrowAutofitWidth: TablerIcon;
export declare const IconArrowBackUpDouble: TablerIcon;
export declare const IconArrowBackUp: TablerIcon;
export declare const IconArrowBack: TablerIcon;
export declare const IconArrowBadgeDownFilled: TablerIcon;
export declare const IconArrowBadgeDown: TablerIcon;
export declare const IconArrowBadgeLeftFilled: TablerIcon;
export declare const IconArrowBadgeLeft: TablerIcon;
export declare const IconArrowBadgeRightFilled: TablerIcon;
export declare const IconArrowBadgeRight: TablerIcon;
export declare const IconArrowBadgeUpFilled: TablerIcon;
export declare const IconArrowBadgeUp: TablerIcon;
export declare const IconArrowBarBoth: TablerIcon;
export declare const IconArrowBarDown: TablerIcon;
export declare const IconArrowBarLeft: TablerIcon;
export declare const IconArrowBarRight: TablerIcon;
export declare const IconArrowBarToDown: TablerIcon;
export declare const IconArrowBarToLeft: TablerIcon;
export declare const IconArrowBarToRight: TablerIcon;
export declare const IconArrowBarToUp: TablerIcon;
export declare const IconArrowBarUp: TablerIcon;
export declare const IconArrowBearLeft2: TablerIcon;
export declare const IconArrowBearLeft: TablerIcon;
export declare const IconArrowBearRight2: TablerIcon;
export declare const IconArrowBearRight: TablerIcon;
export declare const IconArrowBigDownFilled: TablerIcon;
export declare const IconArrowBigDownLineFilled: TablerIcon;
export declare const IconArrowBigDownLine: TablerIcon;
export declare const IconArrowBigDownLinesFilled: TablerIcon;
export declare const IconArrowBigDownLines: TablerIcon;
export declare const IconArrowBigDown: TablerIcon;
export declare const IconArrowBigLeftFilled: TablerIcon;
export declare const IconArrowBigLeftLineFilled: TablerIcon;
export declare const IconArrowBigLeftLine: TablerIcon;
export declare const IconArrowBigLeftLinesFilled: TablerIcon;
export declare const IconArrowBigLeftLines: TablerIcon;
export declare const IconArrowBigLeft: TablerIcon;
export declare const IconArrowBigRightFilled: TablerIcon;
export declare const IconArrowBigRightLineFilled: TablerIcon;
export declare const IconArrowBigRightLine: TablerIcon;
export declare const IconArrowBigRightLinesFilled: TablerIcon;
export declare const IconArrowBigRightLines: TablerIcon;
export declare const IconArrowBigRight: TablerIcon;
export declare const IconArrowBigUpFilled: TablerIcon;
export declare const IconArrowBigUpLineFilled: TablerIcon;
export declare const IconArrowBigUpLine: TablerIcon;
export declare const IconArrowBigUpLinesFilled: TablerIcon;
export declare const IconArrowBigUpLines: TablerIcon;
export declare const IconArrowBigUp: TablerIcon;
export declare const IconArrowBounce: TablerIcon;
export declare const IconArrowCapsule: TablerIcon;
export declare const IconArrowCurveLeft: TablerIcon;
export declare const IconArrowCurveRight: TablerIcon;
export declare const IconArrowDownBar: TablerIcon;
export declare const IconArrowDownCircle: TablerIcon;
export declare const IconArrowDownLeftCircle: TablerIcon;
export declare const IconArrowDownLeft: TablerIcon;
export declare const IconArrowDownRhombus: TablerIcon;
export declare const IconArrowDownRightCircle: TablerIcon;
export declare const IconArrowDownRight: TablerIcon;
export declare const IconArrowDownSquare: TablerIcon;
export declare const IconArrowDownTail: TablerIcon;
export declare const IconArrowDown: TablerIcon;
export declare const IconArrowElbowLeft: TablerIcon;
export declare const IconArrowElbowRight: TablerIcon;
export declare const IconArrowFork: TablerIcon;
export declare const IconArrowForwardUpDouble: TablerIcon;
export declare const IconArrowForwardUp: TablerIcon;
export declare const IconArrowForward: TablerIcon;
export declare const IconArrowGuide: TablerIcon;
export declare const IconArrowIteration: TablerIcon;
export declare const IconArrowLeftBar: TablerIcon;
export declare const IconArrowLeftCircle: TablerIcon;
export declare const IconArrowLeftRhombus: TablerIcon;
export declare const IconArrowLeftRight: TablerIcon;
export declare const IconArrowLeftSquare: TablerIcon;
export declare const IconArrowLeftTail: TablerIcon;
export declare const IconArrowLeft: TablerIcon;
export declare const IconArrowLoopLeft2: TablerIcon;
export declare const IconArrowLoopLeft: TablerIcon;
export declare const IconArrowLoopRight2: TablerIcon;
export declare const IconArrowLoopRight: TablerIcon;
export declare const IconArrowMergeAltLeft: TablerIcon;
export declare const IconArrowMergeAltRight: TablerIcon;
export declare const IconArrowMergeBoth: TablerIcon;
export declare const IconArrowMergeLeft: TablerIcon;
export declare const IconArrowMergeRight: TablerIcon;
export declare const IconArrowMerge: TablerIcon;
export declare const IconArrowMoveDown: TablerIcon;
export declare const IconArrowMoveLeft: TablerIcon;
export declare const IconArrowMoveRight: TablerIcon;
export declare const IconArrowMoveUp: TablerIcon;
export declare const IconArrowNarrowDown: TablerIcon;
export declare const IconArrowNarrowLeft: TablerIcon;
export declare const IconArrowNarrowRight: TablerIcon;
export declare const IconArrowNarrowUp: TablerIcon;
export declare const IconArrowRampLeft2: TablerIcon;
export declare const IconArrowRampLeft3: TablerIcon;
export declare const IconArrowRampLeft: TablerIcon;
export declare const IconArrowRampRight2: TablerIcon;
export declare const IconArrowRampRight3: TablerIcon;
export declare const IconArrowRampRight: TablerIcon;
export declare const IconArrowRightBar: TablerIcon;
export declare const IconArrowRightCircle: TablerIcon;
export declare const IconArrowRightRhombus: TablerIcon;
export declare const IconArrowRightSquare: TablerIcon;
export declare const IconArrowRightTail: TablerIcon;
export declare const IconArrowRight: TablerIcon;
export declare const IconArrowRotaryFirstLeft: TablerIcon;
export declare const IconArrowRotaryFirstRight: TablerIcon;
export declare const IconArrowRotaryLastLeft: TablerIcon;
export declare const IconArrowRotaryLastRight: TablerIcon;
export declare const IconArrowRotaryLeft: TablerIcon;
export declare const IconArrowRotaryRight: TablerIcon;
export declare const IconArrowRotaryStraight: TablerIcon;
export declare const IconArrowRoundaboutLeft: TablerIcon;
export declare const IconArrowRoundaboutRight: TablerIcon;
export declare const IconArrowSharpTurnLeft: TablerIcon;
export declare const IconArrowSharpTurnRight: TablerIcon;
export declare const IconArrowUpBar: TablerIcon;
export declare const IconArrowUpCircle: TablerIcon;
export declare const IconArrowUpLeftCircle: TablerIcon;
export declare const IconArrowUpLeft: TablerIcon;
export declare const IconArrowUpRhombus: TablerIcon;
export declare const IconArrowUpRightCircle: TablerIcon;
export declare const IconArrowUpRight: TablerIcon;
export declare const IconArrowUpSquare: TablerIcon;
export declare const IconArrowUpTail: TablerIcon;
export declare const IconArrowUp: TablerIcon;
export declare const IconArrowWaveLeftDown: TablerIcon;
export declare const IconArrowWaveLeftUp: TablerIcon;
export declare const IconArrowWaveRightDown: TablerIcon;
export declare const IconArrowWaveRightUp: TablerIcon;
export declare const IconArrowZigZag: TablerIcon;
export declare const IconArrowsCross: TablerIcon;
export declare const IconArrowsDiagonal2: TablerIcon;
export declare const IconArrowsDiagonalMinimize2: TablerIcon;
export declare const IconArrowsDiagonalMinimize: TablerIcon;
export declare const IconArrowsDiagonal: TablerIcon;
export declare const IconArrowsDiff: TablerIcon;
export declare const IconArrowsDoubleNeSw: TablerIcon;
export declare const IconArrowsDoubleNwSe: TablerIcon;
export declare const IconArrowsDoubleSeNw: TablerIcon;
export declare const IconArrowsDoubleSwNe: TablerIcon;
export declare const IconArrowsDownUp: TablerIcon;
export declare const IconArrowsDown: TablerIcon;
export declare const IconArrowsExchange2: TablerIcon;
export declare const IconArrowsExchange: TablerIcon;
export declare const IconArrowsHorizontal: TablerIcon;
export declare const IconArrowsJoin2: TablerIcon;
export declare const IconArrowsJoin: TablerIcon;
export declare const IconArrowsLeftDown: TablerIcon;
export declare const IconArrowsLeftRight: TablerIcon;
export declare const IconArrowsLeft: TablerIcon;
export declare const IconArrowsMaximize: TablerIcon;
export declare const IconArrowsMinimize: TablerIcon;
export declare const IconArrowsMoveHorizontal: TablerIcon;
export declare const IconArrowsMoveVertical: TablerIcon;
export declare const IconArrowsMove: TablerIcon;
export declare const IconArrowsRandom: TablerIcon;
export declare const IconArrowsRightDown: TablerIcon;
export declare const IconArrowsRightLeft: TablerIcon;
export declare const IconArrowsRight: TablerIcon;
export declare const IconArrowsShuffle2: TablerIcon;
export declare const IconArrowsShuffle: TablerIcon;
export declare const IconArrowsSort: TablerIcon;
export declare const IconArrowsSplit2: TablerIcon;
export declare const IconArrowsSplit: TablerIcon;
export declare const IconArrowsTransferDown: TablerIcon;
export declare const IconArrowsTransferUp: TablerIcon;
export declare const IconArrowsUpDown: TablerIcon;
export declare const IconArrowsUpLeft: TablerIcon;
export declare const IconArrowsUpRight: TablerIcon;
export declare const IconArrowsUp: TablerIcon;
export declare const IconArrowsVertical: TablerIcon;
export declare const IconArtboardFilled: TablerIcon;
export declare const IconArtboardOff: TablerIcon;
export declare const IconArtboard: TablerIcon;
export declare const IconArticleFilledFilled: TablerIcon;
export declare const IconArticleOff: TablerIcon;
export declare const IconArticle: TablerIcon;
export declare const IconAspectRatioFilled: TablerIcon;
export declare const IconAspectRatioOff: TablerIcon;
export declare const IconAspectRatio: TablerIcon;
export declare const IconAssemblyOff: TablerIcon;
export declare const IconAssembly: TablerIcon;
export declare const IconAsset: TablerIcon;
export declare const IconAsteriskSimple: TablerIcon;
export declare const IconAsterisk: TablerIcon;
export declare const IconAtOff: TablerIcon;
export declare const IconAt: TablerIcon;
export declare const IconAtom2Filled: TablerIcon;
export declare const IconAtom2: TablerIcon;
export declare const IconAtomOff: TablerIcon;
export declare const IconAtom: TablerIcon;
export declare const IconAugmentedReality2: TablerIcon;
export declare const IconAugmentedRealityOff: TablerIcon;
export declare const IconAugmentedReality: TablerIcon;
export declare const IconAutomaticGearbox: TablerIcon;
export declare const IconAwardFilled: TablerIcon;
export declare const IconAwardOff: TablerIcon;
export declare const IconAward: TablerIcon;
export declare const IconAxe: TablerIcon;
export declare const IconAxisX: TablerIcon;
export declare const IconAxisY: TablerIcon;
export declare const IconBabyBottle: TablerIcon;
export declare const IconBabyCarriage: TablerIcon;
export declare const IconBackground: TablerIcon;
export declare const IconBackhoe: TablerIcon;
export declare const IconBackpackOff: TablerIcon;
export declare const IconBackpack: TablerIcon;
export declare const IconBackslash: TablerIcon;
export declare const IconBackspaceFilled: TablerIcon;
export declare const IconBackspace: TablerIcon;
export declare const IconBadge3d: TablerIcon;
export declare const IconBadge4k: TablerIcon;
export declare const IconBadge8k: TablerIcon;
export declare const IconBadgeAd: TablerIcon;
export declare const IconBadgeAr: TablerIcon;
export declare const IconBadgeCc: TablerIcon;
export declare const IconBadgeFilled: TablerIcon;
export declare const IconBadgeHd: TablerIcon;
export declare const IconBadgeOff: TablerIcon;
export declare const IconBadgeSd: TablerIcon;
export declare const IconBadgeTm: TablerIcon;
export declare const IconBadgeVo: TablerIcon;
export declare const IconBadgeVr: TablerIcon;
export declare const IconBadgeWc: TablerIcon;
export declare const IconBadge: TablerIcon;
export declare const IconBadgesFilled: TablerIcon;
export declare const IconBadgesOff: TablerIcon;
export declare const IconBadges: TablerIcon;
export declare const IconBaguette: TablerIcon;
export declare const IconBallAmericanFootballOff: TablerIcon;
export declare const IconBallAmericanFootball: TablerIcon;
export declare const IconBallBaseball: TablerIcon;
export declare const IconBallBasketball: TablerIcon;
export declare const IconBallBowling: TablerIcon;
export declare const IconBallFootballOff: TablerIcon;
export declare const IconBallFootball: TablerIcon;
export declare const IconBallTennis: TablerIcon;
export declare const IconBallVolleyball: TablerIcon;
export declare const IconBalloonFilled: TablerIcon;
export declare const IconBalloonOff: TablerIcon;
export declare const IconBalloon: TablerIcon;
export declare const IconBallpenFilled: TablerIcon;
export declare const IconBallpenOff: TablerIcon;
export declare const IconBallpen: TablerIcon;
export declare const IconBan: TablerIcon;
export declare const IconBandageFilled: TablerIcon;
export declare const IconBandageOff: TablerIcon;
export declare const IconBandage: TablerIcon;
export declare const IconBarbellOff: TablerIcon;
export declare const IconBarbell: TablerIcon;
export declare const IconBarcodeOff: TablerIcon;
export declare const IconBarcode: TablerIcon;
export declare const IconBarrelOff: TablerIcon;
export declare const IconBarrel: TablerIcon;
export declare const IconBarrierBlockOff: TablerIcon;
export declare const IconBarrierBlock: TablerIcon;
export declare const IconBaselineDensityLarge: TablerIcon;
export declare const IconBaselineDensityMedium: TablerIcon;
export declare const IconBaselineDensitySmall: TablerIcon;
export declare const IconBaseline: TablerIcon;
export declare const IconBasketBolt: TablerIcon;
export declare const IconBasketCancel: TablerIcon;
export declare const IconBasketCheck: TablerIcon;
export declare const IconBasketCode: TablerIcon;
export declare const IconBasketCog: TablerIcon;
export declare const IconBasketDiscount: TablerIcon;
export declare const IconBasketDollar: TablerIcon;
export declare const IconBasketDown: TablerIcon;
export declare const IconBasketExclamation: TablerIcon;
export declare const IconBasketFilled: TablerIcon;
export declare const IconBasketHeart: TablerIcon;
export declare const IconBasketMinus: TablerIcon;
export declare const IconBasketOff: TablerIcon;
export declare const IconBasketPause: TablerIcon;
export declare const IconBasketPin: TablerIcon;
export declare const IconBasketPlus: TablerIcon;
export declare const IconBasketQuestion: TablerIcon;
export declare const IconBasketSearch: TablerIcon;
export declare const IconBasketShare: TablerIcon;
export declare const IconBasketStar: TablerIcon;
export declare const IconBasketUp: TablerIcon;
export declare const IconBasketX: TablerIcon;
export declare const IconBasket: TablerIcon;
export declare const IconBat: TablerIcon;
export declare const IconBathFilled: TablerIcon;
export declare const IconBathOff: TablerIcon;
export declare const IconBath: TablerIcon;
export declare const IconBattery1Filled: TablerIcon;
export declare const IconBattery1: TablerIcon;
export declare const IconBattery2Filled: TablerIcon;
export declare const IconBattery2: TablerIcon;
export declare const IconBattery3Filled: TablerIcon;
export declare const IconBattery3: TablerIcon;
export declare const IconBattery4Filled: TablerIcon;
export declare const IconBattery4: TablerIcon;
export declare const IconBatteryAutomotive: TablerIcon;
export declare const IconBatteryCharging2: TablerIcon;
export declare const IconBatteryCharging: TablerIcon;
export declare const IconBatteryEco: TablerIcon;
export declare const IconBatteryFilled: TablerIcon;
export declare const IconBatteryOff: TablerIcon;
export declare const IconBattery: TablerIcon;
export declare const IconBeachOff: TablerIcon;
export declare const IconBeach: TablerIcon;
export declare const IconBedFilled: TablerIcon;
export declare const IconBedFlat: TablerIcon;
export declare const IconBedOff: TablerIcon;
export declare const IconBed: TablerIcon;
export declare const IconBeerFilled: TablerIcon;
export declare const IconBeerOff: TablerIcon;
export declare const IconBeer: TablerIcon;
export declare const IconBellBolt: TablerIcon;
export declare const IconBellCancel: TablerIcon;
export declare const IconBellCheck: TablerIcon;
export declare const IconBellCode: TablerIcon;
export declare const IconBellCog: TablerIcon;
export declare const IconBellDollar: TablerIcon;
export declare const IconBellDown: TablerIcon;
export declare const IconBellExclamation: TablerIcon;
export declare const IconBellFilled: TablerIcon;
export declare const IconBellHeart: TablerIcon;
export declare const IconBellMinusFilled: TablerIcon;
export declare const IconBellMinus: TablerIcon;
export declare const IconBellOff: TablerIcon;
export declare const IconBellPause: TablerIcon;
export declare const IconBellPin: TablerIcon;
export declare const IconBellPlusFilled: TablerIcon;
export declare const IconBellPlus: TablerIcon;
export declare const IconBellQuestion: TablerIcon;
export declare const IconBellRinging2Filled: TablerIcon;
export declare const IconBellRinging2: TablerIcon;
export declare const IconBellRingingFilled: TablerIcon;
export declare const IconBellRinging: TablerIcon;
export declare const IconBellSchool: TablerIcon;
export declare const IconBellSearch: TablerIcon;
export declare const IconBellShare: TablerIcon;
export declare const IconBellStar: TablerIcon;
export declare const IconBellUp: TablerIcon;
export declare const IconBellXFilled: TablerIcon;
export declare const IconBellX: TablerIcon;
export declare const IconBellZFilled: TablerIcon;
export declare const IconBellZ: TablerIcon;
export declare const IconBell: TablerIcon;
export declare const IconBeta: TablerIcon;
export declare const IconBible: TablerIcon;
export declare const IconBikeOff: TablerIcon;
export declare const IconBike: TablerIcon;
export declare const IconBinaryOff: TablerIcon;
export declare const IconBinaryTree2: TablerIcon;
export declare const IconBinaryTree: TablerIcon;
export declare const IconBinary: TablerIcon;
export declare const IconBiohazardOff: TablerIcon;
export declare const IconBiohazard: TablerIcon;
export declare const IconBladeFilled: TablerIcon;
export declare const IconBlade: TablerIcon;
export declare const IconBleachChlorine: TablerIcon;
export declare const IconBleachNoChlorine: TablerIcon;
export declare const IconBleachOff: TablerIcon;
export declare const IconBleach: TablerIcon;
export declare const IconBlender: TablerIcon;
export declare const IconBlockquote: TablerIcon;
export declare const IconBluetoothConnected: TablerIcon;
export declare const IconBluetoothOff: TablerIcon;
export declare const IconBluetoothX: TablerIcon;
export declare const IconBluetooth: TablerIcon;
export declare const IconBlurOff: TablerIcon;
export declare const IconBlur: TablerIcon;
export declare const IconBmp: TablerIcon;
export declare const IconBodyScan: TablerIcon;
export declare const IconBoldOff: TablerIcon;
export declare const IconBold: TablerIcon;
export declare const IconBoltOff: TablerIcon;
export declare const IconBolt: TablerIcon;
export declare const IconBombFilled: TablerIcon;
export declare const IconBomb: TablerIcon;
export declare const IconBoneOff: TablerIcon;
export declare const IconBone: TablerIcon;
export declare const IconBongOff: TablerIcon;
export declare const IconBong: TablerIcon;
export declare const IconBook2: TablerIcon;
export declare const IconBookDownload: TablerIcon;
export declare const IconBookFilled: TablerIcon;
export declare const IconBookOff: TablerIcon;
export declare const IconBookUpload: TablerIcon;
export declare const IconBook: TablerIcon;
export declare const IconBookmarkAi: TablerIcon;
export declare const IconBookmarkEdit: TablerIcon;
export declare const IconBookmarkFilled: TablerIcon;
export declare const IconBookmarkMinus: TablerIcon;
export declare const IconBookmarkOff: TablerIcon;
export declare const IconBookmarkPlus: TablerIcon;
export declare const IconBookmarkQuestion: TablerIcon;
export declare const IconBookmark: TablerIcon;
export declare const IconBookmarksFilled: TablerIcon;
export declare const IconBookmarksOff: TablerIcon;
export declare const IconBookmarks: TablerIcon;
export declare const IconBooksOff: TablerIcon;
export declare const IconBooks: TablerIcon;
export declare const IconBorderAll: TablerIcon;
export declare const IconBorderBottom: TablerIcon;
export declare const IconBorderCorners: TablerIcon;
export declare const IconBorderHorizontal: TablerIcon;
export declare const IconBorderInner: TablerIcon;
export declare const IconBorderLeft: TablerIcon;
export declare const IconBorderNone: TablerIcon;
export declare const IconBorderOuter: TablerIcon;
export declare const IconBorderRadius: TablerIcon;
export declare const IconBorderRight: TablerIcon;
export declare const IconBorderSides: TablerIcon;
export declare const IconBorderStyle2: TablerIcon;
export declare const IconBorderStyle: TablerIcon;
export declare const IconBorderTop: TablerIcon;
export declare const IconBorderVertical: TablerIcon;
export declare const IconBottleFilled: TablerIcon;
export declare const IconBottleOff: TablerIcon;
export declare const IconBottle: TablerIcon;
export declare const IconBounceLeftFilled: TablerIcon;
export declare const IconBounceLeft: TablerIcon;
export declare const IconBounceRightFilled: TablerIcon;
export declare const IconBounceRight: TablerIcon;
export declare const IconBow: TablerIcon;
export declare const IconBowlFilled: TablerIcon;
export declare const IconBowl: TablerIcon;
export declare const IconBoxAlignBottomFilled: TablerIcon;
export declare const IconBoxAlignBottomLeftFilled: TablerIcon;
export declare const IconBoxAlignBottomLeft: TablerIcon;
export declare const IconBoxAlignBottomRightFilled: TablerIcon;
export declare const IconBoxAlignBottomRight: TablerIcon;
export declare const IconBoxAlignBottom: TablerIcon;
export declare const IconBoxAlignLeftFilled: TablerIcon;
export declare const IconBoxAlignLeft: TablerIcon;
export declare const IconBoxAlignRightFilled: TablerIcon;
export declare const IconBoxAlignRight: TablerIcon;
export declare const IconBoxAlignTopFilled: TablerIcon;
export declare const IconBoxAlignTopLeftFilled: TablerIcon;
export declare const IconBoxAlignTopLeft: TablerIcon;
export declare const IconBoxAlignTopRightFilled: TablerIcon;
export declare const IconBoxAlignTopRight: TablerIcon;
export declare const IconBoxAlignTop: TablerIcon;
export declare const IconBoxMargin: TablerIcon;
export declare const IconBoxModel2Off: TablerIcon;
export declare const IconBoxModel2: TablerIcon;
export declare const IconBoxModelOff: TablerIcon;
export declare const IconBoxModel: TablerIcon;
export declare const IconBoxMultiple0: TablerIcon;
export declare const IconBoxMultiple1: TablerIcon;
export declare const IconBoxMultiple2: TablerIcon;
export declare const IconBoxMultiple3: TablerIcon;
export declare const IconBoxMultiple4: TablerIcon;
export declare const IconBoxMultiple5: TablerIcon;
export declare const IconBoxMultiple6: TablerIcon;
export declare const IconBoxMultiple7: TablerIcon;
export declare const IconBoxMultiple8: TablerIcon;
export declare const IconBoxMultiple9: TablerIcon;
export declare const IconBoxMultiple: TablerIcon;
export declare const IconBoxOff: TablerIcon;
export declare const IconBoxPadding: TablerIcon;
export declare const IconBoxSeam: TablerIcon;
export declare const IconBox: TablerIcon;
export declare const IconBracesOff: TablerIcon;
export declare const IconBraces: TablerIcon;
export declare const IconBracketsAngleOff: TablerIcon;
export declare const IconBracketsAngle: TablerIcon;
export declare const IconBracketsContainEnd: TablerIcon;
export declare const IconBracketsContainStart: TablerIcon;
export declare const IconBracketsContain: TablerIcon;
export declare const IconBracketsOff: TablerIcon;
export declare const IconBrackets: TablerIcon;
export declare const IconBraille: TablerIcon;
export declare const IconBrain: TablerIcon;
export declare const IconBrand4chan: TablerIcon;
export declare const IconBrandAbstract: TablerIcon;
export declare const IconBrandAdobe: TablerIcon;
export declare const IconBrandAdonisJs: TablerIcon;
export declare const IconBrandAirbnb: TablerIcon;
export declare const IconBrandAirtable: TablerIcon;
export declare const IconBrandAlgolia: TablerIcon;
export declare const IconBrandAlipay: TablerIcon;
export declare const IconBrandAlpineJs: TablerIcon;
export declare const IconBrandAmazon: TablerIcon;
export declare const IconBrandAmd: TablerIcon;
export declare const IconBrandAmigo: TablerIcon;
export declare const IconBrandAmongUs: TablerIcon;
export declare const IconBrandAndroid: TablerIcon;
export declare const IconBrandAngular: TablerIcon;
export declare const IconBrandAnsible: TablerIcon;
export declare const IconBrandAo3: TablerIcon;
export declare const IconBrandAppgallery: TablerIcon;
export declare const IconBrandAppleArcade: TablerIcon;
export declare const IconBrandApplePodcast: TablerIcon;
export declare const IconBrandApple: TablerIcon;
export declare const IconBrandAppstore: TablerIcon;
export declare const IconBrandAsana: TablerIcon;
export declare const IconBrandAuth0: TablerIcon;
export declare const IconBrandAws: TablerIcon;
export declare const IconBrandAzure: TablerIcon;
export declare const IconBrandBackbone: TablerIcon;
export declare const IconBrandBadoo: TablerIcon;
export declare const IconBrandBaidu: TablerIcon;
export declare const IconBrandBandcamp: TablerIcon;
export declare const IconBrandBandlab: TablerIcon;
export declare const IconBrandBeats: TablerIcon;
export declare const IconBrandBehance: TablerIcon;
export declare const IconBrandBilibili: TablerIcon;
export declare const IconBrandBinance: TablerIcon;
export declare const IconBrandBing: TablerIcon;
export declare const IconBrandBitbucket: TablerIcon;
export declare const IconBrandBlackberry: TablerIcon;
export declare const IconBrandBlender: TablerIcon;
export declare const IconBrandBlogger: TablerIcon;
export declare const IconBrandBooking: TablerIcon;
export declare const IconBrandBootstrap: TablerIcon;
export declare const IconBrandBulma: TablerIcon;
export declare const IconBrandBumble: TablerIcon;
export declare const IconBrandBunpo: TablerIcon;
export declare const IconBrandCSharp: TablerIcon;
export declare const IconBrandCake: TablerIcon;
export declare const IconBrandCakephp: TablerIcon;
export declare const IconBrandCampaignmonitor: TablerIcon;
export declare const IconBrandCarbon: TablerIcon;
export declare const IconBrandCashapp: TablerIcon;
export declare const IconBrandChrome: TablerIcon;
export declare const IconBrandCinema4d: TablerIcon;
export declare const IconBrandCitymapper: TablerIcon;
export declare const IconBrandCloudflare: TablerIcon;
export declare const IconBrandCodecov: TablerIcon;
export declare const IconBrandCodepen: TablerIcon;
export declare const IconBrandCodesandbox: TablerIcon;
export declare const IconBrandCohost: TablerIcon;
export declare const IconBrandCoinbase: TablerIcon;
export declare const IconBrandComedyCentral: TablerIcon;
export declare const IconBrandCoreos: TablerIcon;
export declare const IconBrandCouchdb: TablerIcon;
export declare const IconBrandCouchsurfing: TablerIcon;
export declare const IconBrandCpp: TablerIcon;
export declare const IconBrandCraft: TablerIcon;
export declare const IconBrandCrunchbase: TablerIcon;
export declare const IconBrandCss3: TablerIcon;
export declare const IconBrandCtemplar: TablerIcon;
export declare const IconBrandCucumber: TablerIcon;
export declare const IconBrandCupra: TablerIcon;
export declare const IconBrandCypress: TablerIcon;
export declare const IconBrandD3: TablerIcon;
export declare const IconBrandDatabricks: TablerIcon;
export declare const IconBrandDaysCounter: TablerIcon;
export declare const IconBrandDcos: TablerIcon;
export declare const IconBrandDebian: TablerIcon;
export declare const IconBrandDeezer: TablerIcon;
export declare const IconBrandDeliveroo: TablerIcon;
export declare const IconBrandDeno: TablerIcon;
export declare const IconBrandDenodo: TablerIcon;
export declare const IconBrandDeviantart: TablerIcon;
export declare const IconBrandDigg: TablerIcon;
export declare const IconBrandDingtalk: TablerIcon;
export declare const IconBrandDiscordFilled: TablerIcon;
export declare const IconBrandDiscord: TablerIcon;
export declare const IconBrandDisney: TablerIcon;
export declare const IconBrandDisqus: TablerIcon;
export declare const IconBrandDjango: TablerIcon;
export declare const IconBrandDocker: TablerIcon;
export declare const IconBrandDoctrine: TablerIcon;
export declare const IconBrandDolbyDigital: TablerIcon;
export declare const IconBrandDouban: TablerIcon;
export declare const IconBrandDribbbleFilled: TablerIcon;
export declare const IconBrandDribbble: TablerIcon;
export declare const IconBrandDrops: TablerIcon;
export declare const IconBrandDrupal: TablerIcon;
export declare const IconBrandEdge: TablerIcon;
export declare const IconBrandElastic: TablerIcon;
export declare const IconBrandElectronicArts: TablerIcon;
export declare const IconBrandEmber: TablerIcon;
export declare const IconBrandEnvato: TablerIcon;
export declare const IconBrandEtsy: TablerIcon;
export declare const IconBrandEvernote: TablerIcon;
export declare const IconBrandFacebookFilled: TablerIcon;
export declare const IconBrandFacebook: TablerIcon;
export declare const IconBrandFeedly: TablerIcon;
export declare const IconBrandFigma: TablerIcon;
export declare const IconBrandFilezilla: TablerIcon;
export declare const IconBrandFinder: TablerIcon;
export declare const IconBrandFirebase: TablerIcon;
export declare const IconBrandFirefox: TablerIcon;
export declare const IconBrandFiverr: TablerIcon;
export declare const IconBrandFlickr: TablerIcon;
export declare const IconBrandFlightradar24: TablerIcon;
export declare const IconBrandFlipboard: TablerIcon;
export declare const IconBrandFlutter: TablerIcon;
export declare const IconBrandFortnite: TablerIcon;
export declare const IconBrandFoursquare: TablerIcon;
export declare const IconBrandFramerMotion: TablerIcon;
export declare const IconBrandFramer: TablerIcon;
export declare const IconBrandFunimation: TablerIcon;
export declare const IconBrandGatsby: TablerIcon;
export declare const IconBrandGit: TablerIcon;
export declare const IconBrandGithubCopilot: TablerIcon;
export declare const IconBrandGithubFilled: TablerIcon;
export declare const IconBrandGithub: TablerIcon;
export declare const IconBrandGitlab: TablerIcon;
export declare const IconBrandGmail: TablerIcon;
export declare const IconBrandGolang: TablerIcon;
export declare const IconBrandGoogleAnalytics: TablerIcon;
export declare const IconBrandGoogleBigQuery: TablerIcon;
export declare const IconBrandGoogleDrive: TablerIcon;
export declare const IconBrandGoogleFilled: TablerIcon;
export declare const IconBrandGoogleFit: TablerIcon;
export declare const IconBrandGoogleHome: TablerIcon;
export declare const IconBrandGoogleMaps: TablerIcon;
export declare const IconBrandGoogleOne: TablerIcon;
export declare const IconBrandGooglePhotos: TablerIcon;
export declare const IconBrandGooglePlay: TablerIcon;
export declare const IconBrandGooglePodcasts: TablerIcon;
export declare const IconBrandGoogle: TablerIcon;
export declare const IconBrandGrammarly: TablerIcon;
export declare const IconBrandGraphql: TablerIcon;
export declare const IconBrandGravatar: TablerIcon;
export declare const IconBrandGrindr: TablerIcon;
export declare const IconBrandGuardian: TablerIcon;
export declare const IconBrandGumroad: TablerIcon;
export declare const IconBrandHbo: TablerIcon;
export declare const IconBrandHeadlessui: TablerIcon;
export declare const IconBrandHexo: TablerIcon;
export declare const IconBrandHipchat: TablerIcon;
export declare const IconBrandHtml5: TablerIcon;
export declare const IconBrandInertia: TablerIcon;
export declare const IconBrandInstagram: TablerIcon;
export declare const IconBrandIntercom: TablerIcon;
export declare const IconBrandItch: TablerIcon;
export declare const IconBrandJavascript: TablerIcon;
export declare const IconBrandJuejin: TablerIcon;
export declare const IconBrandKakoTalk: TablerIcon;
export declare const IconBrandKbin: TablerIcon;
export declare const IconBrandKick: TablerIcon;
export declare const IconBrandKickstarter: TablerIcon;
export declare const IconBrandKotlin: TablerIcon;
export declare const IconBrandLaravel: TablerIcon;
export declare const IconBrandLastfm: TablerIcon;
export declare const IconBrandLeetcode: TablerIcon;
export declare const IconBrandLetterboxd: TablerIcon;
export declare const IconBrandLine: TablerIcon;
export declare const IconBrandLinkedin: TablerIcon;
export declare const IconBrandLinktree: TablerIcon;
export declare const IconBrandLinqpad: TablerIcon;
export declare const IconBrandLoom: TablerIcon;
export declare const IconBrandMailgun: TablerIcon;
export declare const IconBrandMantine: TablerIcon;
export declare const IconBrandMastercard: TablerIcon;
export declare const IconBrandMastodon: TablerIcon;
export declare const IconBrandMatrix: TablerIcon;
export declare const IconBrandMcdonalds: TablerIcon;
export declare const IconBrandMedium: TablerIcon;
export declare const IconBrandMeetup: TablerIcon;
export declare const IconBrandMercedes: TablerIcon;
export declare const IconBrandMessenger: TablerIcon;
export declare const IconBrandMeta: TablerIcon;
export declare const IconBrandMinecraft: TablerIcon;
export declare const IconBrandMiniprogram: TablerIcon;
export declare const IconBrandMixpanel: TablerIcon;
export declare const IconBrandMonday: TablerIcon;
export declare const IconBrandMongodb: TablerIcon;
export declare const IconBrandMyOppo: TablerIcon;
export declare const IconBrandMysql: TablerIcon;
export declare const IconBrandNationalGeographic: TablerIcon;
export declare const IconBrandNem: TablerIcon;
export declare const IconBrandNetbeans: TablerIcon;
export declare const IconBrandNeteaseMusic: TablerIcon;
export declare const IconBrandNetflix: TablerIcon;
export declare const IconBrandNexo: TablerIcon;
export declare const IconBrandNextcloud: TablerIcon;
export declare const IconBrandNextjs: TablerIcon;
export declare const IconBrandNodejs: TablerIcon;
export declare const IconBrandNordVpn: TablerIcon;
export declare const IconBrandNotion: TablerIcon;
export declare const IconBrandNpm: TablerIcon;
export declare const IconBrandNuxt: TablerIcon;
export declare const IconBrandNytimes: TablerIcon;
export declare const IconBrandOauth: TablerIcon;
export declare const IconBrandOffice: TablerIcon;
export declare const IconBrandOkRu: TablerIcon;
export declare const IconBrandOnedrive: TablerIcon;
export declare const IconBrandOnlyfans: TablerIcon;
export declare const IconBrandOpenSource: TablerIcon;
export declare const IconBrandOpenai: TablerIcon;
export declare const IconBrandOpenvpn: TablerIcon;
export declare const IconBrandOpera: TablerIcon;
export declare const IconBrandPagekit: TablerIcon;
export declare const IconBrandParsinta: TablerIcon;
export declare const IconBrandPatreonFilled: TablerIcon;
export declare const IconBrandPatreon: TablerIcon;
export declare const IconBrandPaypalFilled: TablerIcon;
export declare const IconBrandPaypal: TablerIcon;
export declare const IconBrandPaypay: TablerIcon;
export declare const IconBrandPeanut: TablerIcon;
export declare const IconBrandPepsi: TablerIcon;
export declare const IconBrandPhp: TablerIcon;
export declare const IconBrandPicsart: TablerIcon;
export declare const IconBrandPinterest: TablerIcon;
export declare const IconBrandPlanetscale: TablerIcon;
export declare const IconBrandPocket: TablerIcon;
export declare const IconBrandPolymer: TablerIcon;
export declare const IconBrandPowershell: TablerIcon;
export declare const IconBrandPrintables: TablerIcon;
export declare const IconBrandPrisma: TablerIcon;
export declare const IconBrandProducthunt: TablerIcon;
export declare const IconBrandPushbullet: TablerIcon;
export declare const IconBrandPushover: TablerIcon;
export declare const IconBrandPython: TablerIcon;
export declare const IconBrandQq: TablerIcon;
export declare const IconBrandRadixUi: TablerIcon;
export declare const IconBrandReactNative: TablerIcon;
export declare const IconBrandReact: TablerIcon;
export declare const IconBrandReason: TablerIcon;
export declare const IconBrandReddit: TablerIcon;
export declare const IconBrandRedhat: TablerIcon;
export declare const IconBrandRedux: TablerIcon;
export declare const IconBrandRevolut: TablerIcon;
export declare const IconBrandRumble: TablerIcon;
export declare const IconBrandRust: TablerIcon;
export declare const IconBrandSafari: TablerIcon;
export declare const IconBrandSamsungpass: TablerIcon;
export declare const IconBrandSass: TablerIcon;
export declare const IconBrandSentry: TablerIcon;
export declare const IconBrandSharik: TablerIcon;
export declare const IconBrandShazam: TablerIcon;
export declare const IconBrandShopee: TablerIcon;
export declare const IconBrandSketch: TablerIcon;
export declare const IconBrandSkype: TablerIcon;
export declare const IconBrandSlack: TablerIcon;
export declare const IconBrandSnapchat: TablerIcon;
export declare const IconBrandSnapseed: TablerIcon;
export declare const IconBrandSnowflake: TablerIcon;
export declare const IconBrandSocketIo: TablerIcon;
export declare const IconBrandSolidjs: TablerIcon;
export declare const IconBrandSoundcloud: TablerIcon;
export declare const IconBrandSpacehey: TablerIcon;
export declare const IconBrandSpeedtest: TablerIcon;
export declare const IconBrandSpotify: TablerIcon;
export declare const IconBrandStackoverflow: TablerIcon;
export declare const IconBrandStackshare: TablerIcon;
export declare const IconBrandSteam: TablerIcon;
export declare const IconBrandStorj: TablerIcon;
export declare const IconBrandStorybook: TablerIcon;
export declare const IconBrandStorytel: TablerIcon;
export declare const IconBrandStrava: TablerIcon;
export declare const IconBrandStripe: TablerIcon;
export declare const IconBrandSublimeText: TablerIcon;
export declare const IconBrandSugarizer: TablerIcon;
export declare const IconBrandSupabase: TablerIcon;
export declare const IconBrandSuperhuman: TablerIcon;
export declare const IconBrandSupernova: TablerIcon;
export declare const IconBrandSurfshark: TablerIcon;
export declare const IconBrandSvelte: TablerIcon;
export declare const IconBrandSwift: TablerIcon;
export declare const IconBrandSymfony: TablerIcon;
export declare const IconBrandTabler: TablerIcon;
export declare const IconBrandTailwind: TablerIcon;
export declare const IconBrandTaobao: TablerIcon;
export declare const IconBrandTeams: TablerIcon;
export declare const IconBrandTed: TablerIcon;
export declare const IconBrandTelegram: TablerIcon;
export declare const IconBrandTerraform: TablerIcon;
export declare const IconBrandTether: TablerIcon;
export declare const IconBrandThingiverse: TablerIcon;
export declare const IconBrandThreads: TablerIcon;
export declare const IconBrandThreejs: TablerIcon;
export declare const IconBrandTidal: TablerIcon;
export declare const IconBrandTiktokFilled: TablerIcon;
export declare const IconBrandTiktok: TablerIcon;
export declare const IconBrandTinder: TablerIcon;
export declare const IconBrandTopbuzz: TablerIcon;
export declare const IconBrandTorchain: TablerIcon;
export declare const IconBrandToyota: TablerIcon;
export declare const IconBrandTrello: TablerIcon;
export declare const IconBrandTripadvisor: TablerIcon;
export declare const IconBrandTumblr: TablerIcon;
export declare const IconBrandTwilio: TablerIcon;
export declare const IconBrandTwitch: TablerIcon;
export declare const IconBrandTwitterFilled: TablerIcon;
export declare const IconBrandTwitter: TablerIcon;
export declare const IconBrandTypescript: TablerIcon;
export declare const IconBrandUber: TablerIcon;
export declare const IconBrandUbuntu: TablerIcon;
export declare const IconBrandUnity: TablerIcon;
export declare const IconBrandUnsplash: TablerIcon;
export declare const IconBrandUpwork: TablerIcon;
export declare const IconBrandValorant: TablerIcon;
export declare const IconBrandVercel: TablerIcon;
export declare const IconBrandVimeo: TablerIcon;
export declare const IconBrandVinted: TablerIcon;
export declare const IconBrandVisa: TablerIcon;
export declare const IconBrandVisualStudio: TablerIcon;
export declare const IconBrandVite: TablerIcon;
export declare const IconBrandVivaldi: TablerIcon;
export declare const IconBrandVk: TablerIcon;
export declare const IconBrandVlc: TablerIcon;
export declare const IconBrandVolkswagen: TablerIcon;
export declare const IconBrandVsco: TablerIcon;
export declare const IconBrandVscode: TablerIcon;
export declare const IconBrandVue: TablerIcon;
export declare const IconBrandWalmart: TablerIcon;
export declare const IconBrandWaze: TablerIcon;
export declare const IconBrandWebflow: TablerIcon;
export declare const IconBrandWechat: TablerIcon;
export declare const IconBrandWeibo: TablerIcon;
export declare const IconBrandWhatsapp: TablerIcon;
export declare const IconBrandWikipedia: TablerIcon;
export declare const IconBrandWindows: TablerIcon;
export declare const IconBrandWindy: TablerIcon;
export declare const IconBrandWish: TablerIcon;
export declare const IconBrandWix: TablerIcon;
export declare const IconBrandWordpress: TablerIcon;
export declare const IconBrandXFilled: TablerIcon;
export declare const IconBrandX: TablerIcon;
export declare const IconBrandXamarin: TablerIcon;
export declare const IconBrandXbox: TablerIcon;
export declare const IconBrandXdeep: TablerIcon;
export declare const IconBrandXing: TablerIcon;
export declare const IconBrandYahoo: TablerIcon;
export declare const IconBrandYandex: TablerIcon;
export declare const IconBrandYatse: TablerIcon;
export declare const IconBrandYcombinator: TablerIcon;
export declare const IconBrandYoutubeFilled: TablerIcon;
export declare const IconBrandYoutubeKids: TablerIcon;
export declare const IconBrandYoutube: TablerIcon;
export declare const IconBrandZalando: TablerIcon;
export declare const IconBrandZapier: TablerIcon;
export declare const IconBrandZeit: TablerIcon;
export declare const IconBrandZhihu: TablerIcon;
export declare const IconBrandZoom: TablerIcon;
export declare const IconBrandZulip: TablerIcon;
export declare const IconBrandZwift: TablerIcon;
export declare const IconBreadOff: TablerIcon;
export declare const IconBread: TablerIcon;
export declare const IconBriefcase2: TablerIcon;
export declare const IconBriefcaseFilled: TablerIcon;
export declare const IconBriefcaseOff: TablerIcon;
export declare const IconBriefcase: TablerIcon;
export declare const IconBrightness2: TablerIcon;
export declare const IconBrightnessDownFilled: TablerIcon;
export declare const IconBrightnessDown: TablerIcon;
export declare const IconBrightnessHalf: TablerIcon;
export declare const IconBrightnessOff: TablerIcon;
export declare const IconBrightnessUpFilled: TablerIcon;
export declare const IconBrightnessUp: TablerIcon;
export declare const IconBrightness: TablerIcon;
export declare const IconBroadcastOff: TablerIcon;
export declare const IconBroadcast: TablerIcon;
export declare const IconBrowserCheck: TablerIcon;
export declare const IconBrowserOff: TablerIcon;
export declare const IconBrowserPlus: TablerIcon;
export declare const IconBrowserX: TablerIcon;
export declare const IconBrowser: TablerIcon;
export declare const IconBrushOff: TablerIcon;
export declare const IconBrush: TablerIcon;
export declare const IconBucketDroplet: TablerIcon;
export declare const IconBucketOff: TablerIcon;
export declare const IconBucket: TablerIcon;
export declare const IconBugFilled: TablerIcon;
export declare const IconBugOff: TablerIcon;
export declare const IconBug: TablerIcon;
export declare const IconBuildingArch: TablerIcon;
export declare const IconBuildingBank: TablerIcon;
export declare const IconBuildingBridge2: TablerIcon;
export declare const IconBuildingBridge: TablerIcon;
export declare const IconBuildingBroadcastTower: TablerIcon;
export declare const IconBuildingCarousel: TablerIcon;
export declare const IconBuildingCastle: TablerIcon;
export declare const IconBuildingChurch: TablerIcon;
export declare const IconBuildingCircus: TablerIcon;
export declare const IconBuildingCommunity: TablerIcon;
export declare const IconBuildingCottage: TablerIcon;
export declare const IconBuildingEstate: TablerIcon;
export declare const IconBuildingFactory2: TablerIcon;
export declare const IconBuildingFactory: TablerIcon;
export declare const IconBuildingFortress: TablerIcon;
export declare const IconBuildingHospital: TablerIcon;
export declare const IconBuildingLighthouse: TablerIcon;
export declare const IconBuildingMonument: TablerIcon;
export declare const IconBuildingMosque: TablerIcon;
export declare const IconBuildingPavilion: TablerIcon;
export declare const IconBuildingSkyscraper: TablerIcon;
export declare const IconBuildingStadium: TablerIcon;
export declare const IconBuildingStore: TablerIcon;
export declare const IconBuildingTunnel: TablerIcon;
export declare const IconBuildingWarehouse: TablerIcon;
export declare const IconBuildingWindTurbine: TablerIcon;
export declare const IconBuilding: TablerIcon;
export declare const IconBulbFilled: TablerIcon;
export declare const IconBulbOff: TablerIcon;
export declare const IconBulb: TablerIcon;
export declare const IconBulldozer: TablerIcon;
export declare const IconBurger: TablerIcon;
export declare const IconBusOff: TablerIcon;
export declare const IconBusStop: TablerIcon;
export declare const IconBus: TablerIcon;
export declare const IconBusinessplan: TablerIcon;
export declare const IconButterfly: TablerIcon;
export declare const IconCactusFilled: TablerIcon;
export declare const IconCactusOff: TablerIcon;
export declare const IconCactus: TablerIcon;
export declare const IconCakeOff: TablerIcon;
export declare const IconCake: TablerIcon;
export declare const IconCalculatorFilled: TablerIcon;
export declare const IconCalculatorOff: TablerIcon;
export declare const IconCalculator: TablerIcon;
export declare const IconCalendarBolt: TablerIcon;
export declare const IconCalendarCancel: TablerIcon;
export declare const IconCalendarCheck: TablerIcon;
export declare const IconCalendarClock: TablerIcon;
export declare const IconCalendarCode: TablerIcon;
export declare const IconCalendarCog: TablerIcon;
export declare const IconCalendarDollar: TablerIcon;
export declare const IconCalendarDot: TablerIcon;
export declare const IconCalendarDown: TablerIcon;
export declare const IconCalendarDue: TablerIcon;
export declare const IconCalendarEvent: TablerIcon;
export declare const IconCalendarExclamation: TablerIcon;
export declare const IconCalendarFilled: TablerIcon;
export declare const IconCalendarHeart: TablerIcon;
export declare const IconCalendarMinus: TablerIcon;
export declare const IconCalendarMonth: TablerIcon;
export declare const IconCalendarOff: TablerIcon;
export declare const IconCalendarPause: TablerIcon;
export declare const IconCalendarPin: TablerIcon;
export declare const IconCalendarPlus: TablerIcon;
export declare const IconCalendarQuestion: TablerIcon;
export declare const IconCalendarRepeat: TablerIcon;
export declare const IconCalendarSad: TablerIcon;
export declare const IconCalendarSearch: TablerIcon;
export declare const IconCalendarShare: TablerIcon;
export declare const IconCalendarSmile: TablerIcon;
export declare const IconCalendarStar: TablerIcon;
export declare const IconCalendarStats: TablerIcon;
export declare const IconCalendarTime: TablerIcon;
export declare const IconCalendarUp: TablerIcon;
export declare const IconCalendarUser: TablerIcon;
export declare const IconCalendarWeek: TablerIcon;
export declare const IconCalendarX: TablerIcon;
export declare const IconCalendar: TablerIcon;
export declare const IconCameraBolt: TablerIcon;
export declare const IconCameraCancel: TablerIcon;
export declare const IconCameraCheck: TablerIcon;
export declare const IconCameraCode: TablerIcon;
export declare const IconCameraCog: TablerIcon;
export declare const IconCameraDollar: TablerIcon;
export declare const IconCameraDown: TablerIcon;
export declare const IconCameraExclamation: TablerIcon;
export declare const IconCameraFilled: TablerIcon;
export declare const IconCameraHeart: TablerIcon;
export declare const IconCameraMinus: TablerIcon;
export declare const IconCameraOff: TablerIcon;
export declare const IconCameraPause: TablerIcon;
export declare const IconCameraPin: TablerIcon;
export declare const IconCameraPlus: TablerIcon;
export declare const IconCameraQuestion: TablerIcon;
export declare const IconCameraRotate: TablerIcon;
export declare const IconCameraSearch: TablerIcon;
export declare const IconCameraSelfie: TablerIcon;
export declare const IconCameraShare: TablerIcon;
export declare const IconCameraStar: TablerIcon;
export declare const IconCameraUp: TablerIcon;
export declare const IconCameraX: TablerIcon;
export declare const IconCamera: TablerIcon;
export declare const IconCamper: TablerIcon;
export declare const IconCampfireFilled: TablerIcon;
export declare const IconCampfire: TablerIcon;
export declare const IconCandleFilled: TablerIcon;
export declare const IconCandle: TablerIcon;
export declare const IconCandyOff: TablerIcon;
export declare const IconCandy: TablerIcon;
export declare const IconCane: TablerIcon;
export declare const IconCannabis: TablerIcon;
export declare const IconCapsuleFilled: TablerIcon;
export declare const IconCapsuleHorizontalFilled: TablerIcon;
export declare const IconCapsuleHorizontal: TablerIcon;
export declare const IconCapsule: TablerIcon;
export declare const IconCaptureFilled: TablerIcon;
export declare const IconCaptureOff: TablerIcon;
export declare const IconCapture: TablerIcon;
export declare const IconCarCrane: TablerIcon;
export declare const IconCarCrash: TablerIcon;
export declare const IconCarGarage: TablerIcon;
export declare const IconCarOff: TablerIcon;
export declare const IconCarSuv: TablerIcon;
export declare const IconCarTurbine: TablerIcon;
export declare const IconCar: TablerIcon;
export declare const IconCaravan: TablerIcon;
export declare const IconCardboardsOff: TablerIcon;
export declare const IconCardboards: TablerIcon;
export declare const IconCardsFilled: TablerIcon;
export declare const IconCards: TablerIcon;
export declare const IconCaretDownFilled: TablerIcon;
export declare const IconCaretDown: TablerIcon;
export declare const IconCaretLeftFilled: TablerIcon;
export declare const IconCaretLeftRightFilled: TablerIcon;
export declare const IconCaretLeftRight: TablerIcon;
export declare const IconCaretLeft: TablerIcon;
export declare const IconCaretRightFilled: TablerIcon;
export declare const IconCaretRight: TablerIcon;
export declare const IconCaretUpDownFilled: TablerIcon;
export declare const IconCaretUpDown: TablerIcon;
export declare const IconCaretUpFilled: TablerIcon;
export declare const IconCaretUp: TablerIcon;
export declare const IconCarouselHorizontalFilled: TablerIcon;
export declare const IconCarouselHorizontal: TablerIcon;
export declare const IconCarouselVerticalFilled: TablerIcon;
export declare const IconCarouselVertical: TablerIcon;
export declare const IconCarrotOff: TablerIcon;
export declare const IconCarrot: TablerIcon;
export declare const IconCashBanknoteOff: TablerIcon;
export declare const IconCashBanknote: TablerIcon;
export declare const IconCashOff: TablerIcon;
export declare const IconCash: TablerIcon;
export declare const IconCastOff: TablerIcon;
export declare const IconCast: TablerIcon;
export declare const IconCat: TablerIcon;
export declare const IconCategory2: TablerIcon;
export declare const IconCategoryFilled: TablerIcon;
export declare const IconCategoryMinus: TablerIcon;
export declare const IconCategoryPlus: TablerIcon;
export declare const IconCategory: TablerIcon;
export declare const IconCeOff: TablerIcon;
export declare const IconCe: TablerIcon;
export declare const IconCellSignal1: TablerIcon;
export declare const IconCellSignal2: TablerIcon;
export declare const IconCellSignal3: TablerIcon;
export declare const IconCellSignal4: TablerIcon;
export declare const IconCellSignal5: TablerIcon;
export declare const IconCellSignalOff: TablerIcon;
export declare const IconCell: TablerIcon;
export declare const IconCertificate2Off: TablerIcon;
export declare const IconCertificate2: TablerIcon;
export declare const IconCertificateOff: TablerIcon;
export declare const IconCertificate: TablerIcon;
export declare const IconChairDirector: TablerIcon;
export declare const IconChalkboardOff: TablerIcon;
export declare const IconChalkboard: TablerIcon;
export declare const IconChargingPile: TablerIcon;
export declare const IconChartArcs3: TablerIcon;
export declare const IconChartArcs: TablerIcon;
export declare const IconChartAreaFilled: TablerIcon;
export declare const IconChartAreaLineFilled: TablerIcon;
export declare const IconChartAreaLine: TablerIcon;
export declare const IconChartArea: TablerIcon;
export declare const IconChartArrowsVertical: TablerIcon;
export declare const IconChartArrows: TablerIcon;
export declare const IconChartBarOff: TablerIcon;
export declare const IconChartBar: TablerIcon;
export declare const IconChartBubbleFilled: TablerIcon;
export declare const IconChartBubble: TablerIcon;
export declare const IconChartCandleFilled: TablerIcon;
export declare const IconChartCandle: TablerIcon;
export declare const IconChartCircles: TablerIcon;
export declare const IconChartDonut2: TablerIcon;
export declare const IconChartDonut3: TablerIcon;
export declare const IconChartDonut4: TablerIcon;
export declare const IconChartDonutFilled: TablerIcon;
export declare const IconChartDonut: TablerIcon;
export declare const IconChartDots2: TablerIcon;
export declare const IconChartDots3: TablerIcon;
export declare const IconChartDotsFilled: TablerIcon;
export declare const IconChartDots: TablerIcon;
export declare const IconChartGridDotsFilled: TablerIcon;
export declare const IconChartGridDots: TablerIcon;
export declare const IconChartHistogram: TablerIcon;
export declare const IconChartInfographic: TablerIcon;
export declare const IconChartLine: TablerIcon;
export declare const IconChartPie2: TablerIcon;
export declare const IconChartPie3: TablerIcon;
export declare const IconChartPie4: TablerIcon;
export declare const IconChartPieFilled: TablerIcon;
export declare const IconChartPieOff: TablerIcon;
export declare const IconChartPie: TablerIcon;
export declare const IconChartPpf: TablerIcon;
export declare const IconChartRadar: TablerIcon;
export declare const IconChartSankey: TablerIcon;
export declare const IconChartTreemap: TablerIcon;
export declare const IconCheck: TablerIcon;
export declare const IconCheckbox: TablerIcon;
export declare const IconChecklist: TablerIcon;
export declare const IconChecks: TablerIcon;
export declare const IconCheckupList: TablerIcon;
export declare const IconCheese: TablerIcon;
export declare const IconChefHatOff: TablerIcon;
export declare const IconChefHat: TablerIcon;
export declare const IconCherryFilled: TablerIcon;
export declare const IconCherry: TablerIcon;
export declare const IconChessBishopFilled: TablerIcon;
export declare const IconChessBishop: TablerIcon;
export declare const IconChessFilled: TablerIcon;
export declare const IconChessKingFilled: TablerIcon;
export declare const IconChessKing: TablerIcon;
export declare const IconChessKnightFilled: TablerIcon;
export declare const IconChessKnight: TablerIcon;
export declare const IconChessQueenFilled: TablerIcon;
export declare const IconChessQueen: TablerIcon;
export declare const IconChessRookFilled: TablerIcon;
export declare const IconChessRook: TablerIcon;
export declare const IconChess: TablerIcon;
export declare const IconChevronCompactDown: TablerIcon;
export declare const IconChevronCompactLeft: TablerIcon;
export declare const IconChevronCompactRight: TablerIcon;
export declare const IconChevronCompactUp: TablerIcon;
export declare const IconChevronDownLeft: TablerIcon;
export declare const IconChevronDownRight: TablerIcon;
export declare const IconChevronDown: TablerIcon;
export declare const IconChevronLeftPipe: TablerIcon;
export declare const IconChevronLeft: TablerIcon;
export declare const IconChevronRightPipe: TablerIcon;
export declare const IconChevronRight: TablerIcon;
export declare const IconChevronUpLeft: TablerIcon;
export declare const IconChevronUpRight: TablerIcon;
export declare const IconChevronUp: TablerIcon;
export declare const IconChevronsDownLeft: TablerIcon;
export declare const IconChevronsDownRight: TablerIcon;
export declare const IconChevronsDown: TablerIcon;
export declare const IconChevronsLeft: TablerIcon;
export declare const IconChevronsRight: TablerIcon;
export declare const IconChevronsUpLeft: TablerIcon;
export declare const IconChevronsUpRight: TablerIcon;
export declare const IconChevronsUp: TablerIcon;
export declare const IconChisel: TablerIcon;
export declare const IconChristmasBall: TablerIcon;
export declare const IconChristmasTreeOff: TablerIcon;
export declare const IconChristmasTree: TablerIcon;
export declare const IconCircle0Filled: TablerIcon;
export declare const IconCircle1Filled: TablerIcon;
export declare const IconCircle2Filled: TablerIcon;
export declare const IconCircle3Filled: TablerIcon;
export declare const IconCircle4Filled: TablerIcon;
export declare const IconCircle5Filled: TablerIcon;
export declare const IconCircle6Filled: TablerIcon;
export declare const IconCircle7Filled: TablerIcon;
export declare const IconCircle8Filled: TablerIcon;
export declare const IconCircle9Filled: TablerIcon;
export declare const IconCircleArrowDownFilled: TablerIcon;
export declare const IconCircleArrowDownLeftFilled: TablerIcon;
export declare const IconCircleArrowDownLeft: TablerIcon;
export declare const IconCircleArrowDownRightFilled: TablerIcon;
export declare const IconCircleArrowDownRight: TablerIcon;
export declare const IconCircleArrowDown: TablerIcon;
export declare const IconCircleArrowLeftFilled: TablerIcon;
export declare const IconCircleArrowLeft: TablerIcon;
export declare const IconCircleArrowRightFilled: TablerIcon;
export declare const IconCircleArrowRight: TablerIcon;
export declare const IconCircleArrowUpFilled: TablerIcon;
export declare const IconCircleArrowUpLeftFilled: TablerIcon;
export declare const IconCircleArrowUpLeft: TablerIcon;
export declare const IconCircleArrowUpRightFilled: TablerIcon;
export declare const IconCircleArrowUpRight: TablerIcon;
export declare const IconCircleArrowUp: TablerIcon;
export declare const IconCircleCaretDown: TablerIcon;
export declare const IconCircleCaretLeft: TablerIcon;
export declare const IconCircleCaretRight: TablerIcon;
export declare const IconCircleCaretUp: TablerIcon;
export declare const IconCircleCheckFilled: TablerIcon;
export declare const IconCircleCheck: TablerIcon;
export declare const IconCircleChevronDown: TablerIcon;
export declare const IconCircleChevronLeft: TablerIcon;
export declare const IconCircleChevronRight: TablerIcon;
export declare const IconCircleChevronUp: TablerIcon;
export declare const IconCircleChevronsDown: TablerIcon;
export declare const IconCircleChevronsLeft: TablerIcon;
export declare const IconCircleChevronsRight: TablerIcon;
export declare const IconCircleChevronsUp: TablerIcon;
export declare const IconCircleDashedNumber0: TablerIcon;
export declare const IconCircleDashedNumber1: TablerIcon;
export declare const IconCircleDashedNumber2: TablerIcon;
export declare const IconCircleDashedNumber3: TablerIcon;
export declare const IconCircleDashedNumber4: TablerIcon;
export declare const IconCircleDashedNumber5: TablerIcon;
export declare const IconCircleDashedNumber6: TablerIcon;
export declare const IconCircleDashedNumber7: TablerIcon;
export declare const IconCircleDashedNumber8: TablerIcon;
export declare const IconCircleDashedNumber9: TablerIcon;
export declare const IconCircleDashedX: TablerIcon;
export declare const IconCircleDashed: TablerIcon;
export declare const IconCircleDotFilled: TablerIcon;
export declare const IconCircleDot: TablerIcon;
export declare const IconCircleDotted: TablerIcon;
export declare const IconCircleFilled: TablerIcon;
export declare const IconCircleHalf2: TablerIcon;
export declare const IconCircleHalfVertical: TablerIcon;
export declare const IconCircleHalf: TablerIcon;
export declare const IconCircleKeyFilled: TablerIcon;
export declare const IconCircleKey: TablerIcon;
export declare const IconCircleLetterA: TablerIcon;
export declare const IconCircleLetterB: TablerIcon;
export declare const IconCircleLetterC: TablerIcon;
export declare const IconCircleLetterD: TablerIcon;
export declare const IconCircleLetterE: TablerIcon;
export declare const IconCircleLetterF: TablerIcon;
export declare const IconCircleLetterG: TablerIcon;
export declare const IconCircleLetterH: TablerIcon;
export declare const IconCircleLetterI: TablerIcon;
export declare const IconCircleLetterJ: TablerIcon;
export declare const IconCircleLetterK: TablerIcon;
export declare const IconCircleLetterL: TablerIcon;
export declare const IconCircleLetterM: TablerIcon;
export declare const IconCircleLetterN: TablerIcon;
export declare const IconCircleLetterO: TablerIcon;
export declare const IconCircleLetterP: TablerIcon;
export declare const IconCircleLetterQ: TablerIcon;
export declare const IconCircleLetterR: TablerIcon;
export declare const IconCircleLetterS: TablerIcon;
export declare const IconCircleLetterT: TablerIcon;
export declare const IconCircleLetterU: TablerIcon;
export declare const IconCircleLetterV: TablerIcon;
export declare const IconCircleLetterW: TablerIcon;
export declare const IconCircleLetterX: TablerIcon;
export declare const IconCircleLetterY: TablerIcon;
export declare const IconCircleLetterZ: TablerIcon;
export declare const IconCircleMinus2: TablerIcon;
export declare const IconCircleMinus: TablerIcon;
export declare const IconCircleNumber0: TablerIcon;
export declare const IconCircleNumber1: TablerIcon;
export declare const IconCircleNumber2: TablerIcon;
export declare const IconCircleNumber3: TablerIcon;
export declare const IconCircleNumber4: TablerIcon;
export declare const IconCircleNumber5: TablerIcon;
export declare const IconCircleNumber6: TablerIcon;
export declare const IconCircleNumber7: TablerIcon;
export declare const IconCircleNumber8: TablerIcon;
export declare const IconCircleNumber9: TablerIcon;
export declare const IconCircleOff: TablerIcon;
export declare const IconCirclePlus2: TablerIcon;
export declare const IconCirclePlus: TablerIcon;
export declare const IconCircleRectangleOff: TablerIcon;
export declare const IconCircleRectangle: TablerIcon;
export declare const IconCircleSquare: TablerIcon;
export declare const IconCircleTriangle: TablerIcon;
export declare const IconCircleXFilled: TablerIcon;
export declare const IconCircleX: TablerIcon;
export declare const IconCircle: TablerIcon;
export declare const IconCirclesFilled: TablerIcon;
export declare const IconCirclesRelation: TablerIcon;
export declare const IconCircles: TablerIcon;
export declare const IconCircuitAmmeter: TablerIcon;
export declare const IconCircuitBattery: TablerIcon;
export declare const IconCircuitBulb: TablerIcon;
export declare const IconCircuitCapacitorPolarized: TablerIcon;
export declare const IconCircuitCapacitor: TablerIcon;
export declare const IconCircuitCellPlus: TablerIcon;
export declare const IconCircuitCell: TablerIcon;
export declare const IconCircuitChangeover: TablerIcon;
export declare const IconCircuitDiodeZener: TablerIcon;
export declare const IconCircuitDiode: TablerIcon;
export declare const IconCircuitGroundDigital: TablerIcon;
export declare const IconCircuitGround: TablerIcon;
export declare const IconCircuitInductor: TablerIcon;
export declare const IconCircuitMotor: TablerIcon;
export declare const IconCircuitPushbutton: TablerIcon;
export declare const IconCircuitResistor: TablerIcon;
export declare const IconCircuitSwitchClosed: TablerIcon;
export declare const IconCircuitSwitchOpen: TablerIcon;
export declare const IconCircuitVoltmeter: TablerIcon;
export declare const IconClearAll: TablerIcon;
export declare const IconClearFormatting: TablerIcon;
export declare const IconClick: TablerIcon;
export declare const IconClipboardCheck: TablerIcon;
export declare const IconClipboardCopy: TablerIcon;
export declare const IconClipboardData: TablerIcon;
export declare const IconClipboardHeart: TablerIcon;
export declare const IconClipboardList: TablerIcon;
export declare const IconClipboardOff: TablerIcon;
export declare const IconClipboardPlus: TablerIcon;
export declare const IconClipboardText: TablerIcon;
export declare const IconClipboardTypography: TablerIcon;
export declare const IconClipboardX: TablerIcon;
export declare const IconClipboard: TablerIcon;
export declare const IconClock12: TablerIcon;
export declare const IconClock2: TablerIcon;
export declare const IconClock24: TablerIcon;
export declare const IconClockBolt: TablerIcon;
export declare const IconClockCancel: TablerIcon;
export declare const IconClockCheck: TablerIcon;
export declare const IconClockCode: TablerIcon;
export declare const IconClockCog: TablerIcon;
export declare const IconClockDollar: TablerIcon;
export declare const IconClockDown: TablerIcon;
export declare const IconClockEdit: TablerIcon;
export declare const IconClockExclamation: TablerIcon;
export declare const IconClockFilled: TablerIcon;
export declare const IconClockHeart: TablerIcon;
export declare const IconClockHour1: TablerIcon;
export declare const IconClockHour10: TablerIcon;
export declare const IconClockHour11: TablerIcon;
export declare const IconClockHour12: TablerIcon;
export declare const IconClockHour2: TablerIcon;
export declare const IconClockHour3: TablerIcon;
export declare const IconClockHour4: TablerIcon;
export declare const IconClockHour5: TablerIcon;
export declare const IconClockHour6: TablerIcon;
export declare const IconClockHour7: TablerIcon;
export declare const IconClockHour8: TablerIcon;
export declare const IconClockHour9: TablerIcon;
export declare const IconClockMinus: TablerIcon;
export declare const IconClockOff: TablerIcon;
export declare const IconClockPause: TablerIcon;
export declare const IconClockPin: TablerIcon;
export declare const IconClockPlay: TablerIcon;
export declare const IconClockPlus: TablerIcon;
export declare const IconClockQuestion: TablerIcon;
export declare const IconClockRecord: TablerIcon;
export declare const IconClockSearch: TablerIcon;
export declare const IconClockShare: TablerIcon;
export declare const IconClockShield: TablerIcon;
export declare const IconClockStar: TablerIcon;
export declare const IconClockStop: TablerIcon;
export declare const IconClockUp: TablerIcon;
export declare const IconClockX: TablerIcon;
export declare const IconClock: TablerIcon;
export declare const IconClothesRackOff: TablerIcon;
export declare const IconClothesRack: TablerIcon;
export declare const IconCloudBolt: TablerIcon;
export declare const IconCloudCancel: TablerIcon;
export declare const IconCloudCheck: TablerIcon;
export declare const IconCloudCode: TablerIcon;
export declare const IconCloudCog: TablerIcon;
export declare const IconCloudComputing: TablerIcon;
export declare const IconCloudDataConnection: TablerIcon;
export declare const IconCloudDollar: TablerIcon;
export declare const IconCloudDown: TablerIcon;
export declare const IconCloudDownload: TablerIcon;
export declare const IconCloudExclamation: TablerIcon;
export declare const IconCloudFilled: TablerIcon;
export declare const IconCloudFog: TablerIcon;
export declare const IconCloudHeart: TablerIcon;
export declare const IconCloudLockOpen: TablerIcon;
export declare const IconCloudLock: TablerIcon;
export declare const IconCloudMinus: TablerIcon;
export declare const IconCloudNetwork: TablerIcon;
export declare const IconCloudOff: TablerIcon;
export declare const IconCloudPause: TablerIcon;
export declare const IconCloudPin: TablerIcon;
export declare const IconCloudPlus: TablerIcon;
export declare const IconCloudQuestion: TablerIcon;
export declare const IconCloudRain: TablerIcon;
export declare const IconCloudSearch: TablerIcon;
export declare const IconCloudShare: TablerIcon;
export declare const IconCloudSnow: TablerIcon;
export declare const IconCloudStar: TablerIcon;
export declare const IconCloudStorm: TablerIcon;
export declare const IconCloudUp: TablerIcon;
export declare const IconCloudUpload: TablerIcon;
export declare const IconCloudX: TablerIcon;
export declare const IconCloud: TablerIcon;
export declare const IconClover2: TablerIcon;
export declare const IconClover: TablerIcon;
export declare const IconClubsFilled: TablerIcon;
export declare const IconClubs: TablerIcon;
export declare const IconCodeAsterix: TablerIcon;
export declare const IconCodeCircle2: TablerIcon;
export declare const IconCodeCircle: TablerIcon;
export declare const IconCodeDots: TablerIcon;
export declare const IconCodeMinus: TablerIcon;
export declare const IconCodeOff: TablerIcon;
export declare const IconCodePlus: TablerIcon;
export declare const IconCode: TablerIcon;
export declare const IconCoffeeOff: TablerIcon;
export declare const IconCoffee: TablerIcon;
export declare const IconCoffin: TablerIcon;
export declare const IconCoinBitcoinFilled: TablerIcon;
export declare const IconCoinBitcoin: TablerIcon;
export declare const IconCoinEuroFilled: TablerIcon;
export declare const IconCoinEuro: TablerIcon;
export declare const IconCoinFilled: TablerIcon;
export declare const IconCoinMoneroFilled: TablerIcon;
export declare const IconCoinMonero: TablerIcon;
export declare const IconCoinOff: TablerIcon;
export declare const IconCoinPoundFilled: TablerIcon;
export declare const IconCoinPound: TablerIcon;
export declare const IconCoinRupeeFilled: TablerIcon;
export declare const IconCoinRupee: TablerIcon;
export declare const IconCoinTakaFilled: TablerIcon;
export declare const IconCoinTaka: TablerIcon;
export declare const IconCoinYenFilled: TablerIcon;
export declare const IconCoinYen: TablerIcon;
export declare const IconCoinYuanFilled: TablerIcon;
export declare const IconCoinYuan: TablerIcon;
export declare const IconCoin: TablerIcon;
export declare const IconCoins: TablerIcon;
export declare const IconColorFilter: TablerIcon;
export declare const IconColorPickerOff: TablerIcon;
export declare const IconColorPicker: TablerIcon;
export declare const IconColorSwatchOff: TablerIcon;
export declare const IconColorSwatch: TablerIcon;
export declare const IconColumnInsertLeft: TablerIcon;
export declare const IconColumnInsertRight: TablerIcon;
export declare const IconColumnRemove: TablerIcon;
export declare const IconColumns1: TablerIcon;
export declare const IconColumns2: TablerIcon;
export declare const IconColumns3: TablerIcon;
export declare const IconColumnsOff: TablerIcon;
export declare const IconColumns: TablerIcon;
export declare const IconComet: TablerIcon;
export declare const IconCommandOff: TablerIcon;
export declare const IconCommand: TablerIcon;
export declare const IconCompassFilled: TablerIcon;
export declare const IconCompassOff: TablerIcon;
export declare const IconCompass: TablerIcon;
export declare const IconComponentsOff: TablerIcon;
export declare const IconComponents: TablerIcon;
export declare const IconCone2: TablerIcon;
export declare const IconConeOff: TablerIcon;
export declare const IconConePlus: TablerIcon;
export declare const IconCone: TablerIcon;
export declare const IconConfettiOff: TablerIcon;
export declare const IconConfetti: TablerIcon;
export declare const IconConfucius: TablerIcon;
export declare const IconContainerOff: TablerIcon;
export declare const IconContainer: TablerIcon;
export declare const IconContrast2Off: TablerIcon;
export declare const IconContrast2: TablerIcon;
export declare const IconContrastOff: TablerIcon;
export declare const IconContrast: TablerIcon;
export declare const IconCooker: TablerIcon;
export declare const IconCookieMan: TablerIcon;
export declare const IconCookieOff: TablerIcon;
export declare const IconCookie: TablerIcon;
export declare const IconCopyCheck: TablerIcon;
export declare const IconCopyMinus: TablerIcon;
export declare const IconCopyOff: TablerIcon;
export declare const IconCopyPlus: TablerIcon;
export declare const IconCopyX: TablerIcon;
export declare const IconCopy: TablerIcon;
export declare const IconCopyleftFilled: TablerIcon;
export declare const IconCopyleftOff: TablerIcon;
export declare const IconCopyleft: TablerIcon;
export declare const IconCopyrightFilled: TablerIcon;
export declare const IconCopyrightOff: TablerIcon;
export declare const IconCopyright: TablerIcon;
export declare const IconCornerDownLeftDouble: TablerIcon;
export declare const IconCornerDownLeft: TablerIcon;
export declare const IconCornerDownRightDouble: TablerIcon;
export declare const IconCornerDownRight: TablerIcon;
export declare const IconCornerLeftDownDouble: TablerIcon;
export declare const IconCornerLeftDown: TablerIcon;
export declare const IconCornerLeftUpDouble: TablerIcon;
export declare const IconCornerLeftUp: TablerIcon;
export declare const IconCornerRightDownDouble: TablerIcon;
export declare const IconCornerRightDown: TablerIcon;
export declare const IconCornerRightUpDouble: TablerIcon;
export declare const IconCornerRightUp: TablerIcon;
export declare const IconCornerUpLeftDouble: TablerIcon;
export declare const IconCornerUpLeft: TablerIcon;
export declare const IconCornerUpRightDouble: TablerIcon;
export declare const IconCornerUpRight: TablerIcon;
export declare const IconCpu2: TablerIcon;
export declare const IconCpuOff: TablerIcon;
export declare const IconCpu: TablerIcon;
export declare const IconCraneOff: TablerIcon;
export declare const IconCrane: TablerIcon;
export declare const IconCreativeCommonsBy: TablerIcon;
export declare const IconCreativeCommonsNc: TablerIcon;
export declare const IconCreativeCommonsNd: TablerIcon;
export declare const IconCreativeCommonsOff: TablerIcon;
export declare const IconCreativeCommonsSa: TablerIcon;
export declare const IconCreativeCommonsZero: TablerIcon;
export declare const IconCreativeCommons: TablerIcon;
export declare const IconCreditCardFilled: TablerIcon;
export declare const IconCreditCardOff: TablerIcon;
export declare const IconCreditCardPay: TablerIcon;
export declare const IconCreditCardRefund: TablerIcon;
export declare const IconCreditCard: TablerIcon;
export declare const IconCricket: TablerIcon;
export declare const IconCrop: TablerIcon;
export declare const IconCrossFilled: TablerIcon;
export declare const IconCrossOff: TablerIcon;
export declare const IconCross: TablerIcon;
export declare const IconCrosshair: TablerIcon;
export declare const IconCrownOff: TablerIcon;
export declare const IconCrown: TablerIcon;
export declare const IconCrutchesOff: TablerIcon;
export declare const IconCrutches: TablerIcon;
export declare const IconCrystalBall: TablerIcon;
export declare const IconCsv: TablerIcon;
export declare const IconCubeOff: TablerIcon;
export declare const IconCubePlus: TablerIcon;
export declare const IconCubeSend: TablerIcon;
export declare const IconCubeUnfolded: TablerIcon;
export declare const IconCube: TablerIcon;
export declare const IconCupOff: TablerIcon;
export declare const IconCup: TablerIcon;
export declare const IconCurling: TablerIcon;
export declare const IconCurlyLoop: TablerIcon;
export declare const IconCurrencyAfghani: TablerIcon;
export declare const IconCurrencyBahraini: TablerIcon;
export declare const IconCurrencyBaht: TablerIcon;
export declare const IconCurrencyBitcoin: TablerIcon;
export declare const IconCurrencyCent: TablerIcon;
export declare const IconCurrencyDinar: TablerIcon;
export declare const IconCurrencyDirham: TablerIcon;
export declare const IconCurrencyDogecoin: TablerIcon;
export declare const IconCurrencyDollarAustralian: TablerIcon;
export declare const IconCurrencyDollarBrunei: TablerIcon;
export declare const IconCurrencyDollarCanadian: TablerIcon;
export declare const IconCurrencyDollarGuyanese: TablerIcon;
export declare const IconCurrencyDollarOff: TablerIcon;
export declare const IconCurrencyDollarSingapore: TablerIcon;
export declare const IconCurrencyDollarZimbabwean: TablerIcon;
export declare const IconCurrencyDollar: TablerIcon;
export declare const IconCurrencyDong: TablerIcon;
export declare const IconCurrencyDram: TablerIcon;
export declare const IconCurrencyEthereum: TablerIcon;
export declare const IconCurrencyEuroOff: TablerIcon;
export declare const IconCurrencyEuro: TablerIcon;
export declare const IconCurrencyFlorin: TablerIcon;
export declare const IconCurrencyForint: TablerIcon;
export declare const IconCurrencyFrank: TablerIcon;
export declare const IconCurrencyGuarani: TablerIcon;
export declare const IconCurrencyHryvnia: TablerIcon;
export declare const IconCurrencyIranianRial: TablerIcon;
export declare const IconCurrencyKip: TablerIcon;
export declare const IconCurrencyKroneCzech: TablerIcon;
export declare const IconCurrencyKroneDanish: TablerIcon;
export declare const IconCurrencyKroneSwedish: TablerIcon;
export declare const IconCurrencyLari: TablerIcon;
export declare const IconCurrencyLeu: TablerIcon;
export declare const IconCurrencyLira: TablerIcon;
export declare const IconCurrencyLitecoin: TablerIcon;
export declare const IconCurrencyLyd: TablerIcon;
export declare const IconCurrencyManat: TablerIcon;
export declare const IconCurrencyMonero: TablerIcon;
export declare const IconCurrencyNaira: TablerIcon;
export declare const IconCurrencyNano: TablerIcon;
export declare const IconCurrencyOff: TablerIcon;
export declare const IconCurrencyPaanga: TablerIcon;
export declare const IconCurrencyPeso: TablerIcon;
export declare const IconCurrencyPoundOff: TablerIcon;
export declare const IconCurrencyPound: TablerIcon;
export declare const IconCurrencyQuetzal: TablerIcon;
export declare const IconCurrencyReal: TablerIcon;
export declare const IconCurrencyRenminbi: TablerIcon;
export declare const IconCurrencyRipple: TablerIcon;
export declare const IconCurrencyRiyal: TablerIcon;
export declare const IconCurrencyRubel: TablerIcon;
export declare const IconCurrencyRufiyaa: TablerIcon;
export declare const IconCurrencyRupeeNepalese: TablerIcon;
export declare const IconCurrencyRupee: TablerIcon;
export declare const IconCurrencyShekel: TablerIcon;
export declare const IconCurrencySolana: TablerIcon;
export declare const IconCurrencySom: TablerIcon;
export declare const IconCurrencyTaka: TablerIcon;
export declare const IconCurrencyTenge: TablerIcon;
export declare const IconCurrencyTugrik: TablerIcon;
export declare const IconCurrencyWon: TablerIcon;
export declare const IconCurrencyXrp: TablerIcon;
export declare const IconCurrencyYenOff: TablerIcon;
export declare const IconCurrencyYen: TablerIcon;
export declare const IconCurrencyYuan: TablerIcon;
export declare const IconCurrencyZloty: TablerIcon;
export declare const IconCurrency: TablerIcon;
export declare const IconCurrentLocationOff: TablerIcon;
export declare const IconCurrentLocation: TablerIcon;
export declare const IconCursorOff: TablerIcon;
export declare const IconCursorText: TablerIcon;
export declare const IconCut: TablerIcon;
export declare const IconCylinderOff: TablerIcon;
export declare const IconCylinderPlus: TablerIcon;
export declare const IconCylinder: TablerIcon;
export declare const IconDashboardOff: TablerIcon;
export declare const IconDashboard: TablerIcon;
export declare const IconDatabaseCog: TablerIcon;
export declare const IconDatabaseDollar: TablerIcon;
export declare const IconDatabaseEdit: TablerIcon;
export declare const IconDatabaseExclamation: TablerIcon;
export declare const IconDatabaseExport: TablerIcon;
export declare const IconDatabaseHeart: TablerIcon;
export declare const IconDatabaseImport: TablerIcon;
export declare const IconDatabaseLeak: TablerIcon;
export declare const IconDatabaseMinus: TablerIcon;
export declare const IconDatabaseOff: TablerIcon;
export declare const IconDatabasePlus: TablerIcon;
export declare const IconDatabaseSearch: TablerIcon;
export declare const IconDatabaseShare: TablerIcon;
export declare const IconDatabaseStar: TablerIcon;
export declare const IconDatabaseX: TablerIcon;
export declare const IconDatabase: TablerIcon;
export declare const IconDecimal: TablerIcon;
export declare const IconDeer: TablerIcon;
export declare const IconDelta: TablerIcon;
export declare const IconDentalBroken: TablerIcon;
export declare const IconDentalOff: TablerIcon;
export declare const IconDental: TablerIcon;
export declare const IconDeselect: TablerIcon;
export declare const IconDesk: TablerIcon;
export declare const IconDetailsOff: TablerIcon;
export declare const IconDetails: TablerIcon;
export declare const IconDeviceAirpodsCase: TablerIcon;
export declare const IconDeviceAirpods: TablerIcon;
export declare const IconDeviceAirtag: TablerIcon;
export declare const IconDeviceAnalytics: TablerIcon;
export declare const IconDeviceAudioTape: TablerIcon;
export declare const IconDeviceCameraPhone: TablerIcon;
export declare const IconDeviceCctvOff: TablerIcon;
export declare const IconDeviceCctv: TablerIcon;
export declare const IconDeviceComputerCameraOff: TablerIcon;
export declare const IconDeviceComputerCamera: TablerIcon;
export declare const IconDeviceDesktopAnalytics: TablerIcon;
export declare const IconDeviceDesktopBolt: TablerIcon;
export declare const IconDeviceDesktopCancel: TablerIcon;
export declare const IconDeviceDesktopCheck: TablerIcon;
export declare const IconDeviceDesktopCode: TablerIcon;
export declare const IconDeviceDesktopCog: TablerIcon;
export declare const IconDeviceDesktopDollar: TablerIcon;
export declare const IconDeviceDesktopDown: TablerIcon;
export declare const IconDeviceDesktopExclamation: TablerIcon;
export declare const IconDeviceDesktopHeart: TablerIcon;
export declare const IconDeviceDesktopMinus: TablerIcon;
export declare const IconDeviceDesktopOff: TablerIcon;
export declare const IconDeviceDesktopPause: TablerIcon;
export declare const IconDeviceDesktopPin: TablerIcon;
export declare const IconDeviceDesktopPlus: TablerIcon;
export declare const IconDeviceDesktopQuestion: TablerIcon;
export declare const IconDeviceDesktopSearch: TablerIcon;
export declare const IconDeviceDesktopShare: TablerIcon;
export declare const IconDeviceDesktopStar: TablerIcon;
export declare const IconDeviceDesktopUp: TablerIcon;
export declare const IconDeviceDesktopX: TablerIcon;
export declare const IconDeviceDesktop: TablerIcon;
export declare const IconDeviceFloppy: TablerIcon;
export declare const IconDeviceGamepad2: TablerIcon;
export declare const IconDeviceGamepad3: TablerIcon;
export declare const IconDeviceGamepad: TablerIcon;
export declare const IconDeviceHeartMonitorFilled: TablerIcon;
export declare const IconDeviceHeartMonitor: TablerIcon;
export declare const IconDeviceImacBolt: TablerIcon;
export declare const IconDeviceImacCancel: TablerIcon;
export declare const IconDeviceImacCheck: TablerIcon;
export declare const IconDeviceImacCode: TablerIcon;
export declare const IconDeviceImacCog: TablerIcon;
export declare const IconDeviceImacDollar: TablerIcon;
export declare const IconDeviceImacDown: TablerIcon;
export declare const IconDeviceImacExclamation: TablerIcon;
export declare const IconDeviceImacHeart: TablerIcon;
export declare const IconDeviceImacMinus: TablerIcon;
export declare const IconDeviceImacOff: TablerIcon;
export declare const IconDeviceImacPause: TablerIcon;
export declare const IconDeviceImacPin: TablerIcon;
export declare const IconDeviceImacPlus: TablerIcon;
export declare const IconDeviceImacQuestion: TablerIcon;
export declare const IconDeviceImacSearch: TablerIcon;
export declare const IconDeviceImacShare: TablerIcon;
export declare const IconDeviceImacStar: TablerIcon;
export declare const IconDeviceImacUp: TablerIcon;
export declare const IconDeviceImacX: TablerIcon;
export declare const IconDeviceImac: TablerIcon;
export declare const IconDeviceIpadBolt: TablerIcon;
export declare const IconDeviceIpadCancel: TablerIcon;
export declare const IconDeviceIpadCheck: TablerIcon;
export declare const IconDeviceIpadCode: TablerIcon;
export declare const IconDeviceIpadCog: TablerIcon;
export declare const IconDeviceIpadDollar: TablerIcon;
export declare const IconDeviceIpadDown: TablerIcon;
export declare const IconDeviceIpadExclamation: TablerIcon;
export declare const IconDeviceIpadHeart: TablerIcon;
export declare const IconDeviceIpadHorizontalBolt: TablerIcon;
export declare const IconDeviceIpadHorizontalCancel: TablerIcon;
export declare const IconDeviceIpadHorizontalCheck: TablerIcon;
export declare const IconDeviceIpadHorizontalCode: TablerIcon;
export declare const IconDeviceIpadHorizontalCog: TablerIcon;
export declare const IconDeviceIpadHorizontalDollar: TablerIcon;
export declare const IconDeviceIpadHorizontalDown: TablerIcon;
export declare const IconDeviceIpadHorizontalExclamation: TablerIcon;
export declare const IconDeviceIpadHorizontalHeart: TablerIcon;
export declare const IconDeviceIpadHorizontalMinus: TablerIcon;
export declare const IconDeviceIpadHorizontalOff: TablerIcon;
export declare const IconDeviceIpadHorizontalPause: TablerIcon;
export declare const IconDeviceIpadHorizontalPin: TablerIcon;
export declare const IconDeviceIpadHorizontalPlus: TablerIcon;
export declare const IconDeviceIpadHorizontalQuestion: TablerIcon;
export declare const IconDeviceIpadHorizontalSearch: TablerIcon;
export declare const IconDeviceIpadHorizontalShare: TablerIcon;
export declare const IconDeviceIpadHorizontalStar: TablerIcon;
export declare const IconDeviceIpadHorizontalUp: TablerIcon;
export declare const IconDeviceIpadHorizontalX: TablerIcon;
export declare const IconDeviceIpadHorizontal: TablerIcon;
export declare const IconDeviceIpadMinus: TablerIcon;
export declare const IconDeviceIpadOff: TablerIcon;
export declare const IconDeviceIpadPause: TablerIcon;
export declare const IconDeviceIpadPin: TablerIcon;
export declare const IconDeviceIpadPlus: TablerIcon;
export declare const IconDeviceIpadQuestion: TablerIcon;
export declare const IconDeviceIpadSearch: TablerIcon;
export declare const IconDeviceIpadShare: TablerIcon;
export declare const IconDeviceIpadStar: TablerIcon;
export declare const IconDeviceIpadUp: TablerIcon;
export declare const IconDeviceIpadX: TablerIcon;
export declare const IconDeviceIpad: TablerIcon;
export declare const IconDeviceLandlinePhone: TablerIcon;
export declare const IconDeviceLaptopOff: TablerIcon;
export declare const IconDeviceLaptop: TablerIcon;
export declare const IconDeviceMobileBolt: TablerIcon;
export declare const IconDeviceMobileCancel: TablerIcon;
export declare const IconDeviceMobileCharging: TablerIcon;
export declare const IconDeviceMobileCheck: TablerIcon;
export declare const IconDeviceMobileCode: TablerIcon;
export declare const IconDeviceMobileCog: TablerIcon;
export declare const IconDeviceMobileDollar: TablerIcon;
export declare const IconDeviceMobileDown: TablerIcon;
export declare const IconDeviceMobileExclamation: TablerIcon;
export declare const IconDeviceMobileFilled: TablerIcon;
export declare const IconDeviceMobileHeart: TablerIcon;
export declare const IconDeviceMobileMessage: TablerIcon;
export declare const IconDeviceMobileMinus: TablerIcon;
export declare const IconDeviceMobileOff: TablerIcon;
export declare const IconDeviceMobilePause: TablerIcon;
export declare const IconDeviceMobilePin: TablerIcon;
export declare const IconDeviceMobilePlus: TablerIcon;
export declare const IconDeviceMobileQuestion: TablerIcon;
export declare const IconDeviceMobileRotated: TablerIcon;
export declare const IconDeviceMobileSearch: TablerIcon;
export declare const IconDeviceMobileShare: TablerIcon;
export declare const IconDeviceMobileStar: TablerIcon;
export declare const IconDeviceMobileUp: TablerIcon;
export declare const IconDeviceMobileVibration: TablerIcon;
export declare const IconDeviceMobileX: TablerIcon;
export declare const IconDeviceMobile: TablerIcon;
export declare const IconDeviceNintendoOff: TablerIcon;
export declare const IconDeviceNintendo: TablerIcon;
export declare const IconDeviceProjector: TablerIcon;
export declare const IconDeviceRemote: TablerIcon;
export declare const IconDeviceSdCard: TablerIcon;
export declare const IconDeviceSim1: TablerIcon;
export declare const IconDeviceSim2: TablerIcon;
export declare const IconDeviceSim3: TablerIcon;
export declare const IconDeviceSim: TablerIcon;
export declare const IconDeviceSpeakerOff: TablerIcon;
export declare const IconDeviceSpeaker: TablerIcon;
export declare const IconDeviceTabletBolt: TablerIcon;
export declare const IconDeviceTabletCancel: TablerIcon;
export declare const IconDeviceTabletCheck: TablerIcon;
export declare const IconDeviceTabletCode: TablerIcon;
export declare const IconDeviceTabletCog: TablerIcon;
export declare const IconDeviceTabletDollar: TablerIcon;
export declare const IconDeviceTabletDown: TablerIcon;
export declare const IconDeviceTabletExclamation: TablerIcon;
export declare const IconDeviceTabletFilled: TablerIcon;
export declare const IconDeviceTabletHeart: TablerIcon;
export declare const IconDeviceTabletMinus: TablerIcon;
export declare const IconDeviceTabletOff: TablerIcon;
export declare const IconDeviceTabletPause: TablerIcon;
export declare const IconDeviceTabletPin: TablerIcon;
export declare const IconDeviceTabletPlus: TablerIcon;
export declare const IconDeviceTabletQuestion: TablerIcon;
export declare const IconDeviceTabletSearch: TablerIcon;
export declare const IconDeviceTabletShare: TablerIcon;
export declare const IconDeviceTabletStar: TablerIcon;
export declare const IconDeviceTabletUp: TablerIcon;
export declare const IconDeviceTabletX: TablerIcon;
export declare const IconDeviceTablet: TablerIcon;
export declare const IconDeviceTvOff: TablerIcon;
export declare const IconDeviceTvOld: TablerIcon;
export declare const IconDeviceTv: TablerIcon;
export declare const IconDeviceUsb: TablerIcon;
export declare const IconDeviceVisionPro: TablerIcon;
export declare const IconDeviceWatchBolt: TablerIcon;
export declare const IconDeviceWatchCancel: TablerIcon;
export declare const IconDeviceWatchCheck: TablerIcon;
export declare const IconDeviceWatchCode: TablerIcon;
export declare const IconDeviceWatchCog: TablerIcon;
export declare const IconDeviceWatchDollar: TablerIcon;
export declare const IconDeviceWatchDown: TablerIcon;
export declare const IconDeviceWatchExclamation: TablerIcon;
export declare const IconDeviceWatchHeart: TablerIcon;
export declare const IconDeviceWatchMinus: TablerIcon;
export declare const IconDeviceWatchOff: TablerIcon;
export declare const IconDeviceWatchPause: TablerIcon;
export declare const IconDeviceWatchPin: TablerIcon;
export declare const IconDeviceWatchPlus: TablerIcon;
export declare const IconDeviceWatchQuestion: TablerIcon;
export declare const IconDeviceWatchSearch: TablerIcon;
export declare const IconDeviceWatchShare: TablerIcon;
export declare const IconDeviceWatchStar: TablerIcon;
export declare const IconDeviceWatchStats2: TablerIcon;
export declare const IconDeviceWatchStats: TablerIcon;
export declare const IconDeviceWatchUp: TablerIcon;
export declare const IconDeviceWatchX: TablerIcon;
export declare const IconDeviceWatch: TablerIcon;
export declare const IconDevices2: TablerIcon;
export declare const IconDevicesBolt: TablerIcon;
export declare const IconDevicesCancel: TablerIcon;
export declare const IconDevicesCheck: TablerIcon;
export declare const IconDevicesCode: TablerIcon;
export declare const IconDevicesCog: TablerIcon;
export declare const IconDevicesDollar: TablerIcon;
export declare const IconDevicesDown: TablerIcon;
export declare const IconDevicesExclamation: TablerIcon;
export declare const IconDevicesHeart: TablerIcon;
export declare const IconDevicesMinus: TablerIcon;
export declare const IconDevicesOff: TablerIcon;
export declare const IconDevicesPause: TablerIcon;
export declare const IconDevicesPcOff: TablerIcon;
export declare const IconDevicesPc: TablerIcon;
export declare const IconDevicesPin: TablerIcon;
export declare const IconDevicesPlus: TablerIcon;
export declare const IconDevicesQuestion: TablerIcon;
export declare const IconDevicesSearch: TablerIcon;
export declare const IconDevicesShare: TablerIcon;
export declare const IconDevicesStar: TablerIcon;
export declare const IconDevicesUp: TablerIcon;
export declare const IconDevicesX: TablerIcon;
export declare const IconDevices: TablerIcon;
export declare const IconDiaboloOff: TablerIcon;
export declare const IconDiaboloPlus: TablerIcon;
export declare const IconDiabolo: TablerIcon;
export declare const IconDialpadFilled: TablerIcon;
export declare const IconDialpadOff: TablerIcon;
export declare const IconDialpad: TablerIcon;
export declare const IconDiamondFilled: TablerIcon;
export declare const IconDiamondOff: TablerIcon;
export declare const IconDiamond: TablerIcon;
export declare const IconDiamondsFilled: TablerIcon;
export declare const IconDiamonds: TablerIcon;
export declare const IconDice1Filled: TablerIcon;
export declare const IconDice1: TablerIcon;
export declare const IconDice2Filled: TablerIcon;
export declare const IconDice2: TablerIcon;
export declare const IconDice3Filled: TablerIcon;
export declare const IconDice3: TablerIcon;
export declare const IconDice4Filled: TablerIcon;
export declare const IconDice4: TablerIcon;
export declare const IconDice5Filled: TablerIcon;
export declare const IconDice5: TablerIcon;
export declare const IconDice6Filled: TablerIcon;
export declare const IconDice6: TablerIcon;
export declare const IconDiceFilled: TablerIcon;
export declare const IconDice: TablerIcon;
export declare const IconDimensions: TablerIcon;
export declare const IconDirectionArrows: TablerIcon;
export declare const IconDirectionHorizontal: TablerIcon;
export declare const IconDirectionSignFilled: TablerIcon;
export declare const IconDirectionSignOff: TablerIcon;
export declare const IconDirectionSign: TablerIcon;
export declare const IconDirection: TablerIcon;
export declare const IconDirectionsOff: TablerIcon;
export declare const IconDirections: TablerIcon;
export declare const IconDisabled2: TablerIcon;
export declare const IconDisabledOff: TablerIcon;
export declare const IconDisabled: TablerIcon;
export declare const IconDiscGolf: TablerIcon;
export declare const IconDiscOff: TablerIcon;
export declare const IconDisc: TablerIcon;
export declare const IconDiscount2Off: TablerIcon;
export declare const IconDiscount2: TablerIcon;
export declare const IconDiscountCheckFilled: TablerIcon;
export declare const IconDiscountCheck: TablerIcon;
export declare const IconDiscountOff: TablerIcon;
export declare const IconDiscount: TablerIcon;
export declare const IconDivide: TablerIcon;
export declare const IconDna2Off: TablerIcon;
export declare const IconDna2: TablerIcon;
export declare const IconDnaOff: TablerIcon;
export declare const IconDna: TablerIcon;
export declare const IconDogBowl: TablerIcon;
export declare const IconDog: TablerIcon;
export declare const IconDoorEnter: TablerIcon;
export declare const IconDoorExit: TablerIcon;
export declare const IconDoorOff: TablerIcon;
export declare const IconDoor: TablerIcon;
export declare const IconDotsCircleHorizontal: TablerIcon;
export declare const IconDotsDiagonal2: TablerIcon;
export declare const IconDotsDiagonal: TablerIcon;
export declare const IconDotsVertical: TablerIcon;
export declare const IconDots: TablerIcon;
export declare const IconDownloadOff: TablerIcon;
export declare const IconDownload: TablerIcon;
export declare const IconDragDrop2: TablerIcon;
export declare const IconDragDrop: TablerIcon;
export declare const IconDroneOff: TablerIcon;
export declare const IconDrone: TablerIcon;
export declare const IconDropCircle: TablerIcon;
export declare const IconDropletBolt: TablerIcon;
export declare const IconDropletCancel: TablerIcon;
export declare const IconDropletCheck: TablerIcon;
export declare const IconDropletCode: TablerIcon;
export declare const IconDropletCog: TablerIcon;
export declare const IconDropletDollar: TablerIcon;
export declare const IconDropletDown: TablerIcon;
export declare const IconDropletExclamation: TablerIcon;
export declare const IconDropletFilled: TablerIcon;
export declare const IconDropletHalf2Filled: TablerIcon;
export declare const IconDropletHalf2: TablerIcon;
export declare const IconDropletHalfFilled: TablerIcon;
export declare const IconDropletHalf: TablerIcon;
export declare const IconDropletHeart: TablerIcon;
export declare const IconDropletMinus: TablerIcon;
export declare const IconDropletOff: TablerIcon;
export declare const IconDropletPause: TablerIcon;
export declare const IconDropletPin: TablerIcon;
export declare const IconDropletPlus: TablerIcon;
export declare const IconDropletQuestion: TablerIcon;
export declare const IconDropletSearch: TablerIcon;
export declare const IconDropletShare: TablerIcon;
export declare const IconDropletStar: TablerIcon;
export declare const IconDropletUp: TablerIcon;
export declare const IconDropletX: TablerIcon;
export declare const IconDroplet: TablerIcon;
export declare const IconDroplets: TablerIcon;
export declare const IconDualScreen: TablerIcon;
export declare const IconEPassport: TablerIcon;
export declare const IconEarOff: TablerIcon;
export declare const IconEar: TablerIcon;
export declare const IconEaseInControlPoint: TablerIcon;
export declare const IconEaseInOutControlPoints: TablerIcon;
export declare const IconEaseInOut: TablerIcon;
export declare const IconEaseIn: TablerIcon;
export declare const IconEaseOutControlPoint: TablerIcon;
export declare const IconEaseOut: TablerIcon;
export declare const IconEditCircleOff: TablerIcon;
export declare const IconEditCircle: TablerIcon;
export declare const IconEditOff: TablerIcon;
export declare const IconEdit: TablerIcon;
export declare const IconEggCracked: TablerIcon;
export declare const IconEggFilled: TablerIcon;
export declare const IconEggFried: TablerIcon;
export declare const IconEggOff: TablerIcon;
export declare const IconEgg: TablerIcon;
export declare const IconEggs: TablerIcon;
export declare const IconElevatorOff: TablerIcon;
export declare const IconElevator: TablerIcon;
export declare const IconEmergencyBed: TablerIcon;
export declare const IconEmpathizeOff: TablerIcon;
export declare const IconEmpathize: TablerIcon;
export declare const IconEmphasis: TablerIcon;
export declare const IconEngineOff: TablerIcon;
export declare const IconEngine: TablerIcon;
export declare const IconEqualDouble: TablerIcon;
export declare const IconEqualNot: TablerIcon;
export declare const IconEqual: TablerIcon;
export declare const IconEraserOff: TablerIcon;
export declare const IconEraser: TablerIcon;
export declare const IconError404Off: TablerIcon;
export declare const IconError404: TablerIcon;
export declare const IconEscalatorDown: TablerIcon;
export declare const IconEscalatorUp: TablerIcon;
export declare const IconEscalator: TablerIcon;
export declare const IconExchangeOff: TablerIcon;
export declare const IconExchange: TablerIcon;
export declare const IconExclamationCircle: TablerIcon;
export declare const IconExclamationMarkOff: TablerIcon;
export declare const IconExclamationMark: TablerIcon;
export declare const IconExplicitOff: TablerIcon;
export declare const IconExplicit: TablerIcon;
export declare const IconExposure0: TablerIcon;
export declare const IconExposureMinus1: TablerIcon;
export declare const IconExposureMinus2: TablerIcon;
export declare const IconExposureOff: TablerIcon;
export declare const IconExposurePlus1: TablerIcon;
export declare const IconExposurePlus2: TablerIcon;
export declare const IconExposure: TablerIcon;
export declare const IconExternalLinkOff: TablerIcon;
export declare const IconExternalLink: TablerIcon;
export declare const IconEyeBolt: TablerIcon;
export declare const IconEyeCancel: TablerIcon;
export declare const IconEyeCheck: TablerIcon;
export declare const IconEyeClosed: TablerIcon;
export declare const IconEyeCode: TablerIcon;
export declare const IconEyeCog: TablerIcon;
export declare const IconEyeDiscount: TablerIcon;
export declare const IconEyeDollar: TablerIcon;
export declare const IconEyeDown: TablerIcon;
export declare const IconEyeEdit: TablerIcon;
export declare const IconEyeExclamation: TablerIcon;
export declare const IconEyeFilled: TablerIcon;
export declare const IconEyeHeart: TablerIcon;
export declare const IconEyeMinus: TablerIcon;
export declare const IconEyeOff: TablerIcon;
export declare const IconEyePause: TablerIcon;
export declare const IconEyePin: TablerIcon;
export declare const IconEyePlus: TablerIcon;
export declare const IconEyeQuestion: TablerIcon;
export declare const IconEyeSearch: TablerIcon;
export declare const IconEyeShare: TablerIcon;
export declare const IconEyeStar: TablerIcon;
export declare const IconEyeTable: TablerIcon;
export declare const IconEyeUp: TablerIcon;
export declare const IconEyeX: TablerIcon;
export declare const IconEye: TablerIcon;
export declare const IconEyeglass2: TablerIcon;
export declare const IconEyeglassOff: TablerIcon;
export declare const IconEyeglass: TablerIcon;
export declare const IconFaceIdError: TablerIcon;
export declare const IconFaceId: TablerIcon;
export declare const IconFaceMaskOff: TablerIcon;
export declare const IconFaceMask: TablerIcon;
export declare const IconFall: TablerIcon;
export declare const IconFeatherOff: TablerIcon;
export declare const IconFeather: TablerIcon;
export declare const IconFenceOff: TablerIcon;
export declare const IconFence: TablerIcon;
export declare const IconFidgetSpinner: TablerIcon;
export declare const IconFile3d: TablerIcon;
export declare const IconFileAlert: TablerIcon;
export declare const IconFileAnalytics: TablerIcon;
export declare const IconFileArrowLeft: TablerIcon;
export declare const IconFileArrowRight: TablerIcon;
export declare const IconFileBarcode: TablerIcon;
export declare const IconFileBroken: TablerIcon;
export declare const IconFileCertificate: TablerIcon;
export declare const IconFileChart: TablerIcon;
export declare const IconFileCheck: TablerIcon;
export declare const IconFileCode2: TablerIcon;
export declare const IconFileCode: TablerIcon;
export declare const IconFileCv: TablerIcon;
export declare const IconFileDatabase: TablerIcon;
export declare const IconFileDelta: TablerIcon;
export declare const IconFileDescription: TablerIcon;
export declare const IconFileDiff: TablerIcon;
export declare const IconFileDigit: TablerIcon;
export declare const IconFileDislike: TablerIcon;
export declare const IconFileDollar: TablerIcon;
export declare const IconFileDots: TablerIcon;
export declare const IconFileDownload: TablerIcon;
export declare const IconFileEuro: TablerIcon;
export declare const IconFileExport: TablerIcon;
export declare const IconFileFilled: TablerIcon;
export declare const IconFileFunction: TablerIcon;
export declare const IconFileHorizontal: TablerIcon;
export declare const IconFileImport: TablerIcon;
export declare const IconFileInfinity: TablerIcon;
export declare const IconFileInfo: TablerIcon;
export declare const IconFileInvoice: TablerIcon;
export declare const IconFileLambda: TablerIcon;
export declare const IconFileLike: TablerIcon;
export declare const IconFileMinus: TablerIcon;
export declare const IconFileMusic: TablerIcon;
export declare const IconFileNeutral: TablerIcon;
export declare const IconFileOff: TablerIcon;
export declare const IconFileOrientation: TablerIcon;
export declare const IconFilePencil: TablerIcon;
export declare const IconFilePercent: TablerIcon;
export declare const IconFilePhone: TablerIcon;
export declare const IconFilePlus: TablerIcon;
export declare const IconFilePower: TablerIcon;
export declare const IconFileReport: TablerIcon;
export declare const IconFileRss: TablerIcon;
export declare const IconFileSad: TablerIcon;
export declare const IconFileScissors: TablerIcon;
export declare const IconFileSearch: TablerIcon;
export declare const IconFileSettings: TablerIcon;
export declare const IconFileShredder: TablerIcon;
export declare const IconFileSignal: TablerIcon;
export declare const IconFileSmile: TablerIcon;
export declare const IconFileSpreadsheet: TablerIcon;
export declare const IconFileStack: TablerIcon;
export declare const IconFileStar: TablerIcon;
export declare const IconFileSymlink: TablerIcon;
export declare const IconFileTextAi: TablerIcon;
export declare const IconFileText: TablerIcon;
export declare const IconFileTime: TablerIcon;
export declare const IconFileTypeBmp: TablerIcon;
export declare const IconFileTypeCss: TablerIcon;
export declare const IconFileTypeCsv: TablerIcon;
export declare const IconFileTypeDoc: TablerIcon;
export declare const IconFileTypeDocx: TablerIcon;
export declare const IconFileTypeHtml: TablerIcon;
export declare const IconFileTypeJpg: TablerIcon;
export declare const IconFileTypeJs: TablerIcon;
export declare const IconFileTypeJsx: TablerIcon;
export declare const IconFileTypePdf: TablerIcon;
export declare const IconFileTypePhp: TablerIcon;
export declare const IconFileTypePng: TablerIcon;
export declare const IconFileTypePpt: TablerIcon;
export declare const IconFileTypeRs: TablerIcon;
export declare const IconFileTypeSql: TablerIcon;
export declare const IconFileTypeSvg: TablerIcon;
export declare const IconFileTypeTs: TablerIcon;
export declare const IconFileTypeTsx: TablerIcon;
export declare const IconFileTypeTxt: TablerIcon;
export declare const IconFileTypeVue: TablerIcon;
export declare const IconFileTypeXls: TablerIcon;
export declare const IconFileTypeXml: TablerIcon;
export declare const IconFileTypeZip: TablerIcon;
export declare const IconFileTypography: TablerIcon;
export declare const IconFileUnknown: TablerIcon;
export declare const IconFileUpload: TablerIcon;
export declare const IconFileVector: TablerIcon;
export declare const IconFileXFilled: TablerIcon;
export declare const IconFileX: TablerIcon;
export declare const IconFileZip: TablerIcon;
export declare const IconFile: TablerIcon;
export declare const IconFilesOff: TablerIcon;
export declare const IconFiles: TablerIcon;
export declare const IconFilterBolt: TablerIcon;
export declare const IconFilterCancel: TablerIcon;
export declare const IconFilterCheck: TablerIcon;
export declare const IconFilterCode: TablerIcon;
export declare const IconFilterCog: TablerIcon;
export declare const IconFilterDiscount: TablerIcon;
export declare const IconFilterDollar: TablerIcon;
export declare const IconFilterDown: TablerIcon;
export declare const IconFilterEdit: TablerIcon;
export declare const IconFilterExclamation: TablerIcon;
export declare const IconFilterFilled: TablerIcon;
export declare const IconFilterHeart: TablerIcon;
export declare const IconFilterMinus: TablerIcon;
export declare const IconFilterOff: TablerIcon;
export declare const IconFilterPause: TablerIcon;
export declare const IconFilterPin: TablerIcon;
export declare const IconFilterPlus: TablerIcon;
export declare const IconFilterQuestion: TablerIcon;
export declare const IconFilterSearch: TablerIcon;
export declare const IconFilterShare: TablerIcon;
export declare const IconFilterStar: TablerIcon;
export declare const IconFilterUp: TablerIcon;
export declare const IconFilterX: TablerIcon;
export declare const IconFilter: TablerIcon;
export declare const IconFilters: TablerIcon;
export declare const IconFingerprintOff: TablerIcon;
export declare const IconFingerprintScan: TablerIcon;
export declare const IconFingerprint: TablerIcon;
export declare const IconFireExtinguisher: TablerIcon;
export declare const IconFireHydrantOff: TablerIcon;
export declare const IconFireHydrant: TablerIcon;
export declare const IconFiretruck: TablerIcon;
export declare const IconFirstAidKitOff: TablerIcon;
export declare const IconFirstAidKit: TablerIcon;
export declare const IconFishBone: TablerIcon;
export declare const IconFishChristianity: TablerIcon;
export declare const IconFishHookOff: TablerIcon;
export declare const IconFishHook: TablerIcon;
export declare const IconFishOff: TablerIcon;
export declare const IconFish: TablerIcon;
export declare const IconFlag2Filled: TablerIcon;
export declare const IconFlag2Off: TablerIcon;
export declare const IconFlag2: TablerIcon;
export declare const IconFlag3Filled: TablerIcon;
export declare const IconFlag3: TablerIcon;
export declare const IconFlagBolt: TablerIcon;
export declare const IconFlagCancel: TablerIcon;
export declare const IconFlagCheck: TablerIcon;
export declare const IconFlagCode: TablerIcon;
export declare const IconFlagCog: TablerIcon;
export declare const IconFlagDiscount: TablerIcon;
export declare const IconFlagDollar: TablerIcon;
export declare const IconFlagDown: TablerIcon;
export declare const IconFlagExclamation: TablerIcon;
export declare const IconFlagFilled: TablerIcon;
export declare const IconFlagHeart: TablerIcon;
export declare const IconFlagMinus: TablerIcon;
export declare const IconFlagOff: TablerIcon;
export declare const IconFlagPause: TablerIcon;
export declare const IconFlagPin: TablerIcon;
export declare const IconFlagPlus: TablerIcon;
export declare const IconFlagQuestion: TablerIcon;
export declare const IconFlagSearch: TablerIcon;
export declare const IconFlagShare: TablerIcon;
export declare const IconFlagStar: TablerIcon;
export declare const IconFlagUp: TablerIcon;
export declare const IconFlagX: TablerIcon;
export declare const IconFlag: TablerIcon;
export declare const IconFlameOff: TablerIcon;
export declare const IconFlame: TablerIcon;
export declare const IconFlare: TablerIcon;
export declare const IconFlask2Filled: TablerIcon;
export declare const IconFlask2Off: TablerIcon;
export declare const IconFlask2: TablerIcon;
export declare const IconFlaskFilled: TablerIcon;
export declare const IconFlaskOff: TablerIcon;
export declare const IconFlask: TablerIcon;
export declare const IconFlipFlops: TablerIcon;
export declare const IconFlipHorizontal: TablerIcon;
export declare const IconFlipVertical: TablerIcon;
export declare const IconFloatCenter: TablerIcon;
export declare const IconFloatLeft: TablerIcon;
export declare const IconFloatNone: TablerIcon;
export declare const IconFloatRight: TablerIcon;
export declare const IconFlowerOff: TablerIcon;
export declare const IconFlower: TablerIcon;
export declare const IconFocus2: TablerIcon;
export declare const IconFocusAuto: TablerIcon;
export declare const IconFocusCentered: TablerIcon;
export declare const IconFocus: TablerIcon;
export declare const IconFoldDown: TablerIcon;
export declare const IconFoldUp: TablerIcon;
export declare const IconFold: TablerIcon;
export declare const IconFolderBolt: TablerIcon;
export declare const IconFolderCancel: TablerIcon;
export declare const IconFolderCheck: TablerIcon;
export declare const IconFolderCode: TablerIcon;
export declare const IconFolderCog: TablerIcon;
export declare const IconFolderDollar: TablerIcon;
export declare const IconFolderDown: TablerIcon;
export declare const IconFolderExclamation: TablerIcon;
export declare const IconFolderFilled: TablerIcon;
export declare const IconFolderHeart: TablerIcon;
export declare const IconFolderMinus: TablerIcon;
export declare const IconFolderOff: TablerIcon;
export declare const IconFolderOpen: TablerIcon;
export declare const IconFolderPause: TablerIcon;
export declare const IconFolderPin: TablerIcon;
export declare const IconFolderPlus: TablerIcon;
export declare const IconFolderQuestion: TablerIcon;
export declare const IconFolderRoot: TablerIcon;
export declare const IconFolderSearch: TablerIcon;
export declare const IconFolderShare: TablerIcon;
export declare const IconFolderStar: TablerIcon;
export declare const IconFolderSymlink: TablerIcon;
export declare const IconFolderUp: TablerIcon;
export declare const IconFolderX: TablerIcon;
export declare const IconFolder: TablerIcon;
export declare const IconFoldersOff: TablerIcon;
export declare const IconFolders: TablerIcon;
export declare const IconForbid2Filled: TablerIcon;
export declare const IconForbid2: TablerIcon;
export declare const IconForbidFilled: TablerIcon;
export declare const IconForbid: TablerIcon;
export declare const IconForklift: TablerIcon;
export declare const IconForms: TablerIcon;
export declare const IconFountainFilled: TablerIcon;
export declare const IconFountainOff: TablerIcon;
export declare const IconFountain: TablerIcon;
export declare const IconFrameOff: TablerIcon;
export declare const IconFrame: TablerIcon;
export declare const IconFreeRights: TablerIcon;
export declare const IconFreezeColumn: TablerIcon;
export declare const IconFreezeRowColumn: TablerIcon;
export declare const IconFreezeRow: TablerIcon;
export declare const IconFridgeOff: TablerIcon;
export declare const IconFridge: TablerIcon;
export declare const IconFriendsOff: TablerIcon;
export declare const IconFriends: TablerIcon;
export declare const IconFrustumOff: TablerIcon;
export declare const IconFrustumPlus: TablerIcon;
export declare const IconFrustum: TablerIcon;
export declare const IconFunctionFilled: TablerIcon;
export declare const IconFunctionOff: TablerIcon;
export declare const IconFunction: TablerIcon;
export declare const IconGalaxy: TablerIcon;
export declare const IconGardenCartOff: TablerIcon;
export declare const IconGardenCart: TablerIcon;
export declare const IconGasStationOff: TablerIcon;
export declare const IconGasStation: TablerIcon;
export declare const IconGaugeFilled: TablerIcon;
export declare const IconGaugeOff: TablerIcon;
export declare const IconGauge: TablerIcon;
export declare const IconGavel: TablerIcon;
export declare const IconGenderAgender: TablerIcon;
export declare const IconGenderAndrogyne: TablerIcon;
export declare const IconGenderBigender: TablerIcon;
export declare const IconGenderDemiboy: TablerIcon;
export declare const IconGenderDemigirl: TablerIcon;
export declare const IconGenderEpicene: TablerIcon;
export declare const IconGenderFemale: TablerIcon;
export declare const IconGenderFemme: TablerIcon;
export declare const IconGenderGenderfluid: TablerIcon;
export declare const IconGenderGenderless: TablerIcon;
export declare const IconGenderGenderqueer: TablerIcon;
export declare const IconGenderHermaphrodite: TablerIcon;
export declare const IconGenderIntergender: TablerIcon;
export declare const IconGenderMale: TablerIcon;
export declare const IconGenderNeutrois: TablerIcon;
export declare const IconGenderThird: TablerIcon;
export declare const IconGenderTransgender: TablerIcon;
export declare const IconGenderTrasvesti: TablerIcon;
export declare const IconGeometry: TablerIcon;
export declare const IconGhost2Filled: TablerIcon;
export declare const IconGhost2: TablerIcon;
export declare const IconGhost3: TablerIcon;
export declare const IconGhostFilled: TablerIcon;
export declare const IconGhostOff: TablerIcon;
export declare const IconGhost: TablerIcon;
export declare const IconGif: TablerIcon;
export declare const IconGiftCardFilled: TablerIcon;
export declare const IconGiftCard: TablerIcon;
export declare const IconGiftFilled: TablerIcon;
export declare const IconGiftOff: TablerIcon;
export declare const IconGift: TablerIcon;
export declare const IconGitBranchDeleted: TablerIcon;
export declare const IconGitBranch: TablerIcon;
export declare const IconGitCherryPick: TablerIcon;
export declare const IconGitCommit: TablerIcon;
export declare const IconGitCompare: TablerIcon;
export declare const IconGitFork: TablerIcon;
export declare const IconGitMerge: TablerIcon;
export declare const IconGitPullRequestClosed: TablerIcon;
export declare const IconGitPullRequestDraft: TablerIcon;
export declare const IconGitPullRequest: TablerIcon;
export declare const IconGizmo: TablerIcon;
export declare const IconGlassFullFilled: TablerIcon;
export declare const IconGlassFull: TablerIcon;
export declare const IconGlassOff: TablerIcon;
export declare const IconGlass: TablerIcon;
export declare const IconGlobeFilled: TablerIcon;
export declare const IconGlobeOff: TablerIcon;
export declare const IconGlobe: TablerIcon;
export declare const IconGoGame: TablerIcon;
export declare const IconGolfOff: TablerIcon;
export declare const IconGolf: TablerIcon;
export declare const IconGps: TablerIcon;
export declare const IconGradienter: TablerIcon;
export declare const IconGrain: TablerIcon;
export declare const IconGraphFilled: TablerIcon;
export declare const IconGraphOff: TablerIcon;
export declare const IconGraph: TablerIcon;
export declare const IconGrave2: TablerIcon;
export declare const IconGrave: TablerIcon;
export declare const IconGrid3x3: TablerIcon;
export declare const IconGrid4x4: TablerIcon;
export declare const IconGridDots: TablerIcon;
export declare const IconGridGoldenratio: TablerIcon;
export declare const IconGridPattern: TablerIcon;
export declare const IconGridScan: TablerIcon;
export declare const IconGrillFork: TablerIcon;
export declare const IconGrillOff: TablerIcon;
export declare const IconGrillSpatula: TablerIcon;
export declare const IconGrill: TablerIcon;
export declare const IconGripHorizontal: TablerIcon;
export declare const IconGripVertical: TablerIcon;
export declare const IconGrowth: TablerIcon;
export declare const IconGuitarPickFilled: TablerIcon;
export declare const IconGuitarPick: TablerIcon;
export declare const IconGymnastics: TablerIcon;
export declare const IconH1: TablerIcon;
export declare const IconH2: TablerIcon;
export declare const IconH3: TablerIcon;
export declare const IconH4: TablerIcon;
export declare const IconH5: TablerIcon;
export declare const IconH6: TablerIcon;
export declare const IconHammerOff: TablerIcon;
export declare const IconHammer: TablerIcon;
export declare const IconHandClick: TablerIcon;
export declare const IconHandFingerOff: TablerIcon;
export declare const IconHandFinger: TablerIcon;
export declare const IconHandGrab: TablerIcon;
export declare const IconHandLittleFinger: TablerIcon;
export declare const IconHandMiddleFinger: TablerIcon;
export declare const IconHandMove: TablerIcon;
export declare const IconHandOff: TablerIcon;
export declare const IconHandRingFinger: TablerIcon;
export declare const IconHandRock: TablerIcon;
export declare const IconHandSanitizer: TablerIcon;
export declare const IconHandStop: TablerIcon;
export declare const IconHandThreeFingers: TablerIcon;
export declare const IconHandTwoFingers: TablerIcon;
export declare const IconHanger2: TablerIcon;
export declare const IconHangerOff: TablerIcon;
export declare const IconHanger: TablerIcon;
export declare const IconHash: TablerIcon;
export declare const IconHazeMoon: TablerIcon;
export declare const IconHaze: TablerIcon;
export declare const IconHdr: TablerIcon;
export declare const IconHeadingOff: TablerIcon;
export declare const IconHeading: TablerIcon;
export declare const IconHeadphonesFilled: TablerIcon;
export declare const IconHeadphonesOff: TablerIcon;
export declare const IconHeadphones: TablerIcon;
export declare const IconHeadsetOff: TablerIcon;
export declare const IconHeadset: TablerIcon;
export declare const IconHealthRecognition: TablerIcon;
export declare const IconHeartBolt: TablerIcon;
export declare const IconHeartBroken: TablerIcon;
export declare const IconHeartCancel: TablerIcon;
export declare const IconHeartCheck: TablerIcon;
export declare const IconHeartCode: TablerIcon;
export declare const IconHeartCog: TablerIcon;
export declare const IconHeartDiscount: TablerIcon;
export declare const IconHeartDollar: TablerIcon;
export declare const IconHeartDown: TablerIcon;
export declare const IconHeartExclamation: TablerIcon;
export declare const IconHeartFilled: TablerIcon;
export declare const IconHeartHandshake: TablerIcon;
export declare const IconHeartMinus: TablerIcon;
export declare const IconHeartOff: TablerIcon;
export declare const IconHeartPause: TablerIcon;
export declare const IconHeartPin: TablerIcon;
export declare const IconHeartPlus: TablerIcon;
export declare const IconHeartQuestion: TablerIcon;
export declare const IconHeartRateMonitor: TablerIcon;
export declare const IconHeartSearch: TablerIcon;
export declare const IconHeartShare: TablerIcon;
export declare const IconHeartStar: TablerIcon;
export declare const IconHeartUp: TablerIcon;
export declare const IconHeartX: TablerIcon;
export declare const IconHeart: TablerIcon;
export declare const IconHeartbeat: TablerIcon;
export declare const IconHeartsOff: TablerIcon;
export declare const IconHearts: TablerIcon;
export declare const IconHelicopterLanding: TablerIcon;
export declare const IconHelicopter: TablerIcon;
export declare const IconHelmetOff: TablerIcon;
export declare const IconHelmet: TablerIcon;
export declare const IconHelpCircleFilled: TablerIcon;
export declare const IconHelpCircle: TablerIcon;
export declare const IconHelpHexagonFilled: TablerIcon;
export declare const IconHelpHexagon: TablerIcon;
export declare const IconHelpOctagonFilled: TablerIcon;
export declare const IconHelpOctagon: TablerIcon;
export declare const IconHelpOff: TablerIcon;
export declare const IconHelpSmall: TablerIcon;
export declare const IconHelpSquareFilled: TablerIcon;
export declare const IconHelpSquareRoundedFilled: TablerIcon;
export declare const IconHelpSquareRounded: TablerIcon;
export declare const IconHelpSquare: TablerIcon;
export declare const IconHelpTriangleFilled: TablerIcon;
export declare const IconHelpTriangle: TablerIcon;
export declare const IconHelp: TablerIcon;
export declare const IconHemisphereOff: TablerIcon;
export declare const IconHemispherePlus: TablerIcon;
export declare const IconHemisphere: TablerIcon;
export declare const IconHexagon0Filled: TablerIcon;
export declare const IconHexagon1Filled: TablerIcon;
export declare const IconHexagon2Filled: TablerIcon;
export declare const IconHexagon3Filled: TablerIcon;
export declare const IconHexagon3d: TablerIcon;
export declare const IconHexagon4Filled: TablerIcon;
export declare const IconHexagon5Filled: TablerIcon;
export declare const IconHexagon6Filled: TablerIcon;
export declare const IconHexagon7Filled: TablerIcon;
export declare const IconHexagon8Filled: TablerIcon;
export declare const IconHexagon9Filled: TablerIcon;
export declare const IconHexagonFilled: TablerIcon;
export declare const IconHexagonLetterA: TablerIcon;
export declare const IconHexagonLetterB: TablerIcon;
export declare const IconHexagonLetterC: TablerIcon;
export declare const IconHexagonLetterD: TablerIcon;
export declare const IconHexagonLetterE: TablerIcon;
export declare const IconHexagonLetterF: TablerIcon;
export declare const IconHexagonLetterG: TablerIcon;
export declare const IconHexagonLetterH: TablerIcon;
export declare const IconHexagonLetterI: TablerIcon;
export declare const IconHexagonLetterJ: TablerIcon;
export declare const IconHexagonLetterK: TablerIcon;
export declare const IconHexagonLetterL: TablerIcon;
export declare const IconHexagonLetterM: TablerIcon;
export declare const IconHexagonLetterN: TablerIcon;
export declare const IconHexagonLetterO: TablerIcon;
export declare const IconHexagonLetterP: TablerIcon;
export declare const IconHexagonLetterQ: TablerIcon;
export declare const IconHexagonLetterR: TablerIcon;
export declare const IconHexagonLetterS: TablerIcon;
export declare const IconHexagonLetterT: TablerIcon;
export declare const IconHexagonLetterU: TablerIcon;
export declare const IconHexagonLetterV: TablerIcon;
export declare const IconHexagonLetterW: TablerIcon;
export declare const IconHexagonLetterX: TablerIcon;
export declare const IconHexagonLetterY: TablerIcon;
export declare const IconHexagonLetterZ: TablerIcon;
export declare const IconHexagonMinus2: TablerIcon;
export declare const IconHexagonMinus: TablerIcon;
export declare const IconHexagonNumber0: TablerIcon;
export declare const IconHexagonNumber1: TablerIcon;
export declare const IconHexagonNumber2: TablerIcon;
export declare const IconHexagonNumber3: TablerIcon;
export declare const IconHexagonNumber4: TablerIcon;
export declare const IconHexagonNumber5: TablerIcon;
export declare const IconHexagonNumber6: TablerIcon;
export declare const IconHexagonNumber7: TablerIcon;
export declare const IconHexagonNumber8: TablerIcon;
export declare const IconHexagonNumber9: TablerIcon;
export declare const IconHexagonOff: TablerIcon;
export declare const IconHexagonPlus2: TablerIcon;
export declare const IconHexagonPlus: TablerIcon;
export declare const IconHexagon: TablerIcon;
export declare const IconHexagonalPrismOff: TablerIcon;
export declare const IconHexagonalPrismPlus: TablerIcon;
export declare const IconHexagonalPrism: TablerIcon;
export declare const IconHexagonalPyramidOff: TablerIcon;
export declare const IconHexagonalPyramidPlus: TablerIcon;
export declare const IconHexagonalPyramid: TablerIcon;
export declare const IconHexagonsOff: TablerIcon;
export declare const IconHexagons: TablerIcon;
export declare const IconHierarchy2: TablerIcon;
export declare const IconHierarchy3: TablerIcon;
export declare const IconHierarchyOff: TablerIcon;
export declare const IconHierarchy: TablerIcon;
export declare const IconHighlightOff: TablerIcon;
export declare const IconHighlight: TablerIcon;
export declare const IconHistoryOff: TablerIcon;
export declare const IconHistoryToggle: TablerIcon;
export declare const IconHistory: TablerIcon;
export declare const IconHome2: TablerIcon;
export declare const IconHomeBolt: TablerIcon;
export declare const IconHomeCancel: TablerIcon;
export declare const IconHomeCheck: TablerIcon;
export declare const IconHomeCog: TablerIcon;
export declare const IconHomeDollar: TablerIcon;
export declare const IconHomeDot: TablerIcon;
export declare const IconHomeDown: TablerIcon;
export declare const IconHomeEco: TablerIcon;
export declare const IconHomeEdit: TablerIcon;
export declare const IconHomeExclamation: TablerIcon;
export declare const IconHomeHand: TablerIcon;
export declare const IconHomeHeart: TablerIcon;
export declare const IconHomeInfinity: TablerIcon;
export declare const IconHomeLink: TablerIcon;
export declare const IconHomeMinus: TablerIcon;
export declare const IconHomeMove: TablerIcon;
export declare const IconHomeOff: TablerIcon;
export declare const IconHomePlus: TablerIcon;
export declare const IconHomeQuestion: TablerIcon;
export declare const IconHomeRibbon: TablerIcon;
export declare const IconHomeSearch: TablerIcon;
export declare const IconHomeShare: TablerIcon;
export declare const IconHomeShield: TablerIcon;
export declare const IconHomeSignal: TablerIcon;
export declare const IconHomeStar: TablerIcon;
export declare const IconHomeStats: TablerIcon;
export declare const IconHomeUp: TablerIcon;
export declare const IconHomeX: TablerIcon;
export declare const IconHome: TablerIcon;
export declare const IconHorseToy: TablerIcon;
export declare const IconHorse: TablerIcon;
export declare const IconHorseshoe: TablerIcon;
export declare const IconHotelService: TablerIcon;
export declare const IconHourglassEmpty: TablerIcon;
export declare const IconHourglassFilled: TablerIcon;
export declare const IconHourglassHigh: TablerIcon;
export declare const IconHourglassLow: TablerIcon;
export declare const IconHourglassOff: TablerIcon;
export declare const IconHourglass: TablerIcon;
export declare const IconHtml: TablerIcon;
export declare const IconHttpConnect: TablerIcon;
export declare const IconHttpDelete: TablerIcon;
export declare const IconHttpGet: TablerIcon;
export declare const IconHttpHead: TablerIcon;
export declare const IconHttpOptions: TablerIcon;
export declare const IconHttpPatch: TablerIcon;
export declare const IconHttpPost: TablerIcon;
export declare const IconHttpPut: TablerIcon;
export declare const IconHttpQue: TablerIcon;
export declare const IconHttpTrace: TablerIcon;
export declare const IconIceCream2: TablerIcon;
export declare const IconIceCreamOff: TablerIcon;
export declare const IconIceCream: TablerIcon;
export declare const IconIceSkating: TablerIcon;
export declare const IconIconsOff: TablerIcon;
export declare const IconIcons: TablerIcon;
export declare const IconIdBadge2: TablerIcon;
export declare const IconIdBadgeOff: TablerIcon;
export declare const IconIdBadge: TablerIcon;
export declare const IconIdOff: TablerIcon;
export declare const IconId: TablerIcon;
export declare const IconInboxOff: TablerIcon;
export declare const IconInbox: TablerIcon;
export declare const IconIndentDecrease: TablerIcon;
export declare const IconIndentIncrease: TablerIcon;
export declare const IconInfinityOff: TablerIcon;
export declare const IconInfinity: TablerIcon;
export declare const IconInfoCircleFilled: TablerIcon;
export declare const IconInfoCircle: TablerIcon;
export declare const IconInfoHexagonFilled: TablerIcon;
export declare const IconInfoHexagon: TablerIcon;
export declare const IconInfoOctagonFilled: TablerIcon;
export declare const IconInfoOctagon: TablerIcon;
export declare const IconInfoSmall: TablerIcon;
export declare const IconInfoSquareFilled: TablerIcon;
export declare const IconInfoSquareRoundedFilled: TablerIcon;
export declare const IconInfoSquareRounded: TablerIcon;
export declare const IconInfoSquare: TablerIcon;
export declare const IconInfoTriangleFilled: TablerIcon;
export declare const IconInfoTriangle: TablerIcon;
export declare const IconInnerShadowBottomFilled: TablerIcon;
export declare const IconInnerShadowBottomLeftFilled: TablerIcon;
export declare const IconInnerShadowBottomLeft: TablerIcon;
export declare const IconInnerShadowBottomRightFilled: TablerIcon;
export declare const IconInnerShadowBottomRight: TablerIcon;
export declare const IconInnerShadowBottom: TablerIcon;
export declare const IconInnerShadowLeftFilled: TablerIcon;
export declare const IconInnerShadowLeft: TablerIcon;
export declare const IconInnerShadowRightFilled: TablerIcon;
export declare const IconInnerShadowRight: TablerIcon;
export declare const IconInnerShadowTopFilled: TablerIcon;
export declare const IconInnerShadowTopLeftFilled: TablerIcon;
export declare const IconInnerShadowTopLeft: TablerIcon;
export declare const IconInnerShadowTopRightFilled: TablerIcon;
export declare const IconInnerShadowTopRight: TablerIcon;
export declare const IconInnerShadowTop: TablerIcon;
export declare const IconInputAi: TablerIcon;
export declare const IconInputCheck: TablerIcon;
export declare const IconInputSearch: TablerIcon;
export declare const IconInputX: TablerIcon;
export declare const IconIroning1: TablerIcon;
export declare const IconIroning2: TablerIcon;
export declare const IconIroning3: TablerIcon;
export declare const IconIroningOff: TablerIcon;
export declare const IconIroningSteamOff: TablerIcon;
export declare const IconIroningSteam: TablerIcon;
export declare const IconIroning: TablerIcon;
export declare const IconIrregularPolyhedronOff: TablerIcon;
export declare const IconIrregularPolyhedronPlus: TablerIcon;
export declare const IconIrregularPolyhedron: TablerIcon;
export declare const IconItalic: TablerIcon;
export declare const IconJacket: TablerIcon;
export declare const IconJetpack: TablerIcon;
export declare const IconJewishStarFilled: TablerIcon;
export declare const IconJewishStar: TablerIcon;
export declare const IconJpg: TablerIcon;
export declare const IconJson: TablerIcon;
export declare const IconJumpRope: TablerIcon;
export declare const IconKarate: TablerIcon;
export declare const IconKayak: TablerIcon;
export declare const IconKering: TablerIcon;
export declare const IconKeyOff: TablerIcon;
export declare const IconKey: TablerIcon;
export declare const IconKeyboardHide: TablerIcon;
export declare const IconKeyboardOff: TablerIcon;
export declare const IconKeyboardShow: TablerIcon;
export declare const IconKeyboard: TablerIcon;
export declare const IconKeyframeAlignCenterFilled: TablerIcon;
export declare const IconKeyframeAlignCenter: TablerIcon;
export declare const IconKeyframeAlignHorizontalFilled: TablerIcon;
export declare const IconKeyframeAlignHorizontal: TablerIcon;
export declare const IconKeyframeAlignVerticalFilled: TablerIcon;
export declare const IconKeyframeAlignVertical: TablerIcon;
export declare const IconKeyframeFilled: TablerIcon;
export declare const IconKeyframe: TablerIcon;
export declare const IconKeyframesFilled: TablerIcon;
export declare const IconKeyframes: TablerIcon;
export declare const IconLadderOff: TablerIcon;
export declare const IconLadder: TablerIcon;
export declare const IconLadle: TablerIcon;
export declare const IconLambda: TablerIcon;
export declare const IconLamp2: TablerIcon;
export declare const IconLampOff: TablerIcon;
export declare const IconLamp: TablerIcon;
export declare const IconLane: TablerIcon;
export declare const IconLanguageHiragana: TablerIcon;
export declare const IconLanguageKatakana: TablerIcon;
export declare const IconLanguageOff: TablerIcon;
export declare const IconLanguage: TablerIcon;
export declare const IconLassoOff: TablerIcon;
export declare const IconLassoPolygon: TablerIcon;
export declare const IconLasso: TablerIcon;
export declare const IconLayersDifference: TablerIcon;
export declare const IconLayersIntersect2: TablerIcon;
export declare const IconLayersIntersect: TablerIcon;
export declare const IconLayersLinked: TablerIcon;
export declare const IconLayersOff: TablerIcon;
export declare const IconLayersSubtract: TablerIcon;
export declare const IconLayersUnion: TablerIcon;
export declare const IconLayout2: TablerIcon;
export declare const IconLayoutAlignBottom: TablerIcon;
export declare const IconLayoutAlignCenter: TablerIcon;
export declare const IconLayoutAlignLeft: TablerIcon;
export declare const IconLayoutAlignMiddle: TablerIcon;
export declare const IconLayoutAlignRight: TablerIcon;
export declare const IconLayoutAlignTop: TablerIcon;
export declare const IconLayoutBoardSplit: TablerIcon;
export declare const IconLayoutBoard: TablerIcon;
export declare const IconLayoutBottombarCollapseFilled: TablerIcon;
export declare const IconLayoutBottombarCollapse: TablerIcon;
export declare const IconLayoutBottombarExpandFilled: TablerIcon;
export declare const IconLayoutBottombarExpand: TablerIcon;
export declare const IconLayoutBottombarFilled: TablerIcon;
export declare const IconLayoutBottombarInactive: TablerIcon;
export declare const IconLayoutBottombar: TablerIcon;
export declare const IconLayoutCards: TablerIcon;
export declare const IconLayoutCollage: TablerIcon;
export declare const IconLayoutColumns: TablerIcon;
export declare const IconLayoutDashboard: TablerIcon;
export declare const IconLayoutDistributeHorizontal: TablerIcon;
export declare const IconLayoutDistributeVertical: TablerIcon;
export declare const IconLayoutGridAdd: TablerIcon;
export declare const IconLayoutGridRemove: TablerIcon;
export declare const IconLayoutGrid: TablerIcon;
export declare const IconLayoutKanban: TablerIcon;
export declare const IconLayoutList: TablerIcon;
export declare const IconLayoutNavbarCollapseFilled: TablerIcon;
export declare const IconLayoutNavbarCollapse: TablerIcon;
export declare const IconLayoutNavbarExpandFilled: TablerIcon;
export declare const IconLayoutNavbarExpand: TablerIcon;
export declare const IconLayoutNavbarFilled: TablerIcon;
export declare const IconLayoutNavbarInactive: TablerIcon;
export declare const IconLayoutNavbar: TablerIcon;
export declare const IconLayoutOff: TablerIcon;
export declare const IconLayoutRows: TablerIcon;
export declare const IconLayoutSidebarInactive: TablerIcon;
export declare const IconLayoutSidebarLeftCollapseFilled: TablerIcon;
export declare const IconLayoutSidebarLeftCollapse: TablerIcon;
export declare const IconLayoutSidebarLeftExpandFilled: TablerIcon;
export declare const IconLayoutSidebarLeftExpand: TablerIcon;
export declare const IconLayoutSidebarRightCollapseFilled: TablerIcon;
export declare const IconLayoutSidebarRightCollapse: TablerIcon;
export declare const IconLayoutSidebarRightExpandFilled: TablerIcon;
export declare const IconLayoutSidebarRightExpand: TablerIcon;
export declare const IconLayoutSidebarRightInactive: TablerIcon;
export declare const IconLayoutSidebarRight: TablerIcon;
export declare const IconLayoutSidebar: TablerIcon;
export declare const IconLayout: TablerIcon;
export declare const IconLeafOff: TablerIcon;
export declare const IconLeaf: TablerIcon;
export declare const IconLegoOff: TablerIcon;
export declare const IconLego: TablerIcon;
export declare const IconLemon2: TablerIcon;
export declare const IconLemon: TablerIcon;
export declare const IconLetterASmall: TablerIcon;
export declare const IconLetterA: TablerIcon;
export declare const IconLetterBSmall: TablerIcon;
export declare const IconLetterB: TablerIcon;
export declare const IconLetterCSmall: TablerIcon;
export declare const IconLetterC: TablerIcon;
export declare const IconLetterCaseLower: TablerIcon;
export declare const IconLetterCaseToggle: TablerIcon;
export declare const IconLetterCaseUpper: TablerIcon;
export declare const IconLetterCase: TablerIcon;
export declare const IconLetterDSmall: TablerIcon;
export declare const IconLetterD: TablerIcon;
export declare const IconLetterESmall: TablerIcon;
export declare const IconLetterE: TablerIcon;
export declare const IconLetterFSmall: TablerIcon;
export declare const IconLetterF: TablerIcon;
export declare const IconLetterGSmall: TablerIcon;
export declare const IconLetterG: TablerIcon;
export declare const IconLetterHSmall: TablerIcon;
export declare const IconLetterH: TablerIcon;
export declare const IconLetterISmall: TablerIcon;
export declare const IconLetterI: TablerIcon;
export declare const IconLetterJSmall: TablerIcon;
export declare const IconLetterJ: TablerIcon;
export declare const IconLetterKSmall: TablerIcon;
export declare const IconLetterK: TablerIcon;
export declare const IconLetterLSmall: TablerIcon;
export declare const IconLetterL: TablerIcon;
export declare const IconLetterMSmall: TablerIcon;
export declare const IconLetterM: TablerIcon;
export declare const IconLetterNSmall: TablerIcon;
export declare const IconLetterN: TablerIcon;
export declare const IconLetterOSmall: TablerIcon;
export declare const IconLetterO: TablerIcon;
export declare const IconLetterPSmall: TablerIcon;
export declare const IconLetterP: TablerIcon;
export declare const IconLetterQSmall: TablerIcon;
export declare const IconLetterQ: TablerIcon;
export declare const IconLetterRSmall: TablerIcon;
export declare const IconLetterR: TablerIcon;
export declare const IconLetterSSmall: TablerIcon;
export declare const IconLetterS: TablerIcon;
export declare const IconLetterSpacing: TablerIcon;
export declare const IconLetterTSmall: TablerIcon;
export declare const IconLetterT: TablerIcon;
export declare const IconLetterUSmall: TablerIcon;
export declare const IconLetterU: TablerIcon;
export declare const IconLetterVSmall: TablerIcon;
export declare const IconLetterV: TablerIcon;
export declare const IconLetterWSmall: TablerIcon;
export declare const IconLetterW: TablerIcon;
export declare const IconLetterXSmall: TablerIcon;
export declare const IconLetterX: TablerIcon;
export declare const IconLetterYSmall: TablerIcon;
export declare const IconLetterY: TablerIcon;
export declare const IconLetterZSmall: TablerIcon;
export declare const IconLetterZ: TablerIcon;
export declare const IconLibraryMinus: TablerIcon;
export declare const IconLibraryPhoto: TablerIcon;
export declare const IconLibraryPlus: TablerIcon;
export declare const IconLibrary: TablerIcon;
export declare const IconLicenseOff: TablerIcon;
export declare const IconLicense: TablerIcon;
export declare const IconLifebuoyOff: TablerIcon;
export declare const IconLifebuoy: TablerIcon;
export declare const IconLighter: TablerIcon;
export declare const IconLineDashed: TablerIcon;
export declare const IconLineDotted: TablerIcon;
export declare const IconLineHeight: TablerIcon;
export declare const IconLineScan: TablerIcon;
export declare const IconLine: TablerIcon;
export declare const IconLinkMinus: TablerIcon;
export declare const IconLinkOff: TablerIcon;
export declare const IconLinkPlus: TablerIcon;
export declare const IconLink: TablerIcon;
export declare const IconListCheck: TablerIcon;
export declare const IconListDetails: TablerIcon;
export declare const IconListLetters: TablerIcon;
export declare const IconListNumbers: TablerIcon;
export declare const IconListSearch: TablerIcon;
export declare const IconListTree: TablerIcon;
export declare const IconList: TablerIcon;
export declare const IconLivePhotoOff: TablerIcon;
export declare const IconLivePhoto: TablerIcon;
export declare const IconLiveView: TablerIcon;
export declare const IconLoadBalancer: TablerIcon;
export declare const IconLoader2: TablerIcon;
export declare const IconLoader3: TablerIcon;
export declare const IconLoaderQuarter: TablerIcon;
export declare const IconLoader: TablerIcon;
export declare const IconLocationBolt: TablerIcon;
export declare const IconLocationBroken: TablerIcon;
export declare const IconLocationCancel: TablerIcon;
export declare const IconLocationCheck: TablerIcon;
export declare const IconLocationCode: TablerIcon;
export declare const IconLocationCog: TablerIcon;
export declare const IconLocationDiscount: TablerIcon;
export declare const IconLocationDollar: TablerIcon;
export declare const IconLocationDown: TablerIcon;
export declare const IconLocationExclamation: TablerIcon;
export declare const IconLocationFilled: TablerIcon;
export declare const IconLocationHeart: TablerIcon;
export declare const IconLocationMinus: TablerIcon;
export declare const IconLocationOff: TablerIcon;
export declare const IconLocationPause: TablerIcon;
export declare const IconLocationPin: TablerIcon;
export declare const IconLocationPlus: TablerIcon;
export declare const IconLocationQuestion: TablerIcon;
export declare const IconLocationSearch: TablerIcon;
export declare const IconLocationShare: TablerIcon;
export declare const IconLocationStar: TablerIcon;
export declare const IconLocationUp: TablerIcon;
export declare const IconLocationX: TablerIcon;
export declare const IconLocation: TablerIcon;
export declare const IconLockAccessOff: TablerIcon;
export declare const IconLockAccess: TablerIcon;
export declare const IconLockBolt: TablerIcon;
export declare const IconLockCancel: TablerIcon;
export declare const IconLockCheck: TablerIcon;
export declare const IconLockCode: TablerIcon;
export declare const IconLockCog: TablerIcon;
export declare const IconLockDollar: TablerIcon;
export declare const IconLockDown: TablerIcon;
export declare const IconLockExclamation: TablerIcon;
export declare const IconLockHeart: TablerIcon;
export declare const IconLockMinus: TablerIcon;
export declare const IconLockOff: TablerIcon;
export declare const IconLockOpenOff: TablerIcon;
export declare const IconLockOpen: TablerIcon;
export declare const IconLockPause: TablerIcon;
export declare const IconLockPin: TablerIcon;
export declare const IconLockPlus: TablerIcon;
export declare const IconLockQuestion: TablerIcon;
export declare const IconLockSearch: TablerIcon;
export declare const IconLockShare: TablerIcon;
export declare const IconLockSquareRoundedFilled: TablerIcon;
export declare const IconLockSquareRounded: TablerIcon;
export declare const IconLockSquare: TablerIcon;
export declare const IconLockStar: TablerIcon;
export declare const IconLockUp: TablerIcon;
export declare const IconLockX: TablerIcon;
export declare const IconLock: TablerIcon;
export declare const IconLogicAnd: TablerIcon;
export declare const IconLogicBuffer: TablerIcon;
export declare const IconLogicNand: TablerIcon;
export declare const IconLogicNor: TablerIcon;
export declare const IconLogicNot: TablerIcon;
export declare const IconLogicOr: TablerIcon;
export declare const IconLogicXnor: TablerIcon;
export declare const IconLogicXor: TablerIcon;
export declare const IconLogin2: TablerIcon;
export declare const IconLogin: TablerIcon;
export declare const IconLogout2: TablerIcon;
export declare const IconLogout: TablerIcon;
export declare const IconLollipopOff: TablerIcon;
export declare const IconLollipop: TablerIcon;
export declare const IconLuggageOff: TablerIcon;
export declare const IconLuggage: TablerIcon;
export declare const IconLungsOff: TablerIcon;
export declare const IconLungs: TablerIcon;
export declare const IconMacroOff: TablerIcon;
export declare const IconMacro: TablerIcon;
export declare const IconMagnetOff: TablerIcon;
export declare const IconMagnet: TablerIcon;
export declare const IconMagnetic: TablerIcon;
export declare const IconMailAi: TablerIcon;
export declare const IconMailBolt: TablerIcon;
export declare const IconMailCancel: TablerIcon;
export declare const IconMailCheck: TablerIcon;
export declare const IconMailCode: TablerIcon;
export declare const IconMailCog: TablerIcon;
export declare const IconMailDollar: TablerIcon;
export declare const IconMailDown: TablerIcon;
export declare const IconMailExclamation: TablerIcon;
export declare const IconMailFast: TablerIcon;
export declare const IconMailFilled: TablerIcon;
export declare const IconMailForward: TablerIcon;
export declare const IconMailHeart: TablerIcon;
export declare const IconMailMinus: TablerIcon;
export declare const IconMailOff: TablerIcon;
export declare const IconMailOpenedFilled: TablerIcon;
export declare const IconMailOpened: TablerIcon;
export declare const IconMailPause: TablerIcon;
export declare const IconMailPin: TablerIcon;
export declare const IconMailPlus: TablerIcon;
export declare const IconMailQuestion: TablerIcon;
export declare const IconMailSearch: TablerIcon;
export declare const IconMailShare: TablerIcon;
export declare const IconMailStar: TablerIcon;
export declare const IconMailUp: TablerIcon;
export declare const IconMailX: TablerIcon;
export declare const IconMail: TablerIcon;
export declare const IconMailboxOff: TablerIcon;
export declare const IconMailbox: TablerIcon;
export declare const IconMan: TablerIcon;
export declare const IconManualGearbox: TablerIcon;
export declare const IconMap2: TablerIcon;
export declare const IconMapBolt: TablerIcon;
export declare const IconMapCancel: TablerIcon;
export declare const IconMapCheck: TablerIcon;
export declare const IconMapCode: TablerIcon;
export declare const IconMapCog: TablerIcon;
export declare const IconMapDiscount: TablerIcon;
export declare const IconMapDollar: TablerIcon;
export declare const IconMapDown: TablerIcon;
export declare const IconMapEast: TablerIcon;
export declare const IconMapExclamation: TablerIcon;
export declare const IconMapHeart: TablerIcon;
export declare const IconMapMinus: TablerIcon;
export declare const IconMapNorth: TablerIcon;
export declare const IconMapOff: TablerIcon;
export declare const IconMapPause: TablerIcon;
export declare const IconMapPin2: TablerIcon;
export declare const IconMapPinBolt: TablerIcon;
export declare const IconMapPinCancel: TablerIcon;
export declare const IconMapPinCheck: TablerIcon;
export declare const IconMapPinCode: TablerIcon;
export declare const IconMapPinCog: TablerIcon;
export declare const IconMapPinDollar: TablerIcon;
export declare const IconMapPinDown: TablerIcon;
export declare const IconMapPinExclamation: TablerIcon;
export declare const IconMapPinFilled: TablerIcon;
export declare const IconMapPinHeart: TablerIcon;
export declare const IconMapPinMinus: TablerIcon;
export declare const IconMapPinOff: TablerIcon;
export declare const IconMapPinPause: TablerIcon;
export declare const IconMapPinPin: TablerIcon;
export declare const IconMapPinPlus: TablerIcon;
export declare const IconMapPinQuestion: TablerIcon;
export declare const IconMapPinSearch: TablerIcon;
export declare const IconMapPinShare: TablerIcon;
export declare const IconMapPinStar: TablerIcon;
export declare const IconMapPinUp: TablerIcon;
export declare const IconMapPinX: TablerIcon;
export declare const IconMapPin: TablerIcon;
export declare const IconMapPins: TablerIcon;
export declare const IconMapPlus: TablerIcon;
export declare const IconMapQuestion: TablerIcon;
export declare const IconMapRoute: TablerIcon;
export declare const IconMapSearch: TablerIcon;
export declare const IconMapShare: TablerIcon;
export declare const IconMapSouth: TablerIcon;
export declare const IconMapStar: TablerIcon;
export declare const IconMapUp: TablerIcon;
export declare const IconMapWest: TablerIcon;
export declare const IconMapX: TablerIcon;
export declare const IconMap: TablerIcon;
export declare const IconMarkdownOff: TablerIcon;
export declare const IconMarkdown: TablerIcon;
export declare const IconMarquee2: TablerIcon;
export declare const IconMarqueeOff: TablerIcon;
export declare const IconMarquee: TablerIcon;
export declare const IconMars: TablerIcon;
export declare const IconMaskOff: TablerIcon;
export declare const IconMask: TablerIcon;
export declare const IconMasksTheaterOff: TablerIcon;
export declare const IconMasksTheater: TablerIcon;
export declare const IconMassage: TablerIcon;
export declare const IconMatchstick: TablerIcon;
export declare const IconMath1Divide2: TablerIcon;
export declare const IconMath1Divide3: TablerIcon;
export declare const IconMathAvg: TablerIcon;
export declare const IconMathEqualGreater: TablerIcon;
export declare const IconMathEqualLower: TablerIcon;
export declare const IconMathFunctionOff: TablerIcon;
export declare const IconMathFunctionY: TablerIcon;
export declare const IconMathFunction: TablerIcon;
export declare const IconMathGreater: TablerIcon;
export declare const IconMathIntegralX: TablerIcon;
export declare const IconMathIntegral: TablerIcon;
export declare const IconMathIntegrals: TablerIcon;
export declare const IconMathLower: TablerIcon;
export declare const IconMathMax: TablerIcon;
export declare const IconMathMin: TablerIcon;
export declare const IconMathNot: TablerIcon;
export declare const IconMathOff: TablerIcon;
export declare const IconMathPiDivide2: TablerIcon;
export declare const IconMathPi: TablerIcon;
export declare const IconMathSymbols: TablerIcon;
export declare const IconMathXDivide2: TablerIcon;
export declare const IconMathXDivideY2: TablerIcon;
export declare const IconMathXDivideY: TablerIcon;
export declare const IconMathXMinusX: TablerIcon;
export declare const IconMathXMinusY: TablerIcon;
export declare const IconMathXPlusX: TablerIcon;
export declare const IconMathXPlusY: TablerIcon;
export declare const IconMathXy: TablerIcon;
export declare const IconMathYMinusY: TablerIcon;
export declare const IconMathYPlusY: TablerIcon;
export declare const IconMath: TablerIcon;
export declare const IconMaximizeOff: TablerIcon;
export declare const IconMaximize: TablerIcon;
export declare const IconMeatOff: TablerIcon;
export declare const IconMeat: TablerIcon;
export declare const IconMedal2: TablerIcon;
export declare const IconMedal: TablerIcon;
export declare const IconMedicalCrossCircle: TablerIcon;
export declare const IconMedicalCrossFilled: TablerIcon;
export declare const IconMedicalCrossOff: TablerIcon;
export declare const IconMedicalCross: TablerIcon;
export declare const IconMedicineSyrup: TablerIcon;
export declare const IconMeeple: TablerIcon;
export declare const IconMelon: TablerIcon;
export declare const IconMenorah: TablerIcon;
export declare const IconMenu2: TablerIcon;
export declare const IconMenuDeep: TablerIcon;
export declare const IconMenuOrder: TablerIcon;
export declare const IconMenu: TablerIcon;
export declare const IconMessage2Bolt: TablerIcon;
export declare const IconMessage2Cancel: TablerIcon;
export declare const IconMessage2Check: TablerIcon;
export declare const IconMessage2Code: TablerIcon;
export declare const IconMessage2Cog: TablerIcon;
export declare const IconMessage2Dollar: TablerIcon;
export declare const IconMessage2Down: TablerIcon;
export declare const IconMessage2Exclamation: TablerIcon;
export declare const IconMessage2Heart: TablerIcon;
export declare const IconMessage2Minus: TablerIcon;
export declare const IconMessage2Off: TablerIcon;
export declare const IconMessage2Pause: TablerIcon;
export declare const IconMessage2Pin: TablerIcon;
export declare const IconMessage2Plus: TablerIcon;
export declare const IconMessage2Question: TablerIcon;
export declare const IconMessage2Search: TablerIcon;
export declare const IconMessage2Share: TablerIcon;
export declare const IconMessage2Star: TablerIcon;
export declare const IconMessage2Up: TablerIcon;
export declare const IconMessage2X: TablerIcon;
export declare const IconMessage2: TablerIcon;
export declare const IconMessageBolt: TablerIcon;
export declare const IconMessageCancel: TablerIcon;
export declare const IconMessageChatbot: TablerIcon;
export declare const IconMessageCheck: TablerIcon;
export declare const IconMessageCircle2Filled: TablerIcon;
export declare const IconMessageCircle2: TablerIcon;
export declare const IconMessageCircleBolt: TablerIcon;
export declare const IconMessageCircleCancel: TablerIcon;
export declare const IconMessageCircleCheck: TablerIcon;
export declare const IconMessageCircleCode: TablerIcon;
export declare const IconMessageCircleCog: TablerIcon;
export declare const IconMessageCircleDollar: TablerIcon;
export declare const IconMessageCircleDown: TablerIcon;
export declare const IconMessageCircleExclamation: TablerIcon;
export declare const IconMessageCircleHeart: TablerIcon;
export declare const IconMessageCircleMinus: TablerIcon;
export declare const IconMessageCircleOff: TablerIcon;
export declare const IconMessageCirclePause: TablerIcon;
export declare const IconMessageCirclePin: TablerIcon;
export declare const IconMessageCirclePlus: TablerIcon;
export declare const IconMessageCircleQuestion: TablerIcon;
export declare const IconMessageCircleSearch: TablerIcon;
export declare const IconMessageCircleShare: TablerIcon;
export declare const IconMessageCircleStar: TablerIcon;
export declare const IconMessageCircleUp: TablerIcon;
export declare const IconMessageCircleX: TablerIcon;
export declare const IconMessageCircle: TablerIcon;
export declare const IconMessageCode: TablerIcon;
export declare const IconMessageCog: TablerIcon;
export declare const IconMessageDollar: TablerIcon;
export declare const IconMessageDots: TablerIcon;
export declare const IconMessageDown: TablerIcon;
export declare const IconMessageExclamation: TablerIcon;
export declare const IconMessageForward: TablerIcon;
export declare const IconMessageHeart: TablerIcon;
export declare const IconMessageLanguage: TablerIcon;
export declare const IconMessageMinus: TablerIcon;
export declare const IconMessageOff: TablerIcon;
export declare const IconMessagePause: TablerIcon;
export declare const IconMessagePin: TablerIcon;
export declare const IconMessagePlus: TablerIcon;
export declare const IconMessageQuestion: TablerIcon;
export declare const IconMessageReply: TablerIcon;
export declare const IconMessageReport: TablerIcon;
export declare const IconMessageSearch: TablerIcon;
export declare const IconMessageShare: TablerIcon;
export declare const IconMessageStar: TablerIcon;
export declare const IconMessageUp: TablerIcon;
export declare const IconMessageX: TablerIcon;
export declare const IconMessage: TablerIcon;
export declare const IconMessagesOff: TablerIcon;
export declare const IconMessages: TablerIcon;
export declare const IconMeteorOff: TablerIcon;
export declare const IconMeteor: TablerIcon;
export declare const IconMetronome: TablerIcon;
export declare const IconMichelinBibGourmand: TablerIcon;
export declare const IconMichelinStarGreen: TablerIcon;
export declare const IconMichelinStar: TablerIcon;
export declare const IconMickeyFilled: TablerIcon;
export declare const IconMickey: TablerIcon;
export declare const IconMicrophone2Off: TablerIcon;
export declare const IconMicrophone2: TablerIcon;
export declare const IconMicrophoneOff: TablerIcon;
export declare const IconMicrophone: TablerIcon;
export declare const IconMicroscopeOff: TablerIcon;
export declare const IconMicroscope: TablerIcon;
export declare const IconMicrowaveOff: TablerIcon;
export declare const IconMicrowave: TablerIcon;
export declare const IconMilitaryAward: TablerIcon;
export declare const IconMilitaryRank: TablerIcon;
export declare const IconMilkOff: TablerIcon;
export declare const IconMilk: TablerIcon;
export declare const IconMilkshake: TablerIcon;
export declare const IconMinimize: TablerIcon;
export declare const IconMinusVertical: TablerIcon;
export declare const IconMinus: TablerIcon;
export declare const IconMistOff: TablerIcon;
export declare const IconMist: TablerIcon;
export declare const IconMobiledataOff: TablerIcon;
export declare const IconMobiledata: TablerIcon;
export declare const IconMoneybag: TablerIcon;
export declare const IconMoodAngry: TablerIcon;
export declare const IconMoodAnnoyed2: TablerIcon;
export declare const IconMoodAnnoyed: TablerIcon;
export declare const IconMoodBoy: TablerIcon;
export declare const IconMoodCheck: TablerIcon;
export declare const IconMoodCog: TablerIcon;
export declare const IconMoodConfuzedFilled: TablerIcon;
export declare const IconMoodConfuzed: TablerIcon;
export declare const IconMoodCrazyHappy: TablerIcon;
export declare const IconMoodCry: TablerIcon;
export declare const IconMoodDollar: TablerIcon;
export declare const IconMoodEdit: TablerIcon;
export declare const IconMoodEmptyFilled: TablerIcon;
export declare const IconMoodEmpty: TablerIcon;
export declare const IconMoodHappyFilled: TablerIcon;
export declare const IconMoodHappy: TablerIcon;
export declare const IconMoodHeart: TablerIcon;
export declare const IconMoodKidFilled: TablerIcon;
export declare const IconMoodKid: TablerIcon;
export declare const IconMoodLookDown: TablerIcon;
export declare const IconMoodLookLeft: TablerIcon;
export declare const IconMoodLookRight: TablerIcon;
export declare const IconMoodLookUp: TablerIcon;
export declare const IconMoodMinus: TablerIcon;
export declare const IconMoodNerd: TablerIcon;
export declare const IconMoodNervous: TablerIcon;
export declare const IconMoodNeutralFilled: TablerIcon;
export declare const IconMoodNeutral: TablerIcon;
export declare const IconMoodOff: TablerIcon;
export declare const IconMoodPin: TablerIcon;
export declare const IconMoodPlus: TablerIcon;
export declare const IconMoodPuzzled: TablerIcon;
export declare const IconMoodSad2: TablerIcon;
export declare const IconMoodSadDizzy: TablerIcon;
export declare const IconMoodSadFilled: TablerIcon;
export declare const IconMoodSadSquint: TablerIcon;
export declare const IconMoodSad: TablerIcon;
export declare const IconMoodSearch: TablerIcon;
export declare const IconMoodShare: TablerIcon;
export declare const IconMoodSick: TablerIcon;
export declare const IconMoodSilence: TablerIcon;
export declare const IconMoodSing: TablerIcon;
export declare const IconMoodSmileBeam: TablerIcon;
export declare const IconMoodSmileDizzy: TablerIcon;
export declare const IconMoodSmileFilled: TablerIcon;
export declare const IconMoodSmile: TablerIcon;
export declare const IconMoodSuprised: TablerIcon;
export declare const IconMoodTongueWink2: TablerIcon;
export declare const IconMoodTongueWink: TablerIcon;
export declare const IconMoodTongue: TablerIcon;
export declare const IconMoodUnamused: TablerIcon;
export declare const IconMoodUp: TablerIcon;
export declare const IconMoodWink2: TablerIcon;
export declare const IconMoodWink: TablerIcon;
export declare const IconMoodWrrr: TablerIcon;
export declare const IconMoodX: TablerIcon;
export declare const IconMoodXd: TablerIcon;
export declare const IconMoon2: TablerIcon;
export declare const IconMoonFilled: TablerIcon;
export declare const IconMoonOff: TablerIcon;
export declare const IconMoonStars: TablerIcon;
export declare const IconMoon: TablerIcon;
export declare const IconMoped: TablerIcon;
export declare const IconMotorbike: TablerIcon;
export declare const IconMountainOff: TablerIcon;
export declare const IconMountain: TablerIcon;
export declare const IconMouse2: TablerIcon;
export declare const IconMouseFilled: TablerIcon;
export declare const IconMouseOff: TablerIcon;
export declare const IconMouse: TablerIcon;
export declare const IconMoustache: TablerIcon;
export declare const IconMovieOff: TablerIcon;
export declare const IconMovie: TablerIcon;
export declare const IconMugOff: TablerIcon;
export declare const IconMug: TablerIcon;
export declare const IconMultiplier05x: TablerIcon;
export declare const IconMultiplier15x: TablerIcon;
export declare const IconMultiplier1x: TablerIcon;
export declare const IconMultiplier2x: TablerIcon;
export declare const IconMushroomFilled: TablerIcon;
export declare const IconMushroomOff: TablerIcon;
export declare const IconMushroom: TablerIcon;
export declare const IconMusicBolt: TablerIcon;
export declare const IconMusicCancel: TablerIcon;
export declare const IconMusicCheck: TablerIcon;
export declare const IconMusicCode: TablerIcon;
export declare const IconMusicCog: TablerIcon;
export declare const IconMusicDiscount: TablerIcon;
export declare const IconMusicDollar: TablerIcon;
export declare const IconMusicDown: TablerIcon;
export declare const IconMusicExclamation: TablerIcon;
export declare const IconMusicHeart: TablerIcon;
export declare const IconMusicMinus: TablerIcon;
export declare const IconMusicOff: TablerIcon;
export declare const IconMusicPause: TablerIcon;
export declare const IconMusicPin: TablerIcon;
export declare const IconMusicPlus: TablerIcon;
export declare const IconMusicQuestion: TablerIcon;
export declare const IconMusicSearch: TablerIcon;
export declare const IconMusicShare: TablerIcon;
export declare const IconMusicStar: TablerIcon;
export declare const IconMusicUp: TablerIcon;
export declare const IconMusicX: TablerIcon;
export declare const IconMusic: TablerIcon;
export declare const IconNavigationBolt: TablerIcon;
export declare const IconNavigationCancel: TablerIcon;
export declare const IconNavigationCheck: TablerIcon;
export declare const IconNavigationCode: TablerIcon;
export declare const IconNavigationCog: TablerIcon;
export declare const IconNavigationDiscount: TablerIcon;
export declare const IconNavigationDollar: TablerIcon;
export declare const IconNavigationDown: TablerIcon;
export declare const IconNavigationEast: TablerIcon;
export declare const IconNavigationExclamation: TablerIcon;
export declare const IconNavigationFilled: TablerIcon;
export declare const IconNavigationHeart: TablerIcon;
export declare const IconNavigationMinus: TablerIcon;
export declare const IconNavigationNorth: TablerIcon;
export declare const IconNavigationOff: TablerIcon;
export declare const IconNavigationPause: TablerIcon;
export declare const IconNavigationPin: TablerIcon;
export declare const IconNavigationPlus: TablerIcon;
export declare const IconNavigationQuestion: TablerIcon;
export declare const IconNavigationSearch: TablerIcon;
export declare const IconNavigationShare: TablerIcon;
export declare const IconNavigationSouth: TablerIcon;
export declare const IconNavigationStar: TablerIcon;
export declare const IconNavigationTop: TablerIcon;
export declare const IconNavigationUp: TablerIcon;
export declare const IconNavigationWest: TablerIcon;
export declare const IconNavigationX: TablerIcon;
export declare const IconNavigation: TablerIcon;
export declare const IconNeedleThread: TablerIcon;
export declare const IconNeedle: TablerIcon;
export declare const IconNetworkOff: TablerIcon;
export declare const IconNetwork: TablerIcon;
export declare const IconNewSection: TablerIcon;
export declare const IconNewsOff: TablerIcon;
export declare const IconNews: TablerIcon;
export declare const IconNfcOff: TablerIcon;
export declare const IconNfc: TablerIcon;
export declare const IconNoCopyright: TablerIcon;
export declare const IconNoCreativeCommons: TablerIcon;
export declare const IconNoDerivatives: TablerIcon;
export declare const IconNorthStar: TablerIcon;
export declare const IconNoteOff: TablerIcon;
export declare const IconNote: TablerIcon;
export declare const IconNotebookOff: TablerIcon;
export declare const IconNotebook: TablerIcon;
export declare const IconNotesOff: TablerIcon;
export declare const IconNotes: TablerIcon;
export declare const IconNotificationOff: TablerIcon;
export declare const IconNotification: TablerIcon;
export declare const IconNumber0Small: TablerIcon;
export declare const IconNumber0: TablerIcon;
export declare const IconNumber1Small: TablerIcon;
export declare const IconNumber1: TablerIcon;
export declare const IconNumber10Small: TablerIcon;
export declare const IconNumber11Small: TablerIcon;
export declare const IconNumber12Small: TablerIcon;
export declare const IconNumber13Small: TablerIcon;
export declare const IconNumber14Small: TablerIcon;
export declare const IconNumber15Small: TablerIcon;
export declare const IconNumber16Small: TablerIcon;
export declare const IconNumber17Small: TablerIcon;
export declare const IconNumber18Small: TablerIcon;
export declare const IconNumber19Small: TablerIcon;
export declare const IconNumber2Small: TablerIcon;
export declare const IconNumber2: TablerIcon;
export declare const IconNumber20Small: TablerIcon;
export declare const IconNumber21Small: TablerIcon;
export declare const IconNumber22Small: TablerIcon;
export declare const IconNumber23Small: TablerIcon;
export declare const IconNumber24Small: TablerIcon;
export declare const IconNumber25Small: TablerIcon;
export declare const IconNumber26Small: TablerIcon;
export declare const IconNumber27Small: TablerIcon;
export declare const IconNumber28Small: TablerIcon;
export declare const IconNumber29Small: TablerIcon;
export declare const IconNumber3Small: TablerIcon;
export declare const IconNumber3: TablerIcon;
export declare const IconNumber4Small: TablerIcon;
export declare const IconNumber4: TablerIcon;
export declare const IconNumber5Small: TablerIcon;
export declare const IconNumber5: TablerIcon;
export declare const IconNumber6Small: TablerIcon;
export declare const IconNumber6: TablerIcon;
export declare const IconNumber7Small: TablerIcon;
export declare const IconNumber7: TablerIcon;
export declare const IconNumber8Small: TablerIcon;
export declare const IconNumber8: TablerIcon;
export declare const IconNumber9Small: TablerIcon;
export declare const IconNumber9: TablerIcon;
export declare const IconNumber: TablerIcon;
export declare const IconNumbers: TablerIcon;
export declare const IconNurse: TablerIcon;
export declare const IconNut: TablerIcon;
export declare const IconOctagonFilled: TablerIcon;
export declare const IconOctagonMinus2: TablerIcon;
export declare const IconOctagonMinus: TablerIcon;
export declare const IconOctagonOff: TablerIcon;
export declare const IconOctagonPlus2: TablerIcon;
export declare const IconOctagonPlus: TablerIcon;
export declare const IconOctagon: TablerIcon;
export declare const IconOctahedronOff: TablerIcon;
export declare const IconOctahedronPlus: TablerIcon;
export declare const IconOctahedron: TablerIcon;
export declare const IconOld: TablerIcon;
export declare const IconOlympicsOff: TablerIcon;
export declare const IconOlympics: TablerIcon;
export declare const IconOm: TablerIcon;
export declare const IconOmega: TablerIcon;
export declare const IconOutbound: TablerIcon;
export declare const IconOutlet: TablerIcon;
export declare const IconOvalFilled: TablerIcon;
export declare const IconOvalVerticalFilled: TablerIcon;
export declare const IconOvalVertical: TablerIcon;
export declare const IconOval: TablerIcon;
export declare const IconOverline: TablerIcon;
export declare const IconPackageExport: TablerIcon;
export declare const IconPackageImport: TablerIcon;
export declare const IconPackageOff: TablerIcon;
export declare const IconPackage: TablerIcon;
export declare const IconPackages: TablerIcon;
export declare const IconPacman: TablerIcon;
export declare const IconPageBreak: TablerIcon;
export declare const IconPaintFilled: TablerIcon;
export declare const IconPaintOff: TablerIcon;
export declare const IconPaint: TablerIcon;
export declare const IconPaletteOff: TablerIcon;
export declare const IconPalette: TablerIcon;
export declare const IconPanoramaHorizontalOff: TablerIcon;
export declare const IconPanoramaHorizontal: TablerIcon;
export declare const IconPanoramaVerticalOff: TablerIcon;
export declare const IconPanoramaVertical: TablerIcon;
export declare const IconPaperBagOff: TablerIcon;
export declare const IconPaperBag: TablerIcon;
export declare const IconPaperclip: TablerIcon;
export declare const IconParachuteOff: TablerIcon;
export declare const IconParachute: TablerIcon;
export declare const IconParenthesesOff: TablerIcon;
export declare const IconParentheses: TablerIcon;
export declare const IconParkingOff: TablerIcon;
export declare const IconParking: TablerIcon;
export declare const IconPasswordFingerprint: TablerIcon;
export declare const IconPasswordMobilePhone: TablerIcon;
export declare const IconPasswordUser: TablerIcon;
export declare const IconPassword: TablerIcon;
export declare const IconPawFilled: TablerIcon;
export declare const IconPawOff: TablerIcon;
export declare const IconPaw: TablerIcon;
export declare const IconPdf: TablerIcon;
export declare const IconPeace: TablerIcon;
export declare const IconPencilBolt: TablerIcon;
export declare const IconPencilCancel: TablerIcon;
export declare const IconPencilCheck: TablerIcon;
export declare const IconPencilCode: TablerIcon;
export declare const IconPencilCog: TablerIcon;
export declare const IconPencilDiscount: TablerIcon;
export declare const IconPencilDollar: TablerIcon;
export declare const IconPencilDown: TablerIcon;
export declare const IconPencilExclamation: TablerIcon;
export declare const IconPencilHeart: TablerIcon;
export declare const IconPencilMinus: TablerIcon;
export declare const IconPencilOff: TablerIcon;
export declare const IconPencilPause: TablerIcon;
export declare const IconPencilPin: TablerIcon;
export declare const IconPencilPlus: TablerIcon;
export declare const IconPencilQuestion: TablerIcon;
export declare const IconPencilSearch: TablerIcon;
export declare const IconPencilShare: TablerIcon;
export declare const IconPencilStar: TablerIcon;
export declare const IconPencilUp: TablerIcon;
export declare const IconPencilX: TablerIcon;
export declare const IconPencil: TablerIcon;
export declare const IconPennant2Filled: TablerIcon;
export declare const IconPennant2: TablerIcon;
export declare const IconPennantFilled: TablerIcon;
export declare const IconPennantOff: TablerIcon;
export declare const IconPennant: TablerIcon;
export declare const IconPentagonFilled: TablerIcon;
export declare const IconPentagonNumber0: TablerIcon;
export declare const IconPentagonNumber1: TablerIcon;
export declare const IconPentagonNumber2: TablerIcon;
export declare const IconPentagonNumber3: TablerIcon;
export declare const IconPentagonNumber4: TablerIcon;
export declare const IconPentagonNumber5: TablerIcon;
export declare const IconPentagonNumber6: TablerIcon;
export declare const IconPentagonNumber7: TablerIcon;
export declare const IconPentagonNumber8: TablerIcon;
export declare const IconPentagonNumber9: TablerIcon;
export declare const IconPentagonOff: TablerIcon;
export declare const IconPentagonPlus: TablerIcon;
export declare const IconPentagonX: TablerIcon;
export declare const IconPentagon: TablerIcon;
export declare const IconPentagram: TablerIcon;
export declare const IconPepperOff: TablerIcon;
export declare const IconPepper: TablerIcon;
export declare const IconPercentage: TablerIcon;
export declare const IconPerfume: TablerIcon;
export declare const IconPerspectiveOff: TablerIcon;
export declare const IconPerspective: TablerIcon;
export declare const IconPhoneCall: TablerIcon;
export declare const IconPhoneCalling: TablerIcon;
export declare const IconPhoneCheck: TablerIcon;
export declare const IconPhoneFilled: TablerIcon;
export declare const IconPhoneIncoming: TablerIcon;
export declare const IconPhoneOff: TablerIcon;
export declare const IconPhoneOutgoing: TablerIcon;
export declare const IconPhonePause: TablerIcon;
export declare const IconPhonePlus: TablerIcon;
export declare const IconPhoneX: TablerIcon;
export declare const IconPhone: TablerIcon;
export declare const IconPhotoAi: TablerIcon;
export declare const IconPhotoBolt: TablerIcon;
export declare const IconPhotoCancel: TablerIcon;
export declare const IconPhotoCheck: TablerIcon;
export declare const IconPhotoCircleMinus: TablerIcon;
export declare const IconPhotoCirclePlus: TablerIcon;
export declare const IconPhotoCircle: TablerIcon;
export declare const IconPhotoCode: TablerIcon;
export declare const IconPhotoCog: TablerIcon;
export declare const IconPhotoDollar: TablerIcon;
export declare const IconPhotoDown: TablerIcon;
export declare const IconPhotoEdit: TablerIcon;
export declare const IconPhotoExclamation: TablerIcon;
export declare const IconPhotoFilled: TablerIcon;
export declare const IconPhotoHeart: TablerIcon;
export declare const IconPhotoHexagon: TablerIcon;
export declare const IconPhotoMinus: TablerIcon;
export declare const IconPhotoOff: TablerIcon;
export declare const IconPhotoPause: TablerIcon;
export declare const IconPhotoPentagon: TablerIcon;
export declare const IconPhotoPin: TablerIcon;
export declare const IconPhotoPlus: TablerIcon;
export declare const IconPhotoQuestion: TablerIcon;
export declare const IconPhotoScan: TablerIcon;
export declare const IconPhotoSearch: TablerIcon;
export declare const IconPhotoSensor2: TablerIcon;
export declare const IconPhotoSensor3: TablerIcon;
export declare const IconPhotoSensor: TablerIcon;
export declare const IconPhotoShare: TablerIcon;
export declare const IconPhotoShield: TablerIcon;
export declare const IconPhotoSquareRounded: TablerIcon;
export declare const IconPhotoStar: TablerIcon;
export declare const IconPhotoUp: TablerIcon;
export declare const IconPhotoVideo: TablerIcon;
export declare const IconPhotoX: TablerIcon;
export declare const IconPhoto: TablerIcon;
export declare const IconPhysotherapist: TablerIcon;
export declare const IconPiano: TablerIcon;
export declare const IconPick: TablerIcon;
export declare const IconPictureInPictureOff: TablerIcon;
export declare const IconPictureInPictureOn: TablerIcon;
export declare const IconPictureInPictureTop: TablerIcon;
export declare const IconPictureInPicture: TablerIcon;
export declare const IconPigMoney: TablerIcon;
export declare const IconPigOff: TablerIcon;
export declare const IconPig: TablerIcon;
export declare const IconPilcrow: TablerIcon;
export declare const IconPillOff: TablerIcon;
export declare const IconPill: TablerIcon;
export declare const IconPills: TablerIcon;
export declare const IconPinFilled: TablerIcon;
export declare const IconPin: TablerIcon;
export declare const IconPingPong: TablerIcon;
export declare const IconPinnedFilled: TablerIcon;
export declare const IconPinnedOff: TablerIcon;
export declare const IconPinned: TablerIcon;
export declare const IconPizzaOff: TablerIcon;
export declare const IconPizza: TablerIcon;
export declare const IconPlaceholder: TablerIcon;
export declare const IconPlaneArrival: TablerIcon;
export declare const IconPlaneDeparture: TablerIcon;
export declare const IconPlaneInflight: TablerIcon;
export declare const IconPlaneOff: TablerIcon;
export declare const IconPlaneTilt: TablerIcon;
export declare const IconPlane: TablerIcon;
export declare const IconPlanetOff: TablerIcon;
export declare const IconPlanet: TablerIcon;
export declare const IconPlant2Off: TablerIcon;
export declare const IconPlant2: TablerIcon;
export declare const IconPlantOff: TablerIcon;
export declare const IconPlant: TablerIcon;
export declare const IconPlayBasketball: TablerIcon;
export declare const IconPlayCardOff: TablerIcon;
export declare const IconPlayCard: TablerIcon;
export declare const IconPlayFootball: TablerIcon;
export declare const IconPlayHandball: TablerIcon;
export declare const IconPlayVolleyball: TablerIcon;
export declare const IconPlayerEjectFilled: TablerIcon;
export declare const IconPlayerEject: TablerIcon;
export declare const IconPlayerPauseFilled: TablerIcon;
export declare const IconPlayerPause: TablerIcon;
export declare const IconPlayerPlayFilled: TablerIcon;
export declare const IconPlayerPlay: TablerIcon;
export declare const IconPlayerRecordFilled: TablerIcon;
export declare const IconPlayerRecord: TablerIcon;
export declare const IconPlayerSkipBackFilled: TablerIcon;
export declare const IconPlayerSkipBack: TablerIcon;
export declare const IconPlayerSkipForwardFilled: TablerIcon;
export declare const IconPlayerSkipForward: TablerIcon;
export declare const IconPlayerStopFilled: TablerIcon;
export declare const IconPlayerStop: TablerIcon;
export declare const IconPlayerTrackNextFilled: TablerIcon;
export declare const IconPlayerTrackNext: TablerIcon;
export declare const IconPlayerTrackPrevFilled: TablerIcon;
export declare const IconPlayerTrackPrev: TablerIcon;
export declare const IconPlaylistAdd: TablerIcon;
export declare const IconPlaylistOff: TablerIcon;
export declare const IconPlaylistX: TablerIcon;
export declare const IconPlaylist: TablerIcon;
export declare const IconPlaystationCircle: TablerIcon;
export declare const IconPlaystationSquare: TablerIcon;
export declare const IconPlaystationTriangle: TablerIcon;
export declare const IconPlaystationX: TablerIcon;
export declare const IconPlugConnectedX: TablerIcon;
export declare const IconPlugConnected: TablerIcon;
export declare const IconPlugOff: TablerIcon;
export declare const IconPlugX: TablerIcon;
export declare const IconPlug: TablerIcon;
export declare const IconPlusEqual: TablerIcon;
export declare const IconPlusMinus: TablerIcon;
export declare const IconPlus: TablerIcon;
export declare const IconPng: TablerIcon;
export declare const IconPodiumOff: TablerIcon;
export declare const IconPodium: TablerIcon;
export declare const IconPointFilled: TablerIcon;
export declare const IconPointOff: TablerIcon;
export declare const IconPoint: TablerIcon;
export declare const IconPointerBolt: TablerIcon;
export declare const IconPointerCancel: TablerIcon;
export declare const IconPointerCheck: TablerIcon;
export declare const IconPointerCode: TablerIcon;
export declare const IconPointerCog: TablerIcon;
export declare const IconPointerDollar: TablerIcon;
export declare const IconPointerDown: TablerIcon;
export declare const IconPointerExclamation: TablerIcon;
export declare const IconPointerFilled: TablerIcon;
export declare const IconPointerHeart: TablerIcon;
export declare const IconPointerMinus: TablerIcon;
export declare const IconPointerOff: TablerIcon;
export declare const IconPointerPause: TablerIcon;
export declare const IconPointerPin: TablerIcon;
export declare const IconPointerPlus: TablerIcon;
export declare const IconPointerQuestion: TablerIcon;
export declare const IconPointerSearch: TablerIcon;
export declare const IconPointerShare: TablerIcon;
export declare const IconPointerStar: TablerIcon;
export declare const IconPointerUp: TablerIcon;
export declare const IconPointerX: TablerIcon;
export declare const IconPointer: TablerIcon;
export declare const IconPokeballOff: TablerIcon;
export declare const IconPokeball: TablerIcon;
export declare const IconPokerChip: TablerIcon;
export declare const IconPolaroidFilled: TablerIcon;
export declare const IconPolaroid: TablerIcon;
export declare const IconPolygonOff: TablerIcon;
export declare const IconPolygon: TablerIcon;
export declare const IconPoo: TablerIcon;
export declare const IconPoolOff: TablerIcon;
export declare const IconPool: TablerIcon;
export declare const IconPower: TablerIcon;
export declare const IconPray: TablerIcon;
export declare const IconPremiumRights: TablerIcon;
export declare const IconPrescription: TablerIcon;
export declare const IconPresentationAnalytics: TablerIcon;
export declare const IconPresentationOff: TablerIcon;
export declare const IconPresentation: TablerIcon;
export declare const IconPrinterOff: TablerIcon;
export declare const IconPrinter: TablerIcon;
export declare const IconPrismOff: TablerIcon;
export declare const IconPrismPlus: TablerIcon;
export declare const IconPrism: TablerIcon;
export declare const IconPrison: TablerIcon;
export declare const IconProgressAlert: TablerIcon;
export declare const IconProgressBolt: TablerIcon;
export declare const IconProgressCheck: TablerIcon;
export declare const IconProgressDown: TablerIcon;
export declare const IconProgressHelp: TablerIcon;
export declare const IconProgressX: TablerIcon;
export declare const IconProgress: TablerIcon;
export declare const IconPrompt: TablerIcon;
export declare const IconPropellerOff: TablerIcon;
export declare const IconPropeller: TablerIcon;
export declare const IconPumpkinScary: TablerIcon;
export declare const IconPuzzle2: TablerIcon;
export declare const IconPuzzleFilled: TablerIcon;
export declare const IconPuzzleOff: TablerIcon;
export declare const IconPuzzle: TablerIcon;
export declare const IconPyramidOff: TablerIcon;
export declare const IconPyramidPlus: TablerIcon;
export declare const IconPyramid: TablerIcon;
export declare const IconQrcodeOff: TablerIcon;
export declare const IconQrcode: TablerIcon;
export declare const IconQuestionMark: TablerIcon;
export declare const IconQuoteOff: TablerIcon;
export declare const IconQuote: TablerIcon;
export declare const IconQuotes: TablerIcon;
export declare const IconRadar2: TablerIcon;
export declare const IconRadarOff: TablerIcon;
export declare const IconRadar: TablerIcon;
export declare const IconRadioOff: TablerIcon;
export declare const IconRadio: TablerIcon;
export declare const IconRadioactiveFilled: TablerIcon;
export declare const IconRadioactiveOff: TablerIcon;
export declare const IconRadioactive: TablerIcon;
export declare const IconRadiusBottomLeft: TablerIcon;
export declare const IconRadiusBottomRight: TablerIcon;
export declare const IconRadiusTopLeft: TablerIcon;
export declare const IconRadiusTopRight: TablerIcon;
export declare const IconRainbowOff: TablerIcon;
export declare const IconRainbow: TablerIcon;
export declare const IconRating12Plus: TablerIcon;
export declare const IconRating14Plus: TablerIcon;
export declare const IconRating16Plus: TablerIcon;
export declare const IconRating18Plus: TablerIcon;
export declare const IconRating21Plus: TablerIcon;
export declare const IconRazorElectric: TablerIcon;
export declare const IconRazor: TablerIcon;
export declare const IconReceipt2: TablerIcon;
export declare const IconReceiptOff: TablerIcon;
export declare const IconReceiptRefund: TablerIcon;
export declare const IconReceiptTax: TablerIcon;
export declare const IconReceipt: TablerIcon;
export declare const IconRecharging: TablerIcon;
export declare const IconRecordMailOff: TablerIcon;
export declare const IconRecordMail: TablerIcon;
export declare const IconRectangleFilled: TablerIcon;
export declare const IconRectangleRoundedBottom: TablerIcon;
export declare const IconRectangleRoundedTop: TablerIcon;
export declare const IconRectangleVerticalFilled: TablerIcon;
export declare const IconRectangleVertical: TablerIcon;
export declare const IconRectangle: TablerIcon;
export declare const IconRectangularPrismOff: TablerIcon;
export declare const IconRectangularPrismPlus: TablerIcon;
export declare const IconRectangularPrism: TablerIcon;
export declare const IconRecycleOff: TablerIcon;
export declare const IconRecycle: TablerIcon;
export declare const IconRefreshAlert: TablerIcon;
export declare const IconRefreshDot: TablerIcon;
export declare const IconRefreshOff: TablerIcon;
export declare const IconRefresh: TablerIcon;
export declare const IconRegexOff: TablerIcon;
export declare const IconRegex: TablerIcon;
export declare const IconRegistered: TablerIcon;
export declare const IconRelationManyToMany: TablerIcon;
export declare const IconRelationOneToMany: TablerIcon;
export declare const IconRelationOneToOne: TablerIcon;
export declare const IconReload: TablerIcon;
export declare const IconReorder: TablerIcon;
export declare const IconRepeatOff: TablerIcon;
export declare const IconRepeatOnce: TablerIcon;
export declare const IconRepeat: TablerIcon;
export declare const IconReplaceFilled: TablerIcon;
export declare const IconReplaceOff: TablerIcon;
export declare const IconReplace: TablerIcon;
export declare const IconReportAnalytics: TablerIcon;
export declare const IconReportMedical: TablerIcon;
export declare const IconReportMoney: TablerIcon;
export declare const IconReportOff: TablerIcon;
export declare const IconReportSearch: TablerIcon;
export declare const IconReport: TablerIcon;
export declare const IconReservedLine: TablerIcon;
export declare const IconResize: TablerIcon;
export declare const IconRestore: TablerIcon;
export declare const IconRewindBackward10: TablerIcon;
export declare const IconRewindBackward15: TablerIcon;
export declare const IconRewindBackward20: TablerIcon;
export declare const IconRewindBackward30: TablerIcon;
export declare const IconRewindBackward40: TablerIcon;
export declare const IconRewindBackward5: TablerIcon;
export declare const IconRewindBackward50: TablerIcon;
export declare const IconRewindBackward60: TablerIcon;
export declare const IconRewindForward10: TablerIcon;
export declare const IconRewindForward15: TablerIcon;
export declare const IconRewindForward20: TablerIcon;
export declare const IconRewindForward30: TablerIcon;
export declare const IconRewindForward40: TablerIcon;
export declare const IconRewindForward5: TablerIcon;
export declare const IconRewindForward50: TablerIcon;
export declare const IconRewindForward60: TablerIcon;
export declare const IconRibbonHealth: TablerIcon;
export declare const IconRings: TablerIcon;
export declare const IconRippleOff: TablerIcon;
export declare const IconRipple: TablerIcon;
export declare const IconRoadOff: TablerIcon;
export declare const IconRoadSign: TablerIcon;
export declare const IconRoad: TablerIcon;
export declare const IconRobotFace: TablerIcon;
export declare const IconRobotOff: TablerIcon;
export declare const IconRobot: TablerIcon;
export declare const IconRocketOff: TablerIcon;
export declare const IconRocket: TablerIcon;
export declare const IconRollerSkating: TablerIcon;
export declare const IconRollercoasterOff: TablerIcon;
export declare const IconRollercoaster: TablerIcon;
export declare const IconRosetteFilled: TablerIcon;
export declare const IconRosetteNumber0: TablerIcon;
export declare const IconRosetteNumber1: TablerIcon;
export declare const IconRosetteNumber2: TablerIcon;
export declare const IconRosetteNumber3: TablerIcon;
export declare const IconRosetteNumber4: TablerIcon;
export declare const IconRosetteNumber5: TablerIcon;
export declare const IconRosetteNumber6: TablerIcon;
export declare const IconRosetteNumber7: TablerIcon;
export declare const IconRosetteNumber8: TablerIcon;
export declare const IconRosetteNumber9: TablerIcon;
export declare const IconRosette: TablerIcon;
export declare const IconRotate2: TablerIcon;
export declare const IconRotate360: TablerIcon;
export declare const IconRotateClockwise2: TablerIcon;
export declare const IconRotateClockwise: TablerIcon;
export declare const IconRotateDot: TablerIcon;
export declare const IconRotateRectangle: TablerIcon;
export declare const IconRotate: TablerIcon;
export declare const IconRoute2: TablerIcon;
export declare const IconRouteAltLeft: TablerIcon;
export declare const IconRouteAltRight: TablerIcon;
export declare const IconRouteOff: TablerIcon;
export declare const IconRouteScan: TablerIcon;
export declare const IconRouteSquare2: TablerIcon;
export declare const IconRouteSquare: TablerIcon;
export declare const IconRouteX2: TablerIcon;
export declare const IconRouteX: TablerIcon;
export declare const IconRoute: TablerIcon;
export declare const IconRouterOff: TablerIcon;
export declare const IconRouter: TablerIcon;
export declare const IconRowInsertBottom: TablerIcon;
export declare const IconRowInsertTop: TablerIcon;
export declare const IconRowRemove: TablerIcon;
export declare const IconRss: TablerIcon;
export declare const IconRubberStampOff: TablerIcon;
export declare const IconRubberStamp: TablerIcon;
export declare const IconRuler2Off: TablerIcon;
export declare const IconRuler2: TablerIcon;
export declare const IconRuler3: TablerIcon;
export declare const IconRulerMeasure: TablerIcon;
export declare const IconRulerOff: TablerIcon;
export declare const IconRuler: TablerIcon;
export declare const IconRun: TablerIcon;
export declare const IconRvTruck: TablerIcon;
export declare const IconSTurnDown: TablerIcon;
export declare const IconSTurnLeft: TablerIcon;
export declare const IconSTurnRight: TablerIcon;
export declare const IconSTurnUp: TablerIcon;
export declare const IconSailboat2: TablerIcon;
export declare const IconSailboatOff: TablerIcon;
export declare const IconSailboat: TablerIcon;
export declare const IconSalad: TablerIcon;
export declare const IconSalt: TablerIcon;
export declare const IconSatelliteOff: TablerIcon;
export declare const IconSatellite: TablerIcon;
export declare const IconSausage: TablerIcon;
export declare const IconScaleOff: TablerIcon;
export declare const IconScaleOutlineOff: TablerIcon;
export declare const IconScaleOutline: TablerIcon;
export declare const IconScale: TablerIcon;
export declare const IconScanEye: TablerIcon;
export declare const IconScan: TablerIcon;
export declare const IconSchemaOff: TablerIcon;
export declare const IconSchema: TablerIcon;
export declare const IconSchoolBell: TablerIcon;
export declare const IconSchoolOff: TablerIcon;
export declare const IconSchool: TablerIcon;
export declare const IconScissorsOff: TablerIcon;
export declare const IconScissors: TablerIcon;
export declare const IconScooterElectric: TablerIcon;
export declare const IconScooter: TablerIcon;
export declare const IconScoreboard: TablerIcon;
export declare const IconScreenShareOff: TablerIcon;
export declare const IconScreenShare: TablerIcon;
export declare const IconScreenshot: TablerIcon;
export declare const IconScribbleOff: TablerIcon;
export declare const IconScribble: TablerIcon;
export declare const IconScriptMinus: TablerIcon;
export declare const IconScriptPlus: TablerIcon;
export declare const IconScriptX: TablerIcon;
export declare const IconScript: TablerIcon;
export declare const IconScubaDiving: TablerIcon;
export declare const IconScubaMaskOff: TablerIcon;
export declare const IconScubaMask: TablerIcon;
export declare const IconSdk: TablerIcon;
export declare const IconSearchOff: TablerIcon;
export declare const IconSearch: TablerIcon;
export declare const IconSectionSign: TablerIcon;
export declare const IconSection: TablerIcon;
export declare const IconSeedingOff: TablerIcon;
export declare const IconSeeding: TablerIcon;
export declare const IconSelectAll: TablerIcon;
export declare const IconSelect: TablerIcon;
export declare const IconSelector: TablerIcon;
export declare const IconSendOff: TablerIcon;
export declare const IconSend: TablerIcon;
export declare const IconSeo: TablerIcon;
export declare const IconSeparatorHorizontal: TablerIcon;
export declare const IconSeparatorVertical: TablerIcon;
export declare const IconSeparator: TablerIcon;
export declare const IconServer2: TablerIcon;
export declare const IconServerBolt: TablerIcon;
export declare const IconServerCog: TablerIcon;
export declare const IconServerOff: TablerIcon;
export declare const IconServer: TablerIcon;
export declare const IconServicemark: TablerIcon;
export declare const IconSettings2: TablerIcon;
export declare const IconSettingsAutomation: TablerIcon;
export declare const IconSettingsBolt: TablerIcon;
export declare const IconSettingsCancel: TablerIcon;
export declare const IconSettingsCheck: TablerIcon;
export declare const IconSettingsCode: TablerIcon;
export declare const IconSettingsCog: TablerIcon;
export declare const IconSettingsDollar: TablerIcon;
export declare const IconSettingsDown: TablerIcon;
export declare const IconSettingsExclamation: TablerIcon;
export declare const IconSettingsFilled: TablerIcon;
export declare const IconSettingsHeart: TablerIcon;
export declare const IconSettingsMinus: TablerIcon;
export declare const IconSettingsOff: TablerIcon;
export declare const IconSettingsPause: TablerIcon;
export declare const IconSettingsPin: TablerIcon;
export declare const IconSettingsPlus: TablerIcon;
export declare const IconSettingsQuestion: TablerIcon;
export declare const IconSettingsSearch: TablerIcon;
export declare const IconSettingsShare: TablerIcon;
export declare const IconSettingsStar: TablerIcon;
export declare const IconSettingsUp: TablerIcon;
export declare const IconSettingsX: TablerIcon;
export declare const IconSettings: TablerIcon;
export declare const IconShadowOff: TablerIcon;
export declare const IconShadow: TablerIcon;
export declare const IconShape2: TablerIcon;
export declare const IconShape3: TablerIcon;
export declare const IconShapeOff: TablerIcon;
export declare const IconShape: TablerIcon;
export declare const IconShare2: TablerIcon;
export declare const IconShare3: TablerIcon;
export declare const IconShareOff: TablerIcon;
export declare const IconShare: TablerIcon;
export declare const IconShiJumping: TablerIcon;
export declare const IconShieldBolt: TablerIcon;
export declare const IconShieldCancel: TablerIcon;
export declare const IconShieldCheckFilled: TablerIcon;
export declare const IconShieldCheck: TablerIcon;
export declare const IconShieldCheckeredFilled: TablerIcon;
export declare const IconShieldCheckered: TablerIcon;
export declare const IconShieldChevron: TablerIcon;
export declare const IconShieldCode: TablerIcon;
export declare const IconShieldCog: TablerIcon;
export declare const IconShieldDollar: TablerIcon;
export declare const IconShieldDown: TablerIcon;
export declare const IconShieldExclamation: TablerIcon;
export declare const IconShieldFilled: TablerIcon;
export declare const IconShieldHalfFilled: TablerIcon;
export declare const IconShieldHalf: TablerIcon;
export declare const IconShieldHeart: TablerIcon;
export declare const IconShieldLockFilled: TablerIcon;
export declare const IconShieldLock: TablerIcon;
export declare const IconShieldMinus: TablerIcon;
export declare const IconShieldOff: TablerIcon;
export declare const IconShieldPause: TablerIcon;
export declare const IconShieldPin: TablerIcon;
export declare const IconShieldPlus: TablerIcon;
export declare const IconShieldQuestion: TablerIcon;
export declare const IconShieldSearch: TablerIcon;
export declare const IconShieldShare: TablerIcon;
export declare const IconShieldStar: TablerIcon;
export declare const IconShieldUp: TablerIcon;
export declare const IconShieldX: TablerIcon;
export declare const IconShield: TablerIcon;
export declare const IconShipOff: TablerIcon;
export declare const IconShip: TablerIcon;
export declare const IconShirtFilled: TablerIcon;
export declare const IconShirtOff: TablerIcon;
export declare const IconShirtSport: TablerIcon;
export declare const IconShirt: TablerIcon;
export declare const IconShoeOff: TablerIcon;
export declare const IconShoe: TablerIcon;
export declare const IconShoppingBagCheck: TablerIcon;
export declare const IconShoppingBagDiscount: TablerIcon;
export declare const IconShoppingBagEdit: TablerIcon;
export declare const IconShoppingBagExclamation: TablerIcon;
export declare const IconShoppingBagMinus: TablerIcon;
export declare const IconShoppingBagPlus: TablerIcon;
export declare const IconShoppingBagSearch: TablerIcon;
export declare const IconShoppingBagX: TablerIcon;
export declare const IconShoppingBag: TablerIcon;
export declare const IconShoppingCartBolt: TablerIcon;
export declare const IconShoppingCartCancel: TablerIcon;
export declare const IconShoppingCartCheck: TablerIcon;
export declare const IconShoppingCartCode: TablerIcon;
export declare const IconShoppingCartCog: TablerIcon;
export declare const IconShoppingCartCopy: TablerIcon;
export declare const IconShoppingCartDiscount: TablerIcon;
export declare const IconShoppingCartDollar: TablerIcon;
export declare const IconShoppingCartDown: TablerIcon;
export declare const IconShoppingCartExclamation: TablerIcon;
export declare const IconShoppingCartFilled: TablerIcon;
export declare const IconShoppingCartHeart: TablerIcon;
export declare const IconShoppingCartMinus: TablerIcon;
export declare const IconShoppingCartOff: TablerIcon;
export declare const IconShoppingCartPause: TablerIcon;
export declare const IconShoppingCartPin: TablerIcon;
export declare const IconShoppingCartPlus: TablerIcon;
export declare const IconShoppingCartQuestion: TablerIcon;
export declare const IconShoppingCartSearch: TablerIcon;
export declare const IconShoppingCartShare: TablerIcon;
export declare const IconShoppingCartStar: TablerIcon;
export declare const IconShoppingCartUp: TablerIcon;
export declare const IconShoppingCartX: TablerIcon;
export declare const IconShoppingCart: TablerIcon;
export declare const IconShovelPitchforks: TablerIcon;
export declare const IconShovel: TablerIcon;
export declare const IconShredder: TablerIcon;
export declare const IconSignLeftFilled: TablerIcon;
export declare const IconSignLeft: TablerIcon;
export declare const IconSignRightFilled: TablerIcon;
export declare const IconSignRight: TablerIcon;
export declare const IconSignal2g: TablerIcon;
export declare const IconSignal3g: TablerIcon;
export declare const IconSignal4gPlus: TablerIcon;
export declare const IconSignal4g: TablerIcon;
export declare const IconSignal5g: TablerIcon;
export declare const IconSignal6g: TablerIcon;
export declare const IconSignalE: TablerIcon;
export declare const IconSignalG: TablerIcon;
export declare const IconSignalHPlus: TablerIcon;
export declare const IconSignalH: TablerIcon;
export declare const IconSignalLte: TablerIcon;
export declare const IconSignatureOff: TablerIcon;
export declare const IconSignature: TablerIcon;
export declare const IconSitemapOff: TablerIcon;
export declare const IconSitemap: TablerIcon;
export declare const IconSkateboardOff: TablerIcon;
export declare const IconSkateboard: TablerIcon;
export declare const IconSkateboarding: TablerIcon;
export declare const IconSkewX: TablerIcon;
export declare const IconSkewY: TablerIcon;
export declare const IconSkull: TablerIcon;
export declare const IconSlash: TablerIcon;
export declare const IconSlashes: TablerIcon;
export declare const IconSleigh: TablerIcon;
export declare const IconSlice: TablerIcon;
export declare const IconSlideshow: TablerIcon;
export declare const IconSmartHomeOff: TablerIcon;
export declare const IconSmartHome: TablerIcon;
export declare const IconSmokingNo: TablerIcon;
export declare const IconSmoking: TablerIcon;
export declare const IconSnowboarding: TablerIcon;
export declare const IconSnowflakeOff: TablerIcon;
export declare const IconSnowflake: TablerIcon;
export declare const IconSnowman: TablerIcon;
export declare const IconSoccerField: TablerIcon;
export declare const IconSocialOff: TablerIcon;
export declare const IconSocial: TablerIcon;
export declare const IconSock: TablerIcon;
export declare const IconSofaOff: TablerIcon;
export declare const IconSofa: TablerIcon;
export declare const IconSolarElectricity: TablerIcon;
export declare const IconSolarPanel2: TablerIcon;
export declare const IconSolarPanel: TablerIcon;
export declare const IconSort09: TablerIcon;
export declare const IconSort90: TablerIcon;
export declare const IconSortAZ: TablerIcon;
export declare const IconSortAscending2: TablerIcon;
export declare const IconSortAscendingLetters: TablerIcon;
export declare const IconSortAscendingNumbers: TablerIcon;
export declare const IconSortAscending: TablerIcon;
export declare const IconSortDescending2: TablerIcon;
export declare const IconSortDescendingLetters: TablerIcon;
export declare const IconSortDescendingNumbers: TablerIcon;
export declare const IconSortDescending: TablerIcon;
export declare const IconSortZA: TablerIcon;
export declare const IconSos: TablerIcon;
export declare const IconSoupOff: TablerIcon;
export declare const IconSoup: TablerIcon;
export declare const IconSourceCode: TablerIcon;
export declare const IconSpaceOff: TablerIcon;
export declare const IconSpace: TablerIcon;
export declare const IconSpacingHorizontal: TablerIcon;
export declare const IconSpacingVertical: TablerIcon;
export declare const IconSpadeFilled: TablerIcon;
export declare const IconSpade: TablerIcon;
export declare const IconSparkles: TablerIcon;
export declare const IconSpeakerphone: TablerIcon;
export declare const IconSpeedboat: TablerIcon;
export declare const IconSphereOff: TablerIcon;
export declare const IconSpherePlus: TablerIcon;
export declare const IconSphere: TablerIcon;
export declare const IconSpider: TablerIcon;
export declare const IconSpiralOff: TablerIcon;
export declare const IconSpiral: TablerIcon;
export declare const IconSportBillard: TablerIcon;
export declare const IconSpray: TablerIcon;
export declare const IconSpyOff: TablerIcon;
export declare const IconSpy: TablerIcon;
export declare const IconSql: TablerIcon;
export declare const IconSquare0Filled: TablerIcon;
export declare const IconSquare1Filled: TablerIcon;
export declare const IconSquare2Filled: TablerIcon;
export declare const IconSquare3Filled: TablerIcon;
export declare const IconSquare4Filled: TablerIcon;
export declare const IconSquare5Filled: TablerIcon;
export declare const IconSquare6Filled: TablerIcon;
export declare const IconSquare7Filled: TablerIcon;
export declare const IconSquare8Filled: TablerIcon;
export declare const IconSquare9Filled: TablerIcon;
export declare const IconSquareArrowDownFilled: TablerIcon;
export declare const IconSquareArrowDown: TablerIcon;
export declare const IconSquareArrowLeftFilled: TablerIcon;
export declare const IconSquareArrowLeft: TablerIcon;
export declare const IconSquareArrowRightFilled: TablerIcon;
export declare const IconSquareArrowRight: TablerIcon;
export declare const IconSquareArrowUpFilled: TablerIcon;
export declare const IconSquareArrowUp: TablerIcon;
export declare const IconSquareAsteriskFilled: TablerIcon;
export declare const IconSquareAsterisk: TablerIcon;
export declare const IconSquareCheckFilled: TablerIcon;
export declare const IconSquareCheck: TablerIcon;
export declare const IconSquareChevronDownFilled: TablerIcon;
export declare const IconSquareChevronDown: TablerIcon;
export declare const IconSquareChevronLeftFilled: TablerIcon;
export declare const IconSquareChevronLeft: TablerIcon;
export declare const IconSquareChevronRightFilled: TablerIcon;
export declare const IconSquareChevronRight: TablerIcon;
export declare const IconSquareChevronUpFilled: TablerIcon;
export declare const IconSquareChevronUp: TablerIcon;
export declare const IconSquareChevronsDownFilled: TablerIcon;
export declare const IconSquareChevronsDown: TablerIcon;
export declare const IconSquareChevronsLeftFilled: TablerIcon;
export declare const IconSquareChevronsLeft: TablerIcon;
export declare const IconSquareChevronsRightFilled: TablerIcon;
export declare const IconSquareChevronsRight: TablerIcon;
export declare const IconSquareChevronsUpFilled: TablerIcon;
export declare const IconSquareChevronsUp: TablerIcon;
export declare const IconSquareDotFilled: TablerIcon;
export declare const IconSquareDot: TablerIcon;
export declare const IconSquareF0Filled: TablerIcon;
export declare const IconSquareF0: TablerIcon;
export declare const IconSquareF1Filled: TablerIcon;
export declare const IconSquareF1: TablerIcon;
export declare const IconSquareF2Filled: TablerIcon;
export declare const IconSquareF2: TablerIcon;
export declare const IconSquareF3Filled: TablerIcon;
export declare const IconSquareF3: TablerIcon;
export declare const IconSquareF4Filled: TablerIcon;
export declare const IconSquareF4: TablerIcon;
export declare const IconSquareF5Filled: TablerIcon;
export declare const IconSquareF5: TablerIcon;
export declare const IconSquareF6Filled: TablerIcon;
export declare const IconSquareF6: TablerIcon;
export declare const IconSquareF7Filled: TablerIcon;
export declare const IconSquareF7: TablerIcon;
export declare const IconSquareF8Filled: TablerIcon;
export declare const IconSquareF8: TablerIcon;
export declare const IconSquareF9Filled: TablerIcon;
export declare const IconSquareF9: TablerIcon;
export declare const IconSquareFilled: TablerIcon;
export declare const IconSquareForbid2: TablerIcon;
export declare const IconSquareForbid: TablerIcon;
export declare const IconSquareHalf: TablerIcon;
export declare const IconSquareKey: TablerIcon;
export declare const IconSquareLetterA: TablerIcon;
export declare const IconSquareLetterB: TablerIcon;
export declare const IconSquareLetterC: TablerIcon;
export declare const IconSquareLetterD: TablerIcon;
export declare const IconSquareLetterE: TablerIcon;
export declare const IconSquareLetterF: TablerIcon;
export declare const IconSquareLetterG: TablerIcon;
export declare const IconSquareLetterH: TablerIcon;
export declare const IconSquareLetterI: TablerIcon;
export declare const IconSquareLetterJ: TablerIcon;
export declare const IconSquareLetterK: TablerIcon;
export declare const IconSquareLetterL: TablerIcon;
export declare const IconSquareLetterM: TablerIcon;
export declare const IconSquareLetterN: TablerIcon;
export declare const IconSquareLetterO: TablerIcon;
export declare const IconSquareLetterP: TablerIcon;
export declare const IconSquareLetterQ: TablerIcon;
export declare const IconSquareLetterR: TablerIcon;
export declare const IconSquareLetterS: TablerIcon;
export declare const IconSquareLetterT: TablerIcon;
export declare const IconSquareLetterU: TablerIcon;
export declare const IconSquareLetterV: TablerIcon;
export declare const IconSquareLetterW: TablerIcon;
export declare const IconSquareLetterX: TablerIcon;
export declare const IconSquareLetterY: TablerIcon;
export declare const IconSquareLetterZ: TablerIcon;
export declare const IconSquareMinusFilled: TablerIcon;
export declare const IconSquareMinus: TablerIcon;
export declare const IconSquareNumber0: TablerIcon;
export declare const IconSquareNumber1: TablerIcon;
export declare const IconSquareNumber2: TablerIcon;
export declare const IconSquareNumber3: TablerIcon;
export declare const IconSquareNumber4: TablerIcon;
export declare const IconSquareNumber5: TablerIcon;
export declare const IconSquareNumber6: TablerIcon;
export declare const IconSquareNumber7: TablerIcon;
export declare const IconSquareNumber8: TablerIcon;
export declare const IconSquareNumber9: TablerIcon;
export declare const IconSquareOff: TablerIcon;
export declare const IconSquarePlus2: TablerIcon;
export declare const IconSquarePlus: TablerIcon;
export declare const IconSquareRoot2: TablerIcon;
export declare const IconSquareRoot: TablerIcon;
export declare const IconSquareRotatedFilled: TablerIcon;
export declare const IconSquareRotatedForbid2: TablerIcon;
export declare const IconSquareRotatedForbid: TablerIcon;
export declare const IconSquareRotatedOff: TablerIcon;
export declare const IconSquareRotated: TablerIcon;
export declare const IconSquareRoundedArrowDownFilled: TablerIcon;
export declare const IconSquareRoundedArrowDown: TablerIcon;
export declare const IconSquareRoundedArrowLeftFilled: TablerIcon;
export declare const IconSquareRoundedArrowLeft: TablerIcon;
export declare const IconSquareRoundedArrowRightFilled: TablerIcon;
export declare const IconSquareRoundedArrowRight: TablerIcon;
export declare const IconSquareRoundedArrowUpFilled: TablerIcon;
export declare const IconSquareRoundedArrowUp: TablerIcon;
export declare const IconSquareRoundedCheckFilled: TablerIcon;
export declare const IconSquareRoundedCheck: TablerIcon;
export declare const IconSquareRoundedChevronDownFilled: TablerIcon;
export declare const IconSquareRoundedChevronDown: TablerIcon;
export declare const IconSquareRoundedChevronLeftFilled: TablerIcon;
export declare const IconSquareRoundedChevronLeft: TablerIcon;
export declare const IconSquareRoundedChevronRightFilled: TablerIcon;
export declare const IconSquareRoundedChevronRight: TablerIcon;
export declare const IconSquareRoundedChevronUpFilled: TablerIcon;
export declare const IconSquareRoundedChevronUp: TablerIcon;
export declare const IconSquareRoundedChevronsDownFilled: TablerIcon;
export declare const IconSquareRoundedChevronsDown: TablerIcon;
export declare const IconSquareRoundedChevronsLeftFilled: TablerIcon;
export declare const IconSquareRoundedChevronsLeft: TablerIcon;
export declare const IconSquareRoundedChevronsRightFilled: TablerIcon;
export declare const IconSquareRoundedChevronsRight: TablerIcon;
export declare const IconSquareRoundedChevronsUpFilled: TablerIcon;
export declare const IconSquareRoundedChevronsUp: TablerIcon;
export declare const IconSquareRoundedFilled: TablerIcon;
export declare const IconSquareRoundedLetterA: TablerIcon;
export declare const IconSquareRoundedLetterB: TablerIcon;
export declare const IconSquareRoundedLetterC: TablerIcon;
export declare const IconSquareRoundedLetterD: TablerIcon;
export declare const IconSquareRoundedLetterE: TablerIcon;
export declare const IconSquareRoundedLetterF: TablerIcon;
export declare const IconSquareRoundedLetterG: TablerIcon;
export declare const IconSquareRoundedLetterH: TablerIcon;
export declare const IconSquareRoundedLetterI: TablerIcon;
export declare const IconSquareRoundedLetterJ: TablerIcon;
export declare const IconSquareRoundedLetterK: TablerIcon;
export declare const IconSquareRoundedLetterL: TablerIcon;
export declare const IconSquareRoundedLetterM: TablerIcon;
export declare const IconSquareRoundedLetterN: TablerIcon;
export declare const IconSquareRoundedLetterO: TablerIcon;
export declare const IconSquareRoundedLetterP: TablerIcon;
export declare const IconSquareRoundedLetterQ: TablerIcon;
export declare const IconSquareRoundedLetterR: TablerIcon;
export declare const IconSquareRoundedLetterS: TablerIcon;
export declare const IconSquareRoundedLetterT: TablerIcon;
export declare const IconSquareRoundedLetterU: TablerIcon;
export declare const IconSquareRoundedLetterV: TablerIcon;
export declare const IconSquareRoundedLetterW: TablerIcon;
export declare const IconSquareRoundedLetterX: TablerIcon;
export declare const IconSquareRoundedLetterY: TablerIcon;
export declare const IconSquareRoundedLetterZ: TablerIcon;
export declare const IconSquareRoundedMinus2: TablerIcon;
export declare const IconSquareRoundedMinusFilled: TablerIcon;
export declare const IconSquareRoundedMinus: TablerIcon;
export declare const IconSquareRoundedNumber0Filled: TablerIcon;
export declare const IconSquareRoundedNumber0: TablerIcon;
export declare const IconSquareRoundedNumber1Filled: TablerIcon;
export declare const IconSquareRoundedNumber1: TablerIcon;
export declare const IconSquareRoundedNumber2Filled: TablerIcon;
export declare const IconSquareRoundedNumber2: TablerIcon;
export declare const IconSquareRoundedNumber3Filled: TablerIcon;
export declare const IconSquareRoundedNumber3: TablerIcon;
export declare const IconSquareRoundedNumber4Filled: TablerIcon;
export declare const IconSquareRoundedNumber4: TablerIcon;
export declare const IconSquareRoundedNumber5Filled: TablerIcon;
export declare const IconSquareRoundedNumber5: TablerIcon;
export declare const IconSquareRoundedNumber6Filled: TablerIcon;
export declare const IconSquareRoundedNumber6: TablerIcon;
export declare const IconSquareRoundedNumber7Filled: TablerIcon;
export declare const IconSquareRoundedNumber7: TablerIcon;
export declare const IconSquareRoundedNumber8Filled: TablerIcon;
export declare const IconSquareRoundedNumber8: TablerIcon;
export declare const IconSquareRoundedNumber9Filled: TablerIcon;
export declare const IconSquareRoundedNumber9: TablerIcon;
export declare const IconSquareRoundedPlus2: TablerIcon;
export declare const IconSquareRoundedPlusFilled: TablerIcon;
export declare const IconSquareRoundedPlus: TablerIcon;
export declare const IconSquareRoundedXFilled: TablerIcon;
export declare const IconSquareRoundedX: TablerIcon;
export declare const IconSquareRounded: TablerIcon;
export declare const IconSquareToggleHorizontal: TablerIcon;
export declare const IconSquareToggle: TablerIcon;
export declare const IconSquareXFilled: TablerIcon;
export declare const IconSquareX: TablerIcon;
export declare const IconSquare: TablerIcon;
export declare const IconSquaresDiagonal: TablerIcon;
export declare const IconSquaresFilled: TablerIcon;
export declare const IconStack2: TablerIcon;
export declare const IconStack3: TablerIcon;
export declare const IconStackBack: TablerIcon;
export declare const IconStackBackward: TablerIcon;
export declare const IconStackForward: TablerIcon;
export declare const IconStackFront: TablerIcon;
export declare const IconStackMiddle: TablerIcon;
export declare const IconStackPop: TablerIcon;
export declare const IconStackPush: TablerIcon;
export declare const IconStack: TablerIcon;
export declare const IconStairsDown: TablerIcon;
export declare const IconStairsUp: TablerIcon;
export declare const IconStairs: TablerIcon;
export declare const IconStarFilled: TablerIcon;
export declare const IconStarHalfFilled: TablerIcon;
export declare const IconStarHalf: TablerIcon;
export declare const IconStarOff: TablerIcon;
export declare const IconStar: TablerIcon;
export declare const IconStarsFilled: TablerIcon;
export declare const IconStarsOff: TablerIcon;
export declare const IconStars: TablerIcon;
export declare const IconStatusChange: TablerIcon;
export declare const IconSteam: TablerIcon;
export declare const IconSteeringWheelOff: TablerIcon;
export declare const IconSteeringWheel: TablerIcon;
export declare const IconStepInto: TablerIcon;
export declare const IconStepOut: TablerIcon;
export declare const IconStereoGlasses: TablerIcon;
export declare const IconStethoscopeOff: TablerIcon;
export declare const IconStethoscope: TablerIcon;
export declare const IconSticker2: TablerIcon;
export declare const IconSticker: TablerIcon;
export declare const IconStormOff: TablerIcon;
export declare const IconStorm: TablerIcon;
export declare const IconStretching2: TablerIcon;
export declare const IconStretching: TablerIcon;
export declare const IconStrikethrough: TablerIcon;
export declare const IconSubmarine: TablerIcon;
export declare const IconSubscript: TablerIcon;
export declare const IconSubtask: TablerIcon;
export declare const IconSumOff: TablerIcon;
export declare const IconSum: TablerIcon;
export declare const IconSunElectricity: TablerIcon;
export declare const IconSunFilled: TablerIcon;
export declare const IconSunHigh: TablerIcon;
export declare const IconSunLow: TablerIcon;
export declare const IconSunMoon: TablerIcon;
export declare const IconSunOff: TablerIcon;
export declare const IconSunWind: TablerIcon;
export declare const IconSun: TablerIcon;
export declare const IconSunglasses: TablerIcon;
export declare const IconSunrise: TablerIcon;
export declare const IconSunset2: TablerIcon;
export declare const IconSunset: TablerIcon;
export declare const IconSuperscript: TablerIcon;
export declare const IconSvg: TablerIcon;
export declare const IconSwimming: TablerIcon;
export declare const IconSwipe: TablerIcon;
export declare const IconSwitch2: TablerIcon;
export declare const IconSwitch3: TablerIcon;
export declare const IconSwitchHorizontal: TablerIcon;
export declare const IconSwitchVertical: TablerIcon;
export declare const IconSwitch: TablerIcon;
export declare const IconSwordOff: TablerIcon;
export declare const IconSword: TablerIcon;
export declare const IconSwords: TablerIcon;
export declare const IconTableAlias: TablerIcon;
export declare const IconTableColumn: TablerIcon;
export declare const IconTableDown: TablerIcon;
export declare const IconTableExport: TablerIcon;
export declare const IconTableFilled: TablerIcon;
export declare const IconTableHeart: TablerIcon;
export declare const IconTableImport: TablerIcon;
export declare const IconTableMinus: TablerIcon;
export declare const IconTableOff: TablerIcon;
export declare const IconTableOptions: TablerIcon;
export declare const IconTablePlus: TablerIcon;
export declare const IconTableRow: TablerIcon;
export declare const IconTableShare: TablerIcon;
export declare const IconTableShortcut: TablerIcon;
export declare const IconTable: TablerIcon;
export declare const IconTagOff: TablerIcon;
export declare const IconTagStarred: TablerIcon;
export declare const IconTag: TablerIcon;
export declare const IconTagsOff: TablerIcon;
export declare const IconTags: TablerIcon;
export declare const IconTallymark1: TablerIcon;
export declare const IconTallymark2: TablerIcon;
export declare const IconTallymark3: TablerIcon;
export declare const IconTallymark4: TablerIcon;
export declare const IconTallymarks: TablerIcon;
export declare const IconTank: TablerIcon;
export declare const IconTargetArrow: TablerIcon;
export declare const IconTargetOff: TablerIcon;
export declare const IconTarget: TablerIcon;
export declare const IconTeapot: TablerIcon;
export declare const IconTelescopeOff: TablerIcon;
export declare const IconTelescope: TablerIcon;
export declare const IconTemperatureCelsius: TablerIcon;
export declare const IconTemperatureFahrenheit: TablerIcon;
export declare const IconTemperatureMinus: TablerIcon;
export declare const IconTemperatureOff: TablerIcon;
export declare const IconTemperaturePlus: TablerIcon;
export declare const IconTemperature: TablerIcon;
export declare const IconTemplateOff: TablerIcon;
export declare const IconTemplate: TablerIcon;
export declare const IconTentOff: TablerIcon;
export declare const IconTent: TablerIcon;
export declare const IconTerminal2: TablerIcon;
export declare const IconTerminal: TablerIcon;
export declare const IconTestPipe2: TablerIcon;
export declare const IconTestPipeOff: TablerIcon;
export declare const IconTestPipe: TablerIcon;
export declare const IconTex: TablerIcon;
export declare const IconTextCaption: TablerIcon;
export declare const IconTextColor: TablerIcon;
export declare const IconTextDecrease: TablerIcon;
export declare const IconTextDirectionLtr: TablerIcon;
export declare const IconTextDirectionRtl: TablerIcon;
export declare const IconTextIncrease: TablerIcon;
export declare const IconTextOrientation: TablerIcon;
export declare const IconTextPlus: TablerIcon;
export declare const IconTextRecognition: TablerIcon;
export declare const IconTextResize: TablerIcon;
export declare const IconTextScan2: TablerIcon;
export declare const IconTextSize: TablerIcon;
export declare const IconTextSpellcheck: TablerIcon;
export declare const IconTextWrapDisabled: TablerIcon;
export declare const IconTextWrap: TablerIcon;
export declare const IconTexture: TablerIcon;
export declare const IconTheater: TablerIcon;
export declare const IconThermometer: TablerIcon;
export declare const IconThumbDownFilled: TablerIcon;
export declare const IconThumbDownOff: TablerIcon;
export declare const IconThumbDown: TablerIcon;
export declare const IconThumbUpFilled: TablerIcon;
export declare const IconThumbUpOff: TablerIcon;
export declare const IconThumbUp: TablerIcon;
export declare const IconTicTac: TablerIcon;
export declare const IconTicketOff: TablerIcon;
export declare const IconTicket: TablerIcon;
export declare const IconTie: TablerIcon;
export declare const IconTilde: TablerIcon;
export declare const IconTiltShiftOff: TablerIcon;
export declare const IconTiltShift: TablerIcon;
export declare const IconTimeDuration0: TablerIcon;
export declare const IconTimeDuration10: TablerIcon;
export declare const IconTimeDuration15: TablerIcon;
export declare const IconTimeDuration30: TablerIcon;
export declare const IconTimeDuration45: TablerIcon;
export declare const IconTimeDuration5: TablerIcon;
export declare const IconTimeDuration60: TablerIcon;
export declare const IconTimeDuration90: TablerIcon;
export declare const IconTimeDurationOff: TablerIcon;
export declare const IconTimelineEventExclamation: TablerIcon;
export declare const IconTimelineEventFilled: TablerIcon;
export declare const IconTimelineEventMinus: TablerIcon;
export declare const IconTimelineEventPlus: TablerIcon;
export declare const IconTimelineEventText: TablerIcon;
export declare const IconTimelineEventX: TablerIcon;
export declare const IconTimelineEvent: TablerIcon;
export declare const IconTimeline: TablerIcon;
export declare const IconTir: TablerIcon;
export declare const IconToggleLeft: TablerIcon;
export declare const IconToggleRight: TablerIcon;
export declare const IconToiletPaperOff: TablerIcon;
export declare const IconToiletPaper: TablerIcon;
export declare const IconToml: TablerIcon;
export declare const IconTool: TablerIcon;
export declare const IconToolsKitchen2Off: TablerIcon;
export declare const IconToolsKitchen2: TablerIcon;
export declare const IconToolsKitchen3: TablerIcon;
export declare const IconToolsKitchenOff: TablerIcon;
export declare const IconToolsKitchen: TablerIcon;
export declare const IconToolsOff: TablerIcon;
export declare const IconTools: TablerIcon;
export declare const IconTooltip: TablerIcon;
export declare const IconTopologyBus: TablerIcon;
export declare const IconTopologyComplex: TablerIcon;
export declare const IconTopologyFullHierarchy: TablerIcon;
export declare const IconTopologyFull: TablerIcon;
export declare const IconTopologyRing2: TablerIcon;
export declare const IconTopologyRing3: TablerIcon;
export declare const IconTopologyRing: TablerIcon;
export declare const IconTopologyStar2: TablerIcon;
export declare const IconTopologyStar3: TablerIcon;
export declare const IconTopologyStarRing2: TablerIcon;
export declare const IconTopologyStarRing3: TablerIcon;
export declare const IconTopologyStarRing: TablerIcon;
export declare const IconTopologyStar: TablerIcon;
export declare const IconTorii: TablerIcon;
export declare const IconTornado: TablerIcon;
export declare const IconTournament: TablerIcon;
export declare const IconTowerOff: TablerIcon;
export declare const IconTower: TablerIcon;
export declare const IconTrack: TablerIcon;
export declare const IconTractor: TablerIcon;
export declare const IconTrademark: TablerIcon;
export declare const IconTrafficConeOff: TablerIcon;
export declare const IconTrafficCone: TablerIcon;
export declare const IconTrafficLightsOff: TablerIcon;
export declare const IconTrafficLights: TablerIcon;
export declare const IconTrain: TablerIcon;
export declare const IconTransferIn: TablerIcon;
export declare const IconTransferOut: TablerIcon;
export declare const IconTransferVertical: TablerIcon;
export declare const IconTransfer: TablerIcon;
export declare const IconTransformFilled: TablerIcon;
export declare const IconTransform: TablerIcon;
export declare const IconTransitionBottom: TablerIcon;
export declare const IconTransitionLeft: TablerIcon;
export declare const IconTransitionRight: TablerIcon;
export declare const IconTransitionTop: TablerIcon;
export declare const IconTrashFilled: TablerIcon;
export declare const IconTrashOff: TablerIcon;
export declare const IconTrashXFilled: TablerIcon;
export declare const IconTrashX: TablerIcon;
export declare const IconTrash: TablerIcon;
export declare const IconTreadmill: TablerIcon;
export declare const IconTree: TablerIcon;
export declare const IconTrees: TablerIcon;
export declare const IconTrekking: TablerIcon;
export declare const IconTrendingDown2: TablerIcon;
export declare const IconTrendingDown3: TablerIcon;
export declare const IconTrendingDown: TablerIcon;
export declare const IconTrendingUp2: TablerIcon;
export declare const IconTrendingUp3: TablerIcon;
export declare const IconTrendingUp: TablerIcon;
export declare const IconTriangleFilled: TablerIcon;
export declare const IconTriangleInvertedFilled: TablerIcon;
export declare const IconTriangleInverted: TablerIcon;
export declare const IconTriangleMinus2: TablerIcon;
export declare const IconTriangleMinus: TablerIcon;
export declare const IconTriangleOff: TablerIcon;
export declare const IconTrianglePlus2: TablerIcon;
export declare const IconTrianglePlus: TablerIcon;
export declare const IconTriangleSquareCircleFilled: TablerIcon;
export declare const IconTriangleSquareCircle: TablerIcon;
export declare const IconTriangle: TablerIcon;
export declare const IconTriangles: TablerIcon;
export declare const IconTrident: TablerIcon;
export declare const IconTrolley: TablerIcon;
export declare const IconTrophyFilled: TablerIcon;
export declare const IconTrophyOff: TablerIcon;
export declare const IconTrophy: TablerIcon;
export declare const IconTrowel: TablerIcon;
export declare const IconTruckDelivery: TablerIcon;
export declare const IconTruckLoading: TablerIcon;
export declare const IconTruckOff: TablerIcon;
export declare const IconTruckReturn: TablerIcon;
export declare const IconTruck: TablerIcon;
export declare const IconTxt: TablerIcon;
export declare const IconTypographyOff: TablerIcon;
export declare const IconTypography: TablerIcon;
export declare const IconUfoOff: TablerIcon;
export declare const IconUfo: TablerIcon;
export declare const IconUmbrellaFilled: TablerIcon;
export declare const IconUmbrellaOff: TablerIcon;
export declare const IconUmbrella: TablerIcon;
export declare const IconUnderline: TablerIcon;
export declare const IconUniverse: TablerIcon;
export declare const IconUnlink: TablerIcon;
export declare const IconUpload: TablerIcon;
export declare const IconUrgent: TablerIcon;
export declare const IconUsb: TablerIcon;
export declare const IconUserBolt: TablerIcon;
export declare const IconUserCancel: TablerIcon;
export declare const IconUserCheck: TablerIcon;
export declare const IconUserCircle: TablerIcon;
export declare const IconUserCode: TablerIcon;
export declare const IconUserCog: TablerIcon;
export declare const IconUserDollar: TablerIcon;
export declare const IconUserDown: TablerIcon;
export declare const IconUserEdit: TablerIcon;
export declare const IconUserExclamation: TablerIcon;
export declare const IconUserFilled: TablerIcon;
export declare const IconUserHeart: TablerIcon;
export declare const IconUserHexagon: TablerIcon;
export declare const IconUserMinus: TablerIcon;
export declare const IconUserOff: TablerIcon;
export declare const IconUserPause: TablerIcon;
export declare const IconUserPentagon: TablerIcon;
export declare const IconUserPin: TablerIcon;
export declare const IconUserPlus: TablerIcon;
export declare const IconUserQuestion: TablerIcon;
export declare const IconUserScan: TablerIcon;
export declare const IconUserSearch: TablerIcon;
export declare const IconUserShare: TablerIcon;
export declare const IconUserShield: TablerIcon;
export declare const IconUserSquareRounded: TablerIcon;
export declare const IconUserSquare: TablerIcon;
export declare const IconUserStar: TablerIcon;
export declare const IconUserUp: TablerIcon;
export declare const IconUserX: TablerIcon;
export declare const IconUser: TablerIcon;
export declare const IconUsersGroup: TablerIcon;
export declare const IconUsersMinus: TablerIcon;
export declare const IconUsersPlus: TablerIcon;
export declare const IconUsers: TablerIcon;
export declare const IconUvIndex: TablerIcon;
export declare const IconUxCircle: TablerIcon;
export declare const IconVaccineBottleOff: TablerIcon;
export declare const IconVaccineBottle: TablerIcon;
export declare const IconVaccineOff: TablerIcon;
export declare const IconVaccine: TablerIcon;
export declare const IconVacuumCleaner: TablerIcon;
export declare const IconVariableMinus: TablerIcon;
export declare const IconVariableOff: TablerIcon;
export declare const IconVariablePlus: TablerIcon;
export declare const IconVariable: TablerIcon;
export declare const IconVectorBezier2: TablerIcon;
export declare const IconVectorBezierArc: TablerIcon;
export declare const IconVectorBezierCircle: TablerIcon;
export declare const IconVectorBezier: TablerIcon;
export declare const IconVectorOff: TablerIcon;
export declare const IconVectorSpline: TablerIcon;
export declare const IconVectorTriangleOff: TablerIcon;
export declare const IconVectorTriangle: TablerIcon;
export declare const IconVector: TablerIcon;
export declare const IconVenus: TablerIcon;
export declare const IconVersionsFilled: TablerIcon;
export declare const IconVersionsOff: TablerIcon;
export declare const IconVersions: TablerIcon;
export declare const IconVideoMinus: TablerIcon;
export declare const IconVideoOff: TablerIcon;
export declare const IconVideoPlus: TablerIcon;
export declare const IconVideo: TablerIcon;
export declare const IconView360Off: TablerIcon;
export declare const IconView360: TablerIcon;
export declare const IconViewfinderOff: TablerIcon;
export declare const IconViewfinder: TablerIcon;
export declare const IconViewportNarrow: TablerIcon;
export declare const IconViewportWide: TablerIcon;
export declare const IconVinyl: TablerIcon;
export declare const IconVipOff: TablerIcon;
export declare const IconVip: TablerIcon;
export declare const IconVirusOff: TablerIcon;
export declare const IconVirusSearch: TablerIcon;
export declare const IconVirus: TablerIcon;
export declare const IconVocabularyOff: TablerIcon;
export declare const IconVocabulary: TablerIcon;
export declare const IconVolcano: TablerIcon;
export declare const IconVolume2: TablerIcon;
export declare const IconVolume3: TablerIcon;
export declare const IconVolumeOff: TablerIcon;
export declare const IconVolume: TablerIcon;
export declare const IconVs: TablerIcon;
export declare const IconWalk: TablerIcon;
export declare const IconWallOff: TablerIcon;
export declare const IconWall: TablerIcon;
export declare const IconWalletOff: TablerIcon;
export declare const IconWallet: TablerIcon;
export declare const IconWallpaperOff: TablerIcon;
export declare const IconWallpaper: TablerIcon;
export declare const IconWandOff: TablerIcon;
export declare const IconWand: TablerIcon;
export declare const IconWashDry1: TablerIcon;
export declare const IconWashDry2: TablerIcon;
export declare const IconWashDry3: TablerIcon;
export declare const IconWashDryA: TablerIcon;
export declare const IconWashDryDip: TablerIcon;
export declare const IconWashDryF: TablerIcon;
export declare const IconWashDryFlat: TablerIcon;
export declare const IconWashDryHang: TablerIcon;
export declare const IconWashDryOff: TablerIcon;
export declare const IconWashDryP: TablerIcon;
export declare const IconWashDryShade: TablerIcon;
export declare const IconWashDryW: TablerIcon;
export declare const IconWashDry: TablerIcon;
export declare const IconWashDrycleanOff: TablerIcon;
export declare const IconWashDryclean: TablerIcon;
export declare const IconWashEco: TablerIcon;
export declare const IconWashGentle: TablerIcon;
export declare const IconWashHand: TablerIcon;
export declare const IconWashMachine: TablerIcon;
export declare const IconWashOff: TablerIcon;
export declare const IconWashPress: TablerIcon;
export declare const IconWashTemperature1: TablerIcon;
export declare const IconWashTemperature2: TablerIcon;
export declare const IconWashTemperature3: TablerIcon;
export declare const IconWashTemperature4: TablerIcon;
export declare const IconWashTemperature5: TablerIcon;
export declare const IconWashTemperature6: TablerIcon;
export declare const IconWashTumbleDry: TablerIcon;
export declare const IconWashTumbleOff: TablerIcon;
export declare const IconWash: TablerIcon;
export declare const IconWaterpolo: TablerIcon;
export declare const IconWaveSawTool: TablerIcon;
export declare const IconWaveSine: TablerIcon;
export declare const IconWaveSquare: TablerIcon;
export declare const IconWavesElectricity: TablerIcon;
export declare const IconWebhookOff: TablerIcon;
export declare const IconWebhook: TablerIcon;
export declare const IconWeight: TablerIcon;
export declare const IconWheel: TablerIcon;
export declare const IconWheelchairOff: TablerIcon;
export declare const IconWheelchair: TablerIcon;
export declare const IconWhirl: TablerIcon;
export declare const IconWifi0: TablerIcon;
export declare const IconWifi1: TablerIcon;
export declare const IconWifi2: TablerIcon;
export declare const IconWifiOff: TablerIcon;
export declare const IconWifi: TablerIcon;
export declare const IconWindElectricity: TablerIcon;
export declare const IconWindOff: TablerIcon;
export declare const IconWind: TablerIcon;
export declare const IconWindmillFilled: TablerIcon;
export declare const IconWindmillOff: TablerIcon;
export declare const IconWindmill: TablerIcon;
export declare const IconWindowMaximize: TablerIcon;
export declare const IconWindowMinimize: TablerIcon;
export declare const IconWindowOff: TablerIcon;
export declare const IconWindow: TablerIcon;
export declare const IconWindsock: TablerIcon;
export declare const IconWiperWash: TablerIcon;
export declare const IconWiper: TablerIcon;
export declare const IconWoman: TablerIcon;
export declare const IconWood: TablerIcon;
export declare const IconWorldBolt: TablerIcon;
export declare const IconWorldCancel: TablerIcon;
export declare const IconWorldCheck: TablerIcon;
export declare const IconWorldCode: TablerIcon;
export declare const IconWorldCog: TablerIcon;
export declare const IconWorldDollar: TablerIcon;
export declare const IconWorldDown: TablerIcon;
export declare const IconWorldDownload: TablerIcon;
export declare const IconWorldExclamation: TablerIcon;
export declare const IconWorldHeart: TablerIcon;
export declare const IconWorldLatitude: TablerIcon;
export declare const IconWorldLongitude: TablerIcon;
export declare const IconWorldMinus: TablerIcon;
export declare const IconWorldOff: TablerIcon;
export declare const IconWorldPause: TablerIcon;
export declare const IconWorldPin: TablerIcon;
export declare const IconWorldPlus: TablerIcon;
export declare const IconWorldQuestion: TablerIcon;
export declare const IconWorldSearch: TablerIcon;
export declare const IconWorldShare: TablerIcon;
export declare const IconWorldStar: TablerIcon;
export declare const IconWorldUp: TablerIcon;
export declare const IconWorldUpload: TablerIcon;
export declare const IconWorldWww: TablerIcon;
export declare const IconWorldX: TablerIcon;
export declare const IconWorld: TablerIcon;
export declare const IconWreckingBall: TablerIcon;
export declare const IconWritingOff: TablerIcon;
export declare const IconWritingSignOff: TablerIcon;
export declare const IconWritingSign: TablerIcon;
export declare const IconWriting: TablerIcon;
export declare const IconX: TablerIcon;
export declare const IconXboxA: TablerIcon;
export declare const IconXboxB: TablerIcon;
export declare const IconXboxX: TablerIcon;
export declare const IconXboxY: TablerIcon;
export declare const IconXd: TablerIcon;
export declare const IconXxx: TablerIcon;
export declare const IconYinYangFilled: TablerIcon;
export declare const IconYinYang: TablerIcon;
export declare const IconYoga: TablerIcon;
export declare const IconZeppelinOff: TablerIcon;
export declare const IconZeppelin: TablerIcon;
export declare const IconZip: TablerIcon;
export declare const IconZodiacAquarius: TablerIcon;
export declare const IconZodiacAries: TablerIcon;
export declare const IconZodiacCancer: TablerIcon;
export declare const IconZodiacCapricorn: TablerIcon;
export declare const IconZodiacGemini: TablerIcon;
export declare const IconZodiacLeo: TablerIcon;
export declare const IconZodiacLibra: TablerIcon;
export declare const IconZodiacPisces: TablerIcon;
export declare const IconZodiacSagittarius: TablerIcon;
export declare const IconZodiacScorpio: TablerIcon;
export declare const IconZodiacTaurus: TablerIcon;
export declare const IconZodiacVirgo: TablerIcon;
export declare const IconZoomCancel: TablerIcon;
export declare const IconZoomCheckFilled: TablerIcon;
export declare const IconZoomCheck: TablerIcon;
export declare const IconZoomCode: TablerIcon;
export declare const IconZoomExclamation: TablerIcon;
export declare const IconZoomFilled: TablerIcon;
export declare const IconZoomInAreaFilled: TablerIcon;
export declare const IconZoomInArea: TablerIcon;
export declare const IconZoomInFilled: TablerIcon;
export declare const IconZoomIn: TablerIcon;
export declare const IconZoomMoney: TablerIcon;
export declare const IconZoomOutArea: TablerIcon;
export declare const IconZoomOutFilled: TablerIcon;
export declare const IconZoomOut: TablerIcon;
export declare const IconZoomPan: TablerIcon;
export declare const IconZoomQuestion: TablerIcon;
export declare const IconZoomReplace: TablerIcon;
export declare const IconZoomReset: TablerIcon;
export declare const IconZoomScan: TablerIcon;
export declare const IconZzzOff: TablerIcon;
export declare const IconZzz: TablerIcon;
